GNU bug report logs - #48307
Feature request: provide default keybindings to change the font size in all windows

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Clément Pit-Claudel <cpitclaudel@HIDDEN>; dated Sun, 9 May 2021 07:10:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 25 May 2021 19:43:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 25 15:43:35 2021
Received: from localhost ([127.0.0.1]:46922 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1llcxj-0006KN-JI
	for submit <at> debbugs.gnu.org; Tue, 25 May 2021 15:43:35 -0400
Received: from quimby.gnus.org ([95.216.78.240]:49002)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1llcxi-0006KD-Fh
 for 48307 <at> debbugs.gnu.org; Tue, 25 May 2021 15:43:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=F6Seh8eHAtPiN7NNja1W2HobbN7tid3Vr0DiiaXWDf4=; b=XOzghu0aOatbFA5jfk3rBoFZrM
 1FHoeFTwblik2/GmJwGRlHVL9GgURNYdu9erTty+IkGcQPXrNOf+FNgifSyRtT6kBjImlvLP6TUho
 +r3FtNE3lg2I00nwwgXjx4U8hRWFgSMCclbJGZrdJYtkGSqdY8sPNYueo22SLFfBOZKc=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1llcxa-0004R2-4k; Tue, 25 May 2021 21:43:28 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48307: Feature request: provide default keybindings to
 change the font size in all windows
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN>
 <bb1da086-1392-4153-b1bf-e82f0896d90e@HIDDEN>
 <e27b2f896d296784bc75@HIDDEN>
 <0ca4bc1d-a396-6948-83e9-6f82f3e77c0c@HIDDEN>
 <83im3q5swn.fsf@HIDDEN>
 <4363ab35-b2d0-4d10-dd51-6447b58d705e@HIDDEN>
 <e27b2f896de539ec5144@HIDDEN>
 <b1778db3-e41c-39cb-df77-0dace6186b8e@HIDDEN>
 <e27b2f896d13edee6128@HIDDEN>
 <e19e2fa8607772efba79@HIDDEN> <838s43c7v8.fsf@HIDDEN>
 <e19e2fa8609c6d524c5c@HIDDEN> <831r9vc5z9.fsf@HIDDEN>
X-Now-Playing: Satomimagae's _awa_: "Bokusou"
Date: Tue, 25 May 2021 21:43:25 +0200
In-Reply-To: <831r9vc5z9.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 25 May
 2021 16:12:26 +0300")
Message-ID: <87h7iqeh0i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: >> >> The main added
 feature is that face resizing is now bounded (between 10 >> >> and 500). [...]
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: Gregory Heytings <gregory@HIDDEN>, cpitclaudel@HIDDEN,
 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> >> The main added feature is that face resizing is now bounded (between 10 
>> >> and 500).

[...]

>> I'd rather wait for a feature request to add a defcustom for this.  IMO 
>> 10-500 is a reasonable range for that feature, 10 is really small and 500 
>> is really huge.
>
> We could avoid arguing about what's reasonable by providing an option.

I can definitely see people wanting to go below 10, so I think a user
option here would be nice.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 25 May 2021 13:42:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 25 09:42:50 2021
Received: from localhost ([127.0.0.1]:45036 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1llXKb-0006ph-P3
	for submit <at> debbugs.gnu.org; Tue, 25 May 2021 09:42:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42702)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1llXKZ-0006pU-NB
 for 48307 <at> debbugs.gnu.org; Tue, 25 May 2021 09:42:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45472)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1llXKT-0004Lm-TW; Tue, 25 May 2021 09:42:41 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1156
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1llXKT-0005OH-Fg; Tue, 25 May 2021 09:42:41 -0400
Date: Tue, 25 May 2021 16:42:41 +0300
Message-Id: <83v977aq0e.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <e19e2fa860a1a88a32a1@HIDDEN> (message from Gregory
 Heytings on Tue, 25 May 2021 13:16:42 +0000)
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN>
 <bb1da086-1392-4153-b1bf-e82f0896d90e@HIDDEN>
 <e27b2f896d296784bc75@HIDDEN>
 <0ca4bc1d-a396-6948-83e9-6f82f3e77c0c@HIDDEN> <83im3q5swn.fsf@HIDDEN>
 <4363ab35-b2d0-4d10-dd51-6447b58d705e@HIDDEN>
 <e27b2f896de539ec5144@HIDDEN>
 <b1778db3-e41c-39cb-df77-0dace6186b8e@HIDDEN>
 <e27b2f896d13edee6128@HIDDEN> <e19e2fa8607772efba79@HIDDEN>
 <838s43c7v8.fsf@HIDDEN> <e19e2fa8609c6d524c5c@HIDDEN>
 <831r9vc5z9.fsf@HIDDEN> <e19e2fa860a1a88a32a1@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48307
Cc: cpitclaudel@HIDDEN, 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 25 May 2021 13:16:42 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: cpitclaudel@HIDDEN, 48307 <at> debbugs.gnu.org
> 
> 
> >>> Also, I wonder whether we should say "height of the default face's 
> >>> font", because this is what this actually does.  I'm not sure every 
> >>> user will understand the notion of the height of a face.
> >>
> >> I used "height" because it's what text-scale-{adjust,increase,decrease} 
> >> use.  Otherwise I would have used the word "size" indeed.  WDYT?
> >
> > I prefer "size".
> 
> Okay, so should I also replace the word "height" by "size" in 
> text-scale-{adjust,increase,decrease}?

I guess so, yes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 25 May 2021 13:16:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 25 09:16:45 2021
Received: from localhost ([127.0.0.1]:44989 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1llWvN-0006AE-Bv
	for submit <at> debbugs.gnu.org; Tue, 25 May 2021 09:16:45 -0400
Received: from heytings.org ([95.142.160.155]:36522)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1llWvM-0006A5-C6
 for 48307 <at> debbugs.gnu.org; Tue, 25 May 2021 09:16:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1621948603;
 bh=2sRKBxTdgxLZwd2kJ3lTmk3Y5VMVirIe8y1XzaKYVUo=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=QS9IOnm+2cVKeWqzvns5298iZUd4AO+0nK/iqLnpKr7wMGHSV+Z6M8OLmaJwvGRyM
 gJhB3/eCinoxbc3TpqPATRDkwcdHfwC1ytL25P54ru6H67EVeBs2KmLFs6bnMmsVzc
 x3464f+cP8ZN7Bt1S6TEFs3Lrvjc+3E+M6SbckS+5GQVkYwA4c9gtju0BQ4jcyaOfS
 /EX5sEQ8Btb2Kh0hA4BpQ6nURb4JdOcLbpUP7pGOuZxaBZ7MHnuVKkfVHMbfdvJrR7
 AT4B7uS31XCwcOySp2kGsj0i/LvMdsgmDfeBewRQuf9sqo84FdEdu6VkmffA2LAZ/a
 oxoNf6pEaF4oQ==
Date: Tue, 25 May 2021 13:16:42 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
In-Reply-To: <831r9vc5z9.fsf@HIDDEN>
Message-ID: <e19e2fa860a1a88a32a1@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN>
 <bb1da086-1392-4153-b1bf-e82f0896d90e@HIDDEN>
 <e27b2f896d296784bc75@HIDDEN>
 <0ca4bc1d-a396-6948-83e9-6f82f3e77c0c@HIDDEN> <83im3q5swn.fsf@HIDDEN>
 <4363ab35-b2d0-4d10-dd51-6447b58d705e@HIDDEN>
 <e27b2f896de539ec5144@HIDDEN>
 <b1778db3-e41c-39cb-df77-0dace6186b8e@HIDDEN>
 <e27b2f896d13edee6128@HIDDEN> <e19e2fa8607772efba79@HIDDEN>
 <838s43c7v8.fsf@HIDDEN> <e19e2fa8609c6d524c5c@HIDDEN>
 <831r9vc5z9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: cpitclaudel@HIDDEN, 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>>> Also, I wonder whether we should say "height of the default face's 
>>> font", because this is what this actually does.  I'm not sure every 
>>> user will understand the notion of the height of a face.
>>
>> I used "height" because it's what text-scale-{adjust,increase,decrease} 
>> use.  Otherwise I would have used the word "size" indeed.  WDYT?
>
> I prefer "size".
>

Okay, so should I also replace the word "height" by "size" in 
text-scale-{adjust,increase,decrease}?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 25 May 2021 13:12:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 25 09:12:42 2021
Received: from localhost ([127.0.0.1]:44974 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1llWrS-000632-7X
	for submit <at> debbugs.gnu.org; Tue, 25 May 2021 09:12:42 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34418)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1llWrM-00062k-UB
 for 48307 <at> debbugs.gnu.org; Tue, 25 May 2021 09:12:40 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44178)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1llWrH-0002CK-2P; Tue, 25 May 2021 09:12:31 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3268
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1llWrG-0007M6-3h; Tue, 25 May 2021 09:12:30 -0400
Date: Tue, 25 May 2021 16:12:26 +0300
Message-Id: <831r9vc5z9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <e19e2fa8609c6d524c5c@HIDDEN> (message from Gregory
 Heytings on Tue, 25 May 2021 12:58:59 +0000)
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN>
 <bb1da086-1392-4153-b1bf-e82f0896d90e@HIDDEN>
 <e27b2f896d296784bc75@HIDDEN>
 <0ca4bc1d-a396-6948-83e9-6f82f3e77c0c@HIDDEN> <83im3q5swn.fsf@HIDDEN>
 <4363ab35-b2d0-4d10-dd51-6447b58d705e@HIDDEN>
 <e27b2f896de539ec5144@HIDDEN>
 <b1778db3-e41c-39cb-df77-0dace6186b8e@HIDDEN>
 <e27b2f896d13edee6128@HIDDEN> <e19e2fa8607772efba79@HIDDEN>
 <838s43c7v8.fsf@HIDDEN> <e19e2fa8609c6d524c5c@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48307
Cc: cpitclaudel@HIDDEN, 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 25 May 2021 12:58:59 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: cpitclaudel@HIDDEN, 48307 <at> debbugs.gnu.org
> 
> Thanks for your feedback, a few comments before updating the patch:
> 
> >> The main added feature is that face resizing is now bounded (between 10 
> >> and 500).
> >
> > Hmm, the GCS frowns on arbitrary limits,
> >
> 
> What is "the GCS"?

GNU Coding Standards.

> > so perhaps we should have a defcustom to control the limits?
> >
> 
> I'd rather wait for a feature request to add a defcustom for this.  IMO 
> 10-500 is a reasonable range for that feature, 10 is really small and 500 
> is really huge.

We could avoid arguing about what's reasonable by providing an option.

Lars, WDYT?

> > Also, I wonder whether we should say "height of the default face's 
> > font", because this is what this actually does.  I'm not sure every user 
> > will understand the notion of the height of a face.
> >
> 
> I used "height" because it's what text-scale-{adjust,increase,decrease} 
> use.  Otherwise I would have used the word "size" indeed.  WDYT?

I prefer "size".

> >> +Buffer-local face adjustements remain in effect when global face 
> >> +adjustments are made.
> >
> > I don't think I understand what this means, so it would be good to 
> > clarify that.
> >
> 
> It means that if you C-x C-+ in a buffer B (buffer-local face adjustment), 
> and then C-x C-M-+, the buffer-local adjustment in B remains in effect, or 
> IOW that after C-x C-M-+ the buffer B will still have a larger font than 
> the other buffers.

I think what's missing is the last part you wrote, or some variant
thereof.  "Remains in effect" is ambiguous because it isn't clear
whether the absolute size remains in effect or the relative size does.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 25 May 2021 12:59:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 25 08:59:03 2021
Received: from localhost ([127.0.0.1]:44939 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1llWeE-0005gT-SU
	for submit <at> debbugs.gnu.org; Tue, 25 May 2021 08:59:03 -0400
Received: from heytings.org ([95.142.160.155]:36458)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1llWeC-0005g1-Ru
 for 48307 <at> debbugs.gnu.org; Tue, 25 May 2021 08:59:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1621947539;
 bh=bzil98eoiuFfbDYeQZ1OD6v3cz9fXHNHrD09/aF7PoA=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=XoN/ndeEa9iqTFSZOdBa4NLajziDNbiBU62l/S6HLijnm0/5YrtYuTgbwMjAIgupQ
 ZhyPQBJKeVUfCtS33YC27N3sVZKH5dSJShoOK/75z4Lg1VVq80FuHvXBWQIxZd86l4
 /Iox3pi4lh7MPVdbkVslyN1lHHgbGa7PCvZtymhdqnWkjV5qGoxBgGoL0NZ4ADhZFH
 dZ/ENZUaIAd4Z/Rm/mbtl+Et44egMst/UwIX1TgMNnwOGlVsxLe7XuyQ+yZcVhxSBO
 6RjL9h3rAV80QctZZuDBY9p38CLTqVqPRb1y7/Ew06LUVHjR24Gzp/eUSu0piz8PQC
 lOjZey1YB5D3g==
Date: Tue, 25 May 2021 12:58:59 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
In-Reply-To: <838s43c7v8.fsf@HIDDEN>
Message-ID: <e19e2fa8609c6d524c5c@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN>
 <bb1da086-1392-4153-b1bf-e82f0896d90e@HIDDEN>
 <e27b2f896d296784bc75@HIDDEN>
 <0ca4bc1d-a396-6948-83e9-6f82f3e77c0c@HIDDEN> <83im3q5swn.fsf@HIDDEN>
 <4363ab35-b2d0-4d10-dd51-6447b58d705e@HIDDEN>
 <e27b2f896de539ec5144@HIDDEN>
 <b1778db3-e41c-39cb-df77-0dace6186b8e@HIDDEN>
 <e27b2f896d13edee6128@HIDDEN> <e19e2fa8607772efba79@HIDDEN>
 <838s43c7v8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: cpitclaudel@HIDDEN, 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Thanks for your feedback, a few comments before updating the patch:

>> The main added feature is that face resizing is now bounded (between 10 
>> and 500).
>
> Hmm, the GCS frowns on arbitrary limits,
>

What is "the GCS"?

>
> so perhaps we should have a defcustom to control the limits?
>

I'd rather wait for a feature request to add a defcustom for this.  IMO 
10-500 is a reasonable range for that feature, 10 is really small and 500 
is really huge.

>
> Also, I wonder whether we should say "height of the default face's 
> font", because this is what this actually does.  I'm not sure every user 
> will understand the notion of the height of a face.
>

I used "height" because it's what text-scale-{adjust,increase,decrease} 
use.  Otherwise I would have used the word "size" indeed.  WDYT?

>> +Buffer-local face adjustements remain in effect when global face 
>> +adjustments are made.
>
> I don't think I understand what this means, so it would be good to 
> clarify that.
>

It means that if you C-x C-+ in a buffer B (buffer-local face adjustment), 
and then C-x C-M-+, the buffer-local adjustment in B remains in effect, or 
IOW that after C-x C-M-+ the buffer B will still have a larger font than 
the other buffers.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 25 May 2021 12:31:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 25 08:31:49 2021
Received: from localhost ([127.0.0.1]:44908 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1llWDt-0004yK-BT
	for submit <at> debbugs.gnu.org; Tue, 25 May 2021 08:31:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52664)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1llWDs-0004y7-BQ
 for 48307 <at> debbugs.gnu.org; Tue, 25 May 2021 08:31:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43336)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1llWDn-0001uM-4k; Tue, 25 May 2021 08:31:43 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4686
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1llWDm-0001Vl-Nl; Tue, 25 May 2021 08:31:43 -0400
Date: Tue, 25 May 2021 15:31:39 +0300
Message-Id: <838s43c7v8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <e19e2fa8607772efba79@HIDDEN> (message from Gregory
 Heytings on Tue, 25 May 2021 07:58:42 +0000)
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN>
 <bb1da086-1392-4153-b1bf-e82f0896d90e@HIDDEN>
 <e27b2f896d296784bc75@HIDDEN>
 <0ca4bc1d-a396-6948-83e9-6f82f3e77c0c@HIDDEN> <83im3q5swn.fsf@HIDDEN>
 <4363ab35-b2d0-4d10-dd51-6447b58d705e@HIDDEN>
 <e27b2f896de539ec5144@HIDDEN>
 <b1778db3-e41c-39cb-df77-0dace6186b8e@HIDDEN>
 <e27b2f896d13edee6128@HIDDEN> <e19e2fa8607772efba79@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48307
Cc: cpitclaudel@HIDDEN, 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 25 May 2021 07:58:42 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> Cc: 48307 <at> debbugs.gnu.org
> 
> Updated patch attached.

Thanks.

> The main added feature is that face resizing is now bounded (between
> 10 and 500).

Hmm, the GCS frowns on arbitrary limits, so perhaps we should have a
defcustom to control the limits?

> +@kindex C-M-wheel-up
> +  Similarly, to change the height of the default face globally, type
> +@kbd{C-x C-M-+}, @kbd{C-x C-M-=}, @kbd{C-x C-M--} or @kbd{C-x C-M-0},
> +or scroll the mouse wheel with both the @kbd{Ctrl} and @kbd{Meta}
> +modifiers pressed.  To enable frame resizing when the height of the
> +default face is changed globally, customize the variable
> +@code{global-text-scale-adjust-resizes-frames} (@pxref{Easy
> +Customization}).

The last part should explain why frame resizing is related to font
size changes, it isn't obvious.

Also, I wonder whether we should say "height of the default face's
font", because this is what this actually does.  I'm not sure every
user will understand the notion of the height of a face.

And finally, "height" or "size"?

> +(defun global-text-scale-adjust (increment)
> +  "Globally adjust the height of the default face by INCREMENT.
> +
> +INCREMENT may be passed as a numeric prefix argument.

The last sentence should start with "Interactively, ".  Also, the doc
string should tell what are the units of INCREMENT.

> +The adjustment made depends on the final component of the key binding
> +used to invoke the command, with all modifiers removed:

I wonder if we could rephrase this to be less awkward and more clear.

> +After adjusting, further adjust the default face height as long as the
> +key, with all modifiers removed, is one of the above characters.

And this.

> +Buffer-local face adjustements remain in effect when global face
> +adjustments are made.

I don't think I understand what this means, so it would be good to
clarify that.

> +The variable `global-text-scale-adjust-resizes-frames' controls whether
> +the frames are resized when the default face is adjusted.

Suggest to say "... resized to keep the same number of lines and
characters per line ...".

> +           (inc
> +            (pcase key
> +              (?- (* (- increment) 5))
> +              (?0 (- global-text-scale-adjust--default-height cur))
> +              (_ (* increment 5))))

Do we really need pcase here?

> +(defun mouse-wheel-global-text-scale (event)
> +  "Increase or decrease the global height of the default face according to the EVENT."

This sentence is too long to fit on a single line.  Suggest to make it
shorter:

  "Increase or decrease the height of the default face according to EVENT."





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 25 May 2021 07:58:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 25 03:58:46 2021
Received: from localhost ([127.0.0.1]:44596 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1llRxe-0001pq-EM
	for submit <at> debbugs.gnu.org; Tue, 25 May 2021 03:58:46 -0400
Received: from heytings.org ([95.142.160.155]:36096)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1llRxc-0001pi-6s
 for 48307 <at> debbugs.gnu.org; Tue, 25 May 2021 03:58:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1621929522;
 bh=90phwX6pwZtI7R/2SrCQ5rQAKs8X/ThljRzFjbJiWWE=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=LRq00MDmziKpC0NZ4GYH11lB+kV8Tlke1yGMVylg4wypWTq9SLbpKYmnEohhEK+ZR
 CcgPOvtUz65GDD61NPE53YAN30yVzHHUJdDM+I48eRtLo0rORD1Cs9x6TDg+lllxPD
 pYpQZOPpb9of9++tUOVcXN51l9C8LOlcJDxhMhfSvYYnVHVEGxEn4gRccSmkzFMVRM
 zSYovSoW7Lv+qXRAIv6NUN1e7LfnxPn3fGf8lNwqDFEPFbhOs0BeNSkCLdvFOvSbzx
 AfaFLqF5fG8aC5VM89p49eD5RNw1+mjvhtORcsEPPpPiqraq8vVrQpql+KfVjDEJn8
 z4bGM/rrBBh9g==
Date: Tue, 25 May 2021 07:58:42 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: =?UTF-8?Q?Cl=C3=A9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
In-Reply-To: <e27b2f896d13edee6128@HIDDEN>
Message-ID: <e19e2fa8607772efba79@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN>
 <bb1da086-1392-4153-b1bf-e82f0896d90e@HIDDEN>
 <e27b2f896d296784bc75@HIDDEN>
 <0ca4bc1d-a396-6948-83e9-6f82f3e77c0c@HIDDEN> <83im3q5swn.fsf@HIDDEN>
 <4363ab35-b2d0-4d10-dd51-6447b58d705e@HIDDEN>
 <e27b2f896de539ec5144@HIDDEN>
 <b1778db3-e41c-39cb-df77-0dace6186b8e@HIDDEN>
 <e27b2f896d13edee6128@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="9yMwOW297q"
Content-ID: <e19e2fa860b8d156bd68@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--9yMwOW297q
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-ID: <e19e2fa860f3b8d8fd0a@HIDDEN>


Updated patch attached.  The main added feature is that face resizing is 
now bounded (between 10 and 500).
--9yMwOW297q
Content-Type: text/x-diff; name=Global-adjustments-to-the-default-face.patch
Content-Transfer-Encoding: base64
Content-ID: <e19e2fa860ff65178488@HIDDEN>
Content-Description: 
Content-Disposition: attachment; filename=Global-adjustments-to-the-default-face.patch
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--9yMwOW297q--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 19:47:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 15:47:45 2021
Received: from localhost ([127.0.0.1]:34390 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgBsX-00080E-3f
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 15:47:45 -0400
Received: from heytings.org ([95.142.160.155]:45806)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lgBsV-000806-AJ
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 15:47:43 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1620676062;
 bh=1WT/3a3QC92j0YUkcB6Vw99prBxugBKfKB+CUD/Tvtc=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=cw5KsVxvECjLBrW0fQG0NgNXOkSjrDB3wait1EfteSFPjACm/WtXIUNQd3lK2sZZE
 l4FfNcbLs6p0lnBvPUPzRe2Dw+NpAruaxfGGl/C08EvE3wGS6JBg3txxEhZL3HARnD
 BPDXmwg/FR4hhhaiUULIEgK5QHYwipVfsZM5v2V2iguQ8K+vuid9gqrPuZnjkqoowD
 VW30ffYJNi0AW18HnYw/hsSPHE7FQGVL3Ko4sd8GaHsMD+NofxEw2y6ICpJ5N+TMgY
 02rqvEorzrRb6pG7vjGD0e7CdZG3Yoy63nCjlwdjd7m1AC8ojuaLQ3q7VHU910NnRP
 gEliM/pb34tlQ==
Date: Mon, 10 May 2021 19:47:40 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: =?UTF-8?Q?Cl=C3=A9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
In-Reply-To: <b1778db3-e41c-39cb-df77-0dace6186b8e@HIDDEN>
Message-ID: <e27b2f896d13edee6128@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN>
 <bb1da086-1392-4153-b1bf-e82f0896d90e@HIDDEN>
 <e27b2f896d296784bc75@HIDDEN>
 <0ca4bc1d-a396-6948-83e9-6f82f3e77c0c@HIDDEN> <83im3q5swn.fsf@HIDDEN>
 <4363ab35-b2d0-4d10-dd51-6447b58d705e@HIDDEN>
 <e27b2f896de539ec5144@HIDDEN>
 <b1778db3-e41c-39cb-df77-0dace6186b8e@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: Eli Zaretskii <eliz@HIDDEN>, 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> Looks good!  A small stylistic comment:
>
> +           (pcase key
> +              ((or ?+ ?=) (* increment 5))
> +              (?- (* (- increment) 5))
> +              (?0 (- global-text-scale-adjust--default-height
> +                     (face-attribute 'default :height)))
> +              (_ (* increment 5)))))
>
> Do you need the first branch?  If you remove it, those cases will be 
> caught by the default fall-through.
>

Oh yes, indeed!  Thanks :-)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 19:41:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 15:41:48 2021
Received: from localhost ([127.0.0.1]:34386 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgBmm-0007rg-FR
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 15:41:48 -0400
Received: from mail-qt1-f178.google.com ([209.85.160.178]:36426)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cpitclaudel@HIDDEN>) id 1lgBml-0007rU-3s
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 15:41:48 -0400
Received: by mail-qt1-f178.google.com with SMTP id t7so12891427qtn.3
 for <48307 <at> debbugs.gnu.org>; Mon, 10 May 2021 12:41:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=xMgp6WWPPUwreB9aqO7LzAIuQpIpRMJSC2UZRX0IcqI=;
 b=uGJcC0bwsNEB7XEdHbpZSHJETT343pDACqP/A2Y0FlQ7IVLLT64f1OBIWiNT/tItnd
 R5i5sPo7HhNP9zxbKSfNa0jzPwhTnpNX1csPbFiseXccnTr+eBxvJ8U6dFqxYe3xAhTT
 HYfDWkc+FQlO/ziK3W8s4EFNR1rHetCl/hhf3SKxPBUbREjFSXBqzCw6lgvmIypbwur7
 iBxeX8+wz0onO0zE/CYLZDfSrCSbCvsvwQSLR3McLcLIjcUM5LRdctFzCC7y25KVsUb6
 HukQG1f0eBX8l+YIDygDLMkOqRJTOPnRj2fMLNF4oMtxUmnV755+kqgjUtHhB64KYpxu
 ISWw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=xMgp6WWPPUwreB9aqO7LzAIuQpIpRMJSC2UZRX0IcqI=;
 b=kykq+cuxBGS6tpHAtbkkDaz23/Julh85rGBCdjHFYiiDuMC7lGxMt682K/yYXFZooT
 1NCFYAAU49Rs+RIuMDLSrYD/KiM8kWobgYe8khpl2+OZWLsHpFpi3f+Bqpj7joTNogQf
 zJmA0cmQ32Kg1JqnIsNPJlK8DpVJ7XwsDFlBzdUzcSrebovoVj0jAVbm4TzJnvkZPq/Y
 s9zMWZhZojZyNTlKlgikCo/Wo2zfJwcD1GNST1MmglRQ9cBTRz7XnrHt2xvANsQFxjOM
 wL2NtjHigiq0a/FALPfZSCsDl3Sh9FFgdzLk6O0bLv9F5lPUtfKl+XmA4MCT9VKr5g/8
 gErg==
X-Gm-Message-State: AOAM530G1Tq0qwBhd39C++2yHIVdoWLhRBtmhGmCmu/oIGwBr9EwhxQs
 fsUhHhvHR+SLyqMVHDyHXFBvDKVUzuM=
X-Google-Smtp-Source: ABdhPJwfcTozwJXrVxUw3T6OrrpSRIk1CsLI/R10cvk6K8ZYip4S9mO/OajJ9UCF+UXGkit/6zuiXA==
X-Received: by 2002:ac8:7442:: with SMTP id h2mr18448910qtr.315.1620675701323; 
 Mon, 10 May 2021 12:41:41 -0700 (PDT)
Received: from [192.168.1.11] (c-24-61-240-80.hsd1.ma.comcast.net.
 [24.61.240.80])
 by smtp.googlemail.com with ESMTPSA id f2sm12381368qkh.76.2021.05.10.12.41.40
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 10 May 2021 12:41:40 -0700 (PDT)
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
To: Gregory Heytings <gregory@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN>
 <bb1da086-1392-4153-b1bf-e82f0896d90e@HIDDEN>
 <e27b2f896d296784bc75@HIDDEN>
 <0ca4bc1d-a396-6948-83e9-6f82f3e77c0c@HIDDEN> <83im3q5swn.fsf@HIDDEN>
 <4363ab35-b2d0-4d10-dd51-6447b58d705e@HIDDEN>
 <e27b2f896de539ec5144@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>
Message-ID: <b1778db3-e41c-39cb-df77-0dace6186b8e@HIDDEN>
Date: Mon, 10 May 2021 15:41:40 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.8.1
MIME-Version: 1.0
In-Reply-To: <e27b2f896de539ec5144@HIDDEN>
Content-Type: text/plain; charset=windows-1252
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: Eli Zaretskii <eliz@HIDDEN>, 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 5/10/21 3:35 PM, Gregory Heytings wrote:
> Here is the updated patch with, as discussed, a new user option to control the frame resizing, and the additional C-x C-M-= binding.

Looks good!  A small stylistic comment:

+           (pcase key
+              ((or ?+ ?=) (* increment 5))
+              (?- (* (- increment) 5))
+              (?0 (- global-text-scale-adjust--default-height
+                     (face-attribute 'default :height)))
+              (_ (* increment 5)))))

Do you need the first branch?  If you remove it, those cases will be caught by the default fall-through.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 19:35:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 15:35:43 2021
Received: from localhost ([127.0.0.1]:34381 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgBgs-0007jA-EX
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 15:35:42 -0400
Received: from heytings.org ([95.142.160.155]:45784)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lgBgq-0007j2-8U
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 15:35:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1620675339;
 bh=RGTO+a+V7ISyIH7USB/CGgRZ6JeFB/fvQ8rN8hAgfWw=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=vQR0anFMO2rwzc3vxn1ivVSZgKURPEy6tu1rucads48lka5mDHwbPKODwT9cNzg2p
 JvrPnUDh9BZEJ0t3JUavmBMIzDj8QObEh8isxJFr6ggWpT8N9U2Va210ne1EnScApH
 p1Qca5JStzPMJb/JjIwY649H1aaBI2slaqMwGdWZ+RjC6fBL5FvtEs+QurDZa7pPgT
 sAp/bCNzM/1klV0QtGtWxL2UXHp2L4kTsDVGRsRs4yaqBWdcjuaY/dlSxjhORn/THo
 ErQrF9FWgOlkaE8T92mEWOyShdU4LNdjgklZM9UJcuGR1C97/nd7ATvOqUoUHAHpi3
 pAeADVsdMHQNA==
Date: Mon, 10 May 2021 19:35:38 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: =?UTF-8?Q?Cl=C3=A9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
In-Reply-To: <4363ab35-b2d0-4d10-dd51-6447b58d705e@HIDDEN>
Message-ID: <e27b2f896de539ec5144@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN>
 <bb1da086-1392-4153-b1bf-e82f0896d90e@HIDDEN>
 <e27b2f896d296784bc75@HIDDEN>
 <0ca4bc1d-a396-6948-83e9-6f82f3e77c0c@HIDDEN> <83im3q5swn.fsf@HIDDEN>
 <4363ab35-b2d0-4d10-dd51-6447b58d705e@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="iuz45xOhXs"
Content-ID: <e27b2f896def0d67b381@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: Eli Zaretskii <eliz@HIDDEN>, 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--iuz45xOhXs
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-ID: <e27b2f896d28573febf2@HIDDEN>


Here is the updated patch with, as discussed, a new user option to control 
the frame resizing, and the additional C-x C-M-= binding.
--iuz45xOhXs
Content-Type: text/x-diff; name=Global-adjustments-to-the-default-face.patch; charset=us-ascii
Content-Transfer-Encoding: base64
Content-ID: <e27b2f896de65c493397@HIDDEN>
Content-Description: 
Content-Disposition: attachment; filename=Global-adjustments-to-the-default-face.patch
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--iuz45xOhXs--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 19:04:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 15:04:17 2021
Received: from localhost ([127.0.0.1]:34361 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgBCT-000708-Bi
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 15:04:17 -0400
Received: from mail-qv1-f41.google.com ([209.85.219.41]:38744)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cpitclaudel@HIDDEN>) id 1lgBCQ-0006zv-R6
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 15:04:16 -0400
Received: by mail-qv1-f41.google.com with SMTP id jm10so8931437qvb.5
 for <48307 <at> debbugs.gnu.org>; Mon, 10 May 2021 12:04:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=K4oTaMzPXHMVWzoAizL1hAd3Oz7GCSWdpw9MOBVsgeE=;
 b=GeDW/uXDutbFfgNfIcw1KS3fns7VccTvza/zSvlyB82oLnEMyExYhdUHmRsTPuw8HC
 IBkakIusY+uBIy7DEYM9pBi+KGcF55tfxdvQb+vtT0H6OAaDn/i1/2Lp0USROEcezpmM
 W7ahAY7Le3YD8ubyBBNZ5shREUoZCSdoKnOAxLkROED6adCmIHPBY13cGyOICz4GeBOT
 G+P/M/ReppKVTb5ehIPigpt5RCWarVbQK32qTf12fWnPfAjXNZV2mRmWl4rsGPP0u11D
 y66k08mSsaoR5utt46e2uOb6BIbVwSMAhPe04HRgK4LmyoCAU6r9IDLHJmbqAZYdoFue
 HN3w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=K4oTaMzPXHMVWzoAizL1hAd3Oz7GCSWdpw9MOBVsgeE=;
 b=EuRf+GWiiStHxaGWV2vfuThYbrkrkmVwM0f5rSulSbVuSekhkMlUOcMG7OQsdxaDS1
 fBDOs/C1VQtUO77z0mhtL4gkvnkr65CiTTYJm89OETAXO8YbIpIjBHEFxzH3hRaYqkCa
 9THSn7KTDslmwDFO/zZ37Ua7xUf17wT54qEYJpk0I+8ALDZYnurBgr15DqqcktyCpsn6
 JCE/4CWWfpChYJfvtRkKftiHRDPKl2tU8n/BojeF5wK3yHzdSRGy0u7woSzGcfNFI/Ph
 uxJK5KlqDgPAuMGJZsIRY/3r9wHQhntoxNaMKS/7ypRTZDVey1puz+x0wVnRr4dbFWgH
 DV/g==
X-Gm-Message-State: AOAM531FoBkLVw+gf+3kYFhcQ7dO+WfI2T8pz6lTZD30bdBEc3KYwKUv
 qfRen8wme4wDxDqbKLJuwLqx7LZJKJI=
X-Google-Smtp-Source: ABdhPJy4U5SEICVelVRaq5WAsjntAyEpiClAMQYSVu5oxfUdykT39d7cbqOoSj1vdxLcWOhxUxaUqg==
X-Received: by 2002:ad4:59c7:: with SMTP id el7mr25668744qvb.26.1620673449113; 
 Mon, 10 May 2021 12:04:09 -0700 (PDT)
Received: from [192.168.1.11] (c-24-61-240-80.hsd1.ma.comcast.net.
 [24.61.240.80])
 by smtp.googlemail.com with ESMTPSA id j10sm3351923qtn.89.2021.05.10.12.04.08
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 10 May 2021 12:04:08 -0700 (PDT)
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
To: Eli Zaretskii <eliz@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN>
 <bb1da086-1392-4153-b1bf-e82f0896d90e@HIDDEN>
 <e27b2f896d296784bc75@HIDDEN>
 <0ca4bc1d-a396-6948-83e9-6f82f3e77c0c@HIDDEN> <83im3q5swn.fsf@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>
Message-ID: <4363ab35-b2d0-4d10-dd51-6447b58d705e@HIDDEN>
Date: Mon, 10 May 2021 15:04:07 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.8.1
MIME-Version: 1.0
In-Reply-To: <83im3q5swn.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: gregory@HIDDEN, 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 5/10/21 2:46 PM, Eli Zaretskii wrote:
>> From: Clément Pit-Claudel <cpitclaudel@HIDDEN>
>> Date: Mon, 10 May 2021 14:34:58 -0400
>> Cc: 48307 <at> debbugs.gnu.org
>>
>> Either that, or my keyboard is fast :)  Try adding (sleep-for 1) right before the font size adjustment, then press "+" for a second or so and release it.  Emacs will keep processing the delayed "+" input and keep zooming.
> 
> I don't think that Emacs can know when the user stopped pressing the
> keys.  Without that, how can we know when to discard keypresses still
> in the queue.

Got it, thanks.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 18:46:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 14:46:09 2021
Received: from localhost ([127.0.0.1]:34333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgAuv-0006Zg-AB
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 14:46:09 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50526)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lgAur-0006Yw-Bb
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 14:46:07 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49850)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lgAuk-0000Mo-Pf; Mon, 10 May 2021 14:45:59 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2596
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1lgAuk-0005Sl-1X; Mon, 10 May 2021 14:45:58 -0400
Date: Mon, 10 May 2021 21:46:00 +0300
Message-Id: <83im3q5swn.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?Q?Cl=C3=A9ment?= Pit-Claudel <cpitclaudel@HIDDEN>
In-Reply-To: <0ca4bc1d-a396-6948-83e9-6f82f3e77c0c@HIDDEN> (message from
 =?utf-8?Q?Cl=C3=A9ment?= Pit-Claudel on Mon, 10 May 2021 14:34:58 -0400)
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN>
 <bb1da086-1392-4153-b1bf-e82f0896d90e@HIDDEN>
 <e27b2f896d296784bc75@HIDDEN>
 <0ca4bc1d-a396-6948-83e9-6f82f3e77c0c@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48307
Cc: gregory@HIDDEN, 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Clément Pit-Claudel <cpitclaudel@HIDDEN>
> Date: Mon, 10 May 2021 14:34:58 -0400
> Cc: 48307 <at> debbugs.gnu.org
> 
> Either that, or my keyboard is fast :)  Try adding (sleep-for 1) right before the font size adjustment, then press "+" for a second or so and release it.  Emacs will keep processing the delayed "+" input and keep zooming.

I don't think that Emacs can know when the user stopped pressing the
keys.  Without that, how can we know when to discard keypresses still
in the queue.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 18:35:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 14:35:08 2021
Received: from localhost ([127.0.0.1]:34263 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgAkG-0006Ho-IQ
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 14:35:08 -0400
Received: from mail-qv1-f47.google.com ([209.85.219.47]:38450)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cpitclaudel@HIDDEN>) id 1lgAkD-0006HD-Qq
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 14:35:07 -0400
Received: by mail-qv1-f47.google.com with SMTP id jm10so8879394qvb.5
 for <48307 <at> debbugs.gnu.org>; Mon, 10 May 2021 11:35:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=J5Yy1Z/6QpnemcbaCpUQZO/qDRskalx+Dwn50ucc2ug=;
 b=YeVLQLz7g9l3qEQbJnReyTiv2odgyCbbmYG7f6ygmClruowztee0O1e7t31wQgTj8j
 q4TzYJar7ivrrjok9uYfTGMErUXGjfwApYpX8zkr4t0UUQbPI0Aq9ekmscNnnLD5rOgy
 vyaMFyUMJWzTKCKB+nDcybwk1g8X5pXcInLDzLHAekzDzS63BqyW0B0oncOSOYB2sG75
 sHMkJEhhwq4iO9BF3veaino90paeV8APPXqtXClcUdgyBJ7DNVRdo21V68o0EvLvjIi0
 d027ScfA3ksrQsJTRpbui6Nj6yrbyq+UiXXDUcYj/T+32nvQPL+kqvX65IdKLzuxOIo2
 i/7A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=J5Yy1Z/6QpnemcbaCpUQZO/qDRskalx+Dwn50ucc2ug=;
 b=nobvgYQsz5gD2qusHH/6RGi5dDMEFZjpXoyQBsx3hB+PVG6rX29TX238czLnNsfK/K
 zJjYfr8mLfFPNvNC+A+flZjtFwMt74UtzM9VysRxP+QH/wqvJshy5LVjdYttxvcsr5yD
 azueyuRijBRe8xPuI7SY/YPzCDu8Tbc/fMvg9ySHqab/DRYDr6NH3VJ19AzoTEzyoSBt
 Z22wXUzBgF8fs6bnqQPoDBZeHvtJgVvBOgG/LziKu07GmRTrKErteYYB6OzZIlX4wq9f
 5JESQdsUYFFF7DYo+2VZGWVngKB9p0cmsXbZ2vhHLKA+0a8umsnstIQQ+iiFGDe5OrJL
 hLqQ==
X-Gm-Message-State: AOAM530fe+ORkmDeJV4L19lF0u69c5i4O8t+gKb0PuFaVX9p2b4CIeUy
 Jle2Zgv0fnfGXu+jKOUx7AYxIXJ2dC8=
X-Google-Smtp-Source: ABdhPJy5j1CRdHu1XQ/DvnNSOwV4vArH+RLybVvSzPHLJjk5W7ieWjn5g8V7EcqF1IOru2v1vK/thA==
X-Received: by 2002:a0c:e486:: with SMTP id n6mr24867367qvl.21.1620671699984; 
 Mon, 10 May 2021 11:34:59 -0700 (PDT)
Received: from [192.168.1.11] (c-24-61-240-80.hsd1.ma.comcast.net.
 [24.61.240.80])
 by smtp.googlemail.com with ESMTPSA id 25sm1063092qky.16.2021.05.10.11.34.59
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 10 May 2021 11:34:59 -0700 (PDT)
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
To: Gregory Heytings <gregory@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN>
 <bb1da086-1392-4153-b1bf-e82f0896d90e@HIDDEN>
 <e27b2f896d296784bc75@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>
Message-ID: <0ca4bc1d-a396-6948-83e9-6f82f3e77c0c@HIDDEN>
Date: Mon, 10 May 2021 14:34:58 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.8.1
MIME-Version: 1.0
In-Reply-To: <e27b2f896d296784bc75@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: martin rudalics <rudalics@HIDDEN>, 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 5/10/21 2:16 PM, Gregory Heytings wrote:
> 
>>
>> More complicated: I wonder if it'd be easy to ignore repeated delayed input. As it stands, keeping '+' pressed will zoom in continuously, and continue zooming in after '+' is released, until all buffered repeated '+' inputs are processed.
>>
> 
> What do you mean exactly by "ignore repeated delayed input"?  Do you want to "throw away" the remaining "+" keys when "+" is released?

This one.

> (My computer is a bit too fast I guess, I cannot see what you see.)

Either that, or my keyboard is fast :)  Try adding (sleep-for 1) right before the font size adjustment, then press "+" for a second or so and release it.  Emacs will keep processing the delayed "+" input and keep zooming.

Not sure that it matters much.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 18:17:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 14:17:02 2021
Received: from localhost ([127.0.0.1]:34222 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgASk-0005pN-DJ
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 14:17:02 -0400
Received: from heytings.org ([95.142.160.155]:45710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lgASi-0005ov-3e
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 14:17:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1620670618;
 bh=0SZ6495ELlm2dn7I7LhKodEtcUfQuPUHOvU7PDbGx98=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=Si+//ClXOc10iOXD1VHL32IE5C0fwFfuAzNbwdmoINa8zGyhseyAC3yuM3Oc6fBka
 uckxk5ev4Bx//GhsxtYnU6dI7o9659NOUGMpLImPc4gtvqijAAxwNs89VOQkQylz52
 TLMVDX50ZQLCjWUDCcrx9k4zAuvoCfo1UQJRszK6B1jz2LhGrGLWvAbf7MqUVyWqVN
 VlVdz0Jun5hqcRLHcMgHqZHxW2qNPsk2XUIuQNhg3HGB6BO20cA3BvvKj0WbEIfwL2
 6O7FOHANJolstpg8lTDmH+YYx2PW7fI4qtEyXkm6ulYWV0OYG/vvxyLyWDNPr26fQh
 W2mFD8fjyIANg==
Date: Mon, 10 May 2021 18:16:58 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: =?UTF-8?Q?Cl=C3=A9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
In-Reply-To: <bb1da086-1392-4153-b1bf-e82f0896d90e@HIDDEN>
Message-ID: <e27b2f896d296784bc75@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN>
 <bb1da086-1392-4153-b1bf-e82f0896d90e@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: martin rudalics <rudalics@HIDDEN>, 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> More complicated: I wonder if it'd be easy to ignore repeated delayed 
> input. As it stands, keeping '+' pressed will zoom in continuously, and 
> continue zooming in after '+' is released, until all buffered repeated 
> '+' inputs are processed.
>

What do you mean exactly by "ignore repeated delayed input"?  Do you want 
to "throw away" the remaining "+" keys when "+" is released?  Or do you 
want to disable the zoom effect, count the "+" keypresses, and apply the 
effect of all the keys in one go?

(My computer is a bit too fast I guess, I cannot see what you see.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 16:46:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 12:46:02 2021
Received: from localhost ([127.0.0.1]:34105 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lg92g-0003VL-OU
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 12:46:02 -0400
Received: from mail-qk1-f171.google.com ([209.85.222.171]:38582)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cpitclaudel@HIDDEN>) id 1lg92f-0003Up-Kn
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 12:46:01 -0400
Received: by mail-qk1-f171.google.com with SMTP id q10so11797246qkc.5
 for <48307 <at> debbugs.gnu.org>; Mon, 10 May 2021 09:46:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=nnVpICXJk+a+kfB/ZORTSloy7Uw1OKZmz56U6hJaC9Q=;
 b=KTna1RYmxoqEKyCdg6eQt2r/FSY1XyXUZi3lEi0Tck+1O58Ml3feO0b5OjkzwyBECN
 SkkT6lr/7TYpctqqR9z4PSlFhe/7Y3Zb2ziyypImjtmIcZc5hi/0GEGCu26LFvfgJQBw
 pXKuVDYL8+W1Po3Y5cOZuxPdZTntOmTovetrak/FqRNI78Yd+LLud5t9gln8KyrHc/44
 rJ8uyiD7Ec9EoZb3+t7RbKajJNokMSO/6ELdbaFsxJoN7kSTU60QGocwH015emdGPgrr
 mrWToFY5NZkTVW/ZHstzK6yO6hRUaMETWqGGZV6f/8g3mshaSSWgHwlUBXV7OeJNQpCg
 S6Qw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=nnVpICXJk+a+kfB/ZORTSloy7Uw1OKZmz56U6hJaC9Q=;
 b=DroADNZY402PTB0zI+misIYQdRpzZ5dsqas8JSpDI5NC97XA5Wqr91/IV/cFPgCSmv
 krUq3EsyVoHC8ohf+7+4LLIvc41STjfE8FaXjk3dWSpgjJMygS5amw7IutfswvT8L/Tx
 EWsctcpAQKORUg9vYSpkPla3qFjGUsWk3YbBKoTsQKTV2gtS54E4lTcf3wmuQVghD7Bq
 lGjE69OeZ19tnzG8OsXX7xLy66mx0yM5Heyu+xTa7mZ2bA1bNMOTAtjvAP/TNTQyrSkh
 AAjnRRo9RkEYoy6HzKn4UEAQadWJam/+uibgsEIYg7Mecx/x+fJW+IX9IGWYwEtWzQ2w
 O9Tw==
X-Gm-Message-State: AOAM531VfO72JGiKBesjgD4OAl4ZdBay8H9iF3zQnOXp7EjfHx1d9vpW
 RptaMeHlR5hvaRSGnhc82pEYHt/iBKg=
X-Google-Smtp-Source: ABdhPJwubQN3DBok+CKn9eGjgd/wNVnFMDa37r4VzC3My/dqF9itptdv+I0+ZfjE8aaziGes/U+yTw==
X-Received: by 2002:a05:620a:4543:: with SMTP id
 u3mr23397259qkp.118.1620665155927; 
 Mon, 10 May 2021 09:45:55 -0700 (PDT)
Received: from [192.168.1.11] (c-24-61-240-80.hsd1.ma.comcast.net.
 [24.61.240.80])
 by smtp.googlemail.com with ESMTPSA id l6sm11474780qkk.130.2021.05.10.09.45.55
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 10 May 2021 09:45:55 -0700 (PDT)
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
To: Gregory Heytings <gregory@HIDDEN>, martin rudalics <rudalics@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>
Message-ID: <bb1da086-1392-4153-b1bf-e82f0896d90e@HIDDEN>
Date: Mon, 10 May 2021 12:45:54 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.8.1
MIME-Version: 1.0
In-Reply-To: <e27b2f896da7e4eda69a@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 5/10/21 10:17 AM, Gregory Heytings wrote:

> Thanks for mentioning frame-inhibit-implied-resize, I did not know it exists.
> 
> I attach a patch that does, I believe, what Clément has in mind. Comments and feedback welcome.
> 
> Note that this patch can't be applied yet, my paperwork is still not finished :(

The patch looks good, thanks!.  You could bind combinations with '=', too, since text-scale-adjust does that (you can press = instead of +).  

More complicated: I wonder if it'd be easy to ignore repeated delayed input. As it stands, keeping '+' pressed will zoom in continuously, and continue zooming in after '+' is released, until all buffered repeated '+' inputs are processed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 16:26:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 12:26:23 2021
Received: from localhost ([127.0.0.1]:34069 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lg8jf-0002xp-Df
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 12:26:23 -0400
Received: from mail-qk1-f169.google.com ([209.85.222.169]:42741)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cpitclaudel@HIDDEN>) id 1lg8jd-0002xb-DD
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 12:26:21 -0400
Received: by mail-qk1-f169.google.com with SMTP id o27so15885768qkj.9
 for <48307 <at> debbugs.gnu.org>; Mon, 10 May 2021 09:26:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=UOKLUZtGr1FzyljIgGxi6HuCo3p8gWcN/ABJzcESGOs=;
 b=CM7HUwtqTa9CqQeXh/RmG6E0Alaq8MMQsBwIuptbnN3Qelbgm+XHvFFVIzgHJz3hxN
 zBQ7tiwNDgCju2Odc6CLScvcfNFRzxZ2lGQ6GGpvAZ5agY3sP7s55DDU3BdEPRkYeVnp
 wAJX4eN/gd1KT31ttmHguxgqGPJDizCYWseTBswxMEc2NtyIOyanUVDTYLhzUUNktHbf
 xIvJWhsr5iyGxxEI7pxiYOxl5l2F9sDpZBHpKZZCA6ouvXsnmQR/0ypV1Qj3Ieh9L5BO
 zquGlnqMsb11EYwec6gqkIPC8+M8klTX9ek95gqDcYpttG0TaVshus5mM+xZ4bVKYkPz
 Utlg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=UOKLUZtGr1FzyljIgGxi6HuCo3p8gWcN/ABJzcESGOs=;
 b=ZAHIj6TwiFR/FwqTD1DSiwCQUtPC501nIoFaR/4cGxKcvI6bBtRbm6AIFogjrni7cJ
 a/hD5tLB4uyUadoCstVDAEyoNL6ozCG9YmbHK2jHU5b70hugGL8q3jUDaGGsrdIASv+8
 iS0YFkpK5SSVVjt24RjgbuUVlOS/6KAsAph3C8hJQVLeY6ZNxlR9PvSDdpOJTk81KTU2
 Wa3n7S2MlJuNfbeNFOjfV5FKkmOOIjAJWvg1upF3nspwHYRfrqicpWXX/i3GX5nQ0FBE
 MrHzzQP9GHjQyPYjlnOX81kiwstTG5F+Ve+/lRAXuEU7+/J9XSHi/GP82vDCqWOa1Eo3
 /9Fg==
X-Gm-Message-State: AOAM531ULHpLXje00GEyM3/45kyUy8w2zAFBndy18NyJ238MBvd08kIl
 xL3R5gtcQNdnB9AHo0YJY/KlvpwhJAg=
X-Google-Smtp-Source: ABdhPJzTzfpsHnLVa78+IemgeyGGgogE1jrUsRnPQSSzOXN/wjjrok5I27mG/iJtmiX4I8abYx8w9Q==
X-Received: by 2002:a37:e312:: with SMTP id y18mr15161169qki.39.1620663975776; 
 Mon, 10 May 2021 09:26:15 -0700 (PDT)
Received: from [192.168.1.11] (c-24-61-240-80.hsd1.ma.comcast.net.
 [24.61.240.80])
 by smtp.googlemail.com with ESMTPSA id 66sm12078849qkh.54.2021.05.10.09.26.15
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 10 May 2021 09:26:15 -0700 (PDT)
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
To: Eli Zaretskii <eliz@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN> <83wns664xr.fsf@HIDDEN>
 <be1ff76b-5c17-7898-c297-8d959c73800c@HIDDEN> <83r1ie5zud.fsf@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>
Message-ID: <b584e22d-1b5a-4c5f-d548-161ecc6a3cc0@HIDDEN>
Date: Mon, 10 May 2021 12:26:14 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.8.1
MIME-Version: 1.0
In-Reply-To: <83r1ie5zud.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 48307
Cc: rudalics@HIDDEN, gregory@HIDDEN, 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 5/10/21 12:16 PM, Eli Zaretskii wrote:
>> Cc: rudalics@HIDDEN, 48307 <at> debbugs.gnu.org
>> From: Clément Pit-Claudel <cpitclaudel@HIDDEN>
>> Date: Mon, 10 May 2021 10:53:57 -0400
>>
>> (Besides, that's what menu-set-font does
> 
> No, it doesn't, at least not here.  My frame is resized when I choose
> the same font of a different size.

Good catch.  But not past the size of the screen, it seems.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 16:24:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 12:24:17 2021
Received: from localhost ([127.0.0.1]:34065 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lg8hX-0002u9-8T
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 12:24:17 -0400
Received: from heytings.org ([95.142.160.155]:45592)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lg8hU-0002tz-PF
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 12:24:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1620663847;
 bh=+Iz6xKEDolDHfrGuOt1gjVxnvjIX14Yi2i8R3CaJrpw=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=kbPRF6+jw/+NDdPVkhxFuP+t2dEG0fxmTGngVZe1oSXlVtdZqyfh2R05zSbprgK+x
 WwcBzeuBIpnt8IgapKzlk8ar8PKIAVpGMVEyKJwkm538HleeidgkZ62d1jy6waujXa
 EH6YK1YNkUFHglAJUZ//4l0qdlJeo1lyU2n4ox8KJNDGtjh1u1ZefxWJNJc8086GtQ
 ullkVjYl4/6vAemzCczor2joF6HVihzpvnGgZdkAJpq1TeWUP4dZY3Fy5S8t2ZUQre
 8NYR/5+hk9YuCYrH9t6K6WSY/MPfv7I7i4jY4a1AKZxB8J75vARSBvQ2htAf38REqY
 ETVO6WzkbBV2A==
Date: Mon, 10 May 2021 16:24:07 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
In-Reply-To: <83v97q64ma.fsf@HIDDEN>
Message-ID: <e27b2f896dd676c08f3c@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <618a480bbe37bb9057f9@HIDDEN>
 <999f8d7a-3c1b-bf72-dd15-472be09b8d34@HIDDEN>
 <618a480bbe312e9a2db9@HIDDEN>
 <24ec1bdc-b006-7ace-8320-8d45bb42daaa@HIDDEN>
 <618a480bbe626e3a52c6@HIDDEN>
 <83y2cm658t.fsf@HIDDEN> <e27b2f896dde50786f06@HIDDEN>
 <83v97q64ma.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="J4KTFXDO4q"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: cpitclaudel@HIDDEN, 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--J4KTFXDO4q
Content-Type: text/plain; format=flowed; charset=utf-8
Content-Transfer-Encoding: quoted-printable


>> The patch I just sent avoids that problem, and does what other programs=
=20
>> do when the user zooms: their frames are not resized.
>
> I think it's a mistake.  Other programs don't change all the fonts on=20
> display, only the one in the main window, which is more similar to=20
> text-scale-adjust.  This feature was supposed to change _everything_,=20
> which is why it modifies the default face.
>

Indeed, but that feature is already present on C-x C-{+-0}.  And I don't=20
know any other program that changes its frame size when a zoom factor is=20
applied.

What the existing C-x C-{+-0} does is what C-{+-0}=C2=A0does in Atom.  What=
 the=20
proposed C-x C-M-{+-0} does is what C-{+-0} does in Visual Studio.

As I said, I would not object to make this configurable with a defcustom,=
=20
which would default to "do not resize".  Would you agree with that?
--J4KTFXDO4q--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 16:16:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 12:16:14 2021
Received: from localhost ([127.0.0.1]:34061 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lg8Zq-0002h8-FH
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 12:16:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50158)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lg8Zo-0002gt-Gp
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 12:16:12 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44990)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lg8Zi-00048B-UM; Mon, 10 May 2021 12:16:06 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1325
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1lg8Zi-0003Sk-Fr; Mon, 10 May 2021 12:16:06 -0400
Date: Mon, 10 May 2021 19:16:10 +0300
Message-Id: <83r1ie5zud.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?Q?Cl=C3=A9ment?= Pit-Claudel <cpitclaudel@HIDDEN>
In-Reply-To: <be1ff76b-5c17-7898-c297-8d959c73800c@HIDDEN> (message from
 =?utf-8?Q?Cl=C3=A9ment?= Pit-Claudel on Mon, 10 May 2021 10:53:57 -0400)
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN> <83wns664xr.fsf@HIDDEN>
 <be1ff76b-5c17-7898-c297-8d959c73800c@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48307
Cc: rudalics@HIDDEN, gregory@HIDDEN, 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: rudalics@HIDDEN, 48307 <at> debbugs.gnu.org
> From: Clément Pit-Claudel <cpitclaudel@HIDDEN>
> Date: Mon, 10 May 2021 10:53:57 -0400
> 
> (Besides, that's what menu-set-font does

No, it doesn't, at least not here.  My frame is resized when I choose
the same font of a different size.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 15:36:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 11:36:49 2021
Received: from localhost ([127.0.0.1]:34038 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lg7xh-0001fn-Mk
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 11:36:49 -0400
Received: from mail-qv1-f53.google.com ([209.85.219.53]:45779)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cpitclaudel@HIDDEN>) id 1lg7xe-0001fZ-Mp
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 11:36:47 -0400
Received: by mail-qv1-f53.google.com with SMTP id u7so8512510qvv.12
 for <48307 <at> debbugs.gnu.org>; Mon, 10 May 2021 08:36:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=RT+KvLmdPIXYKcOgFcpIY166tGMi/USZDKsMbXAQ0vY=;
 b=rp2snXSaUDofdSMb5Vlgahq5P5qa/kNMk0QtHdbuW4cNhr4D1/FPJFeRfMkV8qdoUt
 6iZSFLxFudQ3NDVyaHReN86iIIpC6NLJ45qlsVsELgFpvgkxKdXap6FUhcSJ0Ba/lYzm
 nINIymbHsM9j2n4rAp/cPHZSuPscXSYAfR48fMeEQguPB6TjHEvRIxqIdtKrHHI9CRIr
 vlA4BITa5TJ2+zbMJn0BvIDEwBnmMVkDlD10gYuckSF6x9KdUlPkpwAameRW2YEZ44Su
 U8pz0iOemB0ray64lTFyvBWccU0DRdzEXxpBvei0wIq4rYMVQIJBAud9GzMG011K8MQG
 QqBw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=RT+KvLmdPIXYKcOgFcpIY166tGMi/USZDKsMbXAQ0vY=;
 b=SqnXDdnO4d7S47FfEeSNQvEJPRuTp/W0Olx9htkLZdV3RHRogV5oWCDhVyPBuOgxTs
 ME4G14lt5T7+lOtFI1lbw8+cDZdjaD8Iw3AeS2XXgZZeqfn66mRhm+zkU9SvpL/8j83+
 3kdAtCZ1tV4OTlM74S9k6Siu8YwcL3YCLZWQzVd16yRLzDXqqR3MPbJZWBzi4xyrbyyD
 KnnjcECv9b6uTCy3K3xcfu6CL4uDg9tTFCwROCoPwqwcz0rUFzvvVp9shssef3liKDtH
 oqvq14pp1ukH7qt45UoZ3COun98oZGVbnLo6gX7yFVbaiTeUX9obfs4g3e5M2Qd1mhOe
 PycA==
X-Gm-Message-State: AOAM530srhsAgDyyvvKff1Lsbp5sfwxTFoLQTUnAs/US/xDnOBLwZkcB
 8hvo0WBV18la5Gr/nvwlKYlKUHhKlTU=
X-Google-Smtp-Source: ABdhPJxBEvc9xuPr10Ms1gc+ivUREH542sGPGXvdHIW7OVqA4EgDC+U0zocb4SzDluEdhFCA8GlITQ==
X-Received: by 2002:ad4:4bc4:: with SMTP id l4mr24595480qvw.46.1620661001047; 
 Mon, 10 May 2021 08:36:41 -0700 (PDT)
Received: from [192.168.1.11] (c-24-61-240-80.hsd1.ma.comcast.net.
 [24.61.240.80]) by smtp.googlemail.com with ESMTPSA id
 u126sm11853789qkd.80.2021.05.10.08.36.40
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 10 May 2021 08:36:40 -0700 (PDT)
Subject: Re: [External] : bug#48307: Feature request: provide default
 keybindings to change the font size in all windows
To: Drew Adams <drew.adams@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN> <83wns664xr.fsf@HIDDEN>
 <be1ff76b-5c17-7898-c297-8d959c73800c@HIDDEN>
 <SA2PR10MB44748D8D910D2672CFEC8A63F3549@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>
Message-ID: <31f0934e-6821-5121-587d-9105c841db0b@HIDDEN>
Date: Mon, 10 May 2021 11:36:40 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.8.1
MIME-Version: 1.0
In-Reply-To: <SA2PR10MB44748D8D910D2672CFEC8A63F3549@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: "48307 <at> debbugs.gnu.org" <48307 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 5/10/21 11:22 AM, Drew Adams wrote:
>>> Why does it make sense to inhibit frame resizing in this case?  I
>>> think it will make an ugly display: mode-line text will spill over,
>>> lines will become wrapped, etc.
>>
>> I think preventing frame resizing is the right move,
> 
> There's no single "right" move, here, IMO.  Which
> behavior should be the _default_ one is a different
> question.  But both behaviors should be possible -
> each has its uses.

Well, there's a concrete request that stems from a concrete need — my students and colleagues running into trouble when sharing their screen.  Of course, I don't have objections to including other features.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 15:26:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 11:26:34 2021
Received: from localhost ([127.0.0.1]:34032 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lg7nm-0001P6-M3
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 11:26:34 -0400
Received: from userp2130.oracle.com ([156.151.31.86]:43992)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lg7nl-0001Ou-7W
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 11:26:33 -0400
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 14AFAFlU126858;
 Mon, 10 May 2021 15:26:25 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=bA3bmCBOmiNdsjldp+2OZx37oDiQ/2MpJn3GFMO205c=;
 b=n0WU3hVjWzK9EeLqWttW6GMMt1yMePPa1oMfdadSvSY5YRV91m2dsAgwhiG1qYkViPIC
 yJk2jJuOJqM3SDmK1bI9OeY37evgj0WVy5w1h1F6gk/MuY8MtoKKDjv1EItQKf6tESOg
 mY5zQsy59Z40DBrtIvArDjVxVIx14/FYvPZeBWIHf0JVa4vWK2EApVjzMhVrPJYBm8oW
 yzuW6onvYL5+JyXve6ZuGow6JjTfi++HXRjmT2VvuwJs6vVayGegys2jo8mE/2Qau4AU
 xT565ZJbv5ZJBIrKv28snqLUAliZUmeFhrC6to9nvPT0g3TfjrUJHWUWHw2O4qN6nukw Lw== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by userp2130.oracle.com with ESMTP id 38e285awdg-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 10 May 2021 15:26:25 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 14AFCF8d164347;
 Mon, 10 May 2021 15:26:24 GMT
Received: from nam10-bn7-obe.outbound.protection.outlook.com
 (mail-bn7nam10lp2101.outbound.protection.outlook.com [104.47.70.101])
 by userp3020.oracle.com with ESMTP id 38e4dsfa6f-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 10 May 2021 15:26:24 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=cZ7663JuctuUpkBgistlER1lG1LEzijjfNhhuwnQK5yw79CTR/ivCvGHpeTi6nOJtWmbGM/mOMM1qYSRtwe3QCBnsViuTjcsMcZyju07N9wUPUIDTvA82a3JGb8kWwBwl36rQS76yVW4j/MRf/UH20UEZwvFgHldYbhvo7vulXZasy0jra1nn1iUNTjVfByp8VkNEmtNSzxpnnnE3gBCG09wio/2I2oS/Bm4D3mnbNJSUavxKe7RQaOeCo8gowPNU/9qiOZ0d4GnXErVGttLRU1Y9XEHIFhGMUOTXwYaZWnlNBAolhqeYyIE69P5PJf7iV6Ay8yzGmjbXXlZXoNsCg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=bA3bmCBOmiNdsjldp+2OZx37oDiQ/2MpJn3GFMO205c=;
 b=Ggvk4027VjsWrcpyykTEkwZy2OTVPNFNeXZKItjrLI80i/T4I8/UHjNgGVACRLSD5u/iqejQMGoUNUqckKihZ6QAxMuOLLHdAo066O144ssM28J5k7RSxwHeTb6ETSnyV1GIEiHEvJu1mwn1z8LilrxKO7of3r35N5gaZ8ikefKW9LCY6qVEge6Osf6jmcmjwl0lOgnyzwF4IcpNH60STAk9bYRCdvdifOlC11fVWb6ywdCxCaqeScnviZXZkSSPmN0mrNbuu+Gocn1jajQJegUV+Di0Wf0apoMJf8cqUc8t3MX2zjvw9fdzJ3cqzdZ9b929ZFkJOdoowN822rZ5wA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=bA3bmCBOmiNdsjldp+2OZx37oDiQ/2MpJn3GFMO205c=;
 b=qmVmiQ+rVM2VqWuyw40KE2RueCKf6oBBqSLBDJelHbydjsNa5CcROq0PcZzXBsv4ASYewBpaV6xtgqFD1Kv4hBGhxTW6AUk35ZFJMYYI8U4wHrES/xAV1qNs9qPxPjXSa3SxOWsj37k7V3LpS+9jk6LmUPltEfQLL3TdPpyPf3I=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SA2PR10MB4490.namprd10.prod.outlook.com (2603:10b6:806:f9::24)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4108.24; Mon, 10 May
 2021 15:26:22 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494%6]) with mapi id 15.20.4087.049; Mon, 10 May 2021
 15:26:22 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: RE: [External] : bug#48307: Feature request: provide default
 keybindings to change the font size in all windows
Thread-Topic: [External] : bug#48307: Feature request: provide default
 keybindings to change the font size in all windows
Thread-Index: AQHXRa49RQuSdcilOk29m82vNd2POarc1Xsg
Date: Mon, 10 May 2021 15:26:22 +0000
Message-ID: <SA2PR10MB4474FC6ADA103F34BB1187EAF3549@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN> <83wns664xr.fsf@HIDDEN>
 <e27b2f896d12b01ee63a@HIDDEN>
 <SA2PR10MB44749E36AB94D51F59CBDAF0F3549@HIDDEN>
 <e27b2f896d1ec13b2987@HIDDEN>
In-Reply-To: <e27b2f896d1ec13b2987@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: heytings.org; dkim=none (message not signed)
 header.d=none;heytings.org; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: e65db4bb-763e-4df4-8fdd-08d913c7f7ea
x-ms-traffictypediagnostic: SA2PR10MB4490:
x-microsoft-antispam-prvs: <SA2PR10MB4490C760090254A4295FD677F3549@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:2043;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: cm5KDzQ3S8CzL1/mH5qkTQThvucjLGDIwk/wfNLyS6f2WBmwFb0zWB0E6Q/slr4ujuuJfTBmn26Z8sNS6YJDSSiyZmliVUq49nwsjw3GMHbcWckol4HVh37v9aYUyDp9OQOa2gpAKKUgVG77sNQ3UD7xubGFSO7HfcT5YEA8SQoTQtshJ/g1EcArqrHaXe2C8jiguPm4yrJT1dCuJvWgJoSCTJSE/ai4lgsXOgtJ1JtVfpcDauG+ZbjJmW4Ori5FYJ5RymGnxWLwwapfV62pMJMmB00swfzWk75HOmHh8hhEzj6RUzhWrnti85prHmN+NQmfkMUc7elGWKFNrNeM7UcvUtREDvxiZqehM93pPWbOF8YnLYhhuGcOnq9Wip62o//Tta3NuFkChawuNGf0srUUl1dn0QIWKTEgWVAjyGI8cGFJvJvbfvA1+IRvkMhANUk4/vi7UCjPO8VDNurvNLj2TMKWdDWmQgm/+FiSlrygUPQnFCf5/vvTL2rcpjgYWjlqc9T72T3Txq6SiScEnfBv+/qe4jcYrW1seIEWz9bQYggV4Uv2tH2L7PShXvY3PkRAnQF2RW+L7Y2m7PiNKKDO77JEjeuv6kzQdc+Y3kU=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(366004)(376002)(396003)(136003)(39860400002)(346002)(6506007)(44832011)(9686003)(38100700002)(55016002)(52536014)(5660300002)(122000001)(7696005)(478600001)(4326008)(26005)(33656002)(8676002)(6916009)(71200400001)(66946007)(76116006)(66476007)(316002)(66446008)(64756008)(66556008)(86362001)(2906002)(186003)(8936002)(83380400001)(54906003);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?utf-8?B?aytab0srQ2c3TGpZaEk4bFhVYUpwREcyaDRPL3ErYTZla3FxNjJRQ2JpZzBo?=
 =?utf-8?B?Mm50WjlTSVhSODZVdld5TjZzTDVtQTIzczdyQVBHd01BNnF4ckFpaDN2ZGky?=
 =?utf-8?B?V2JhcThpZTc5OVlEQytUTkt2cXpDcmR4N2NVMUhjLzlmSXJMYkhYRTlCRVhh?=
 =?utf-8?B?YW9hQ0pvZXFXTWJLM2JqWVdsRlhvVm9hRFhjWC93Q3A1R0dnT0FzUzJEVy8w?=
 =?utf-8?B?SmI2cjNGZXdrRUxZNDQ2Q3RrUFRLdndNcGVpV1RDcklJZVJ5c2VObERuTzBr?=
 =?utf-8?B?cSsxMXZydVgxOTNhYU04SDJ2ME00M0ZmQ3dSbCtKd3BTdXUzajFSYUdIQ29k?=
 =?utf-8?B?QW9Hc3ZKQVNhNXloR3d0MDdNZnM2K2dSV0xnQW41aUdZcWV3L3N4Y0JERlNq?=
 =?utf-8?B?TW4xclF6U3ZsRWo1RE1VR05Bc3B6ajZ2Q3I0Vmp3RVVrVjltNE1QWHRBbmFS?=
 =?utf-8?B?S3orZGZ0cTNUNmRHQW9iSERvTG9Na3dabHVqYkM1OWRVNytMNzlGb3FrY01Y?=
 =?utf-8?B?RmFxZGU5eS9aWnU4azVpRUlHU1NYTDVRUkFjcWFMZkd1bStodUloUTVUeGFP?=
 =?utf-8?B?c3BSQlk3Sk1TbzgzVmRnYkoyVUVobGFHVE1xRFZ6SWtJZlMzYmQ4a0FtbXNJ?=
 =?utf-8?B?MWFreEliclQ0K2RXaUVVaFBBMis0VUJqYjgvbDNLUWRkaVhUeE9lOWZKdmxm?=
 =?utf-8?B?bStGa2hoNm11ZE9YRFliQmRaaWwvTjN0aFJtbjh6eElvL2E2ZFk2aXNhZC8v?=
 =?utf-8?B?ZzdUZEV6K1dra3BtdUptYkEwWnkxMFh5K2RTVVJZbkk4MHRKbXgzY0czaDRS?=
 =?utf-8?B?Y2RhWG5tZWVzQm5xVDhRcVhOblFPNXk4Ry9qMWx2WE1QRjFPSDZFY1NLRU9y?=
 =?utf-8?B?QWJLaFNjVFJLNWt0NFlqWXI4QTgrbTVJdHZTWmpESmUrNmVnekljNjlqOGFa?=
 =?utf-8?B?VmRNdTA5MTg0djMyZWkyQU9rUzZ3WkNsM0EvSmxnMUg0RFNMb0JrY3hjOExa?=
 =?utf-8?B?MFlVWk91TWxIVjVVTEh3MXh4UE15bXZodWdoOWhaYkFRb1ZkMGo4VXhEUHhB?=
 =?utf-8?B?S3NnL1lycktMVVZpRVhUZXErdzRpclZYVm5KTjY2V0dPb0poZGFqb0R1T1pV?=
 =?utf-8?B?bUF5MU9ib0pXYkthL01vOTNDbFhKRFRHeTFyZzVsOGN2VUpjNWZMNTBaRFh1?=
 =?utf-8?B?RlIyM0VPdGMrTTUwQ2NBWHA4aFUzMmJlZC94U0ZsZ2VrNDhvVG9vZUJvS0Q2?=
 =?utf-8?B?ZEk5cStMM0lmR0Q2SVB4L2J4ODB3eXphaXFHcmR0MTk4S1p4RWsxTGk5V2to?=
 =?utf-8?B?b0dEY0pld255Qk5PalEzeWlHZnFHTFowNVpscEVRZmRQL2E5dTVuanJZSXdj?=
 =?utf-8?B?MGlkVXpYRU5aTG9QSE4rbXNCMlEzYzVzMkxSR2p6WWIzRVpNdGRaUXIyTkxo?=
 =?utf-8?B?YUdxYkxzVXZ0Qi9ZZHQ4ZFhoSElBSmpEZmJFS2JIM3o1WmpmdkhrREZCNnpZ?=
 =?utf-8?B?NFFGZDFtblgxMTdXbVZvc3B2SWlWTDRJekYrMTJtTHNZdE00cnlZZVJYUVZi?=
 =?utf-8?B?MHFacHBib2swaGw4alpmY2E2Y2RJN2NIek9RWFZBOG1DVnFCc3NuWmI0Rjhr?=
 =?utf-8?B?U3ZKSGtLS3REWE9DYjlDckJ1MXRocUlnZjNIREl4SWZYb0xTQUlzbytmVGNF?=
 =?utf-8?B?TlNqRExzNzRKMnJyaGpXaDByVG8zZE9YOXBxZHpFZDc1eTRjTW9zbWROZUdH?=
 =?utf-8?Q?xwKUyzXcmHRCQMur4mpYOGHYbog85HpEOnxEfbs?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: e65db4bb-763e-4df4-8fdd-08d913c7f7ea
X-MS-Exchange-CrossTenant-originalarrivaltime: 10 May 2021 15:26:22.7235 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: gbb7W+85dtC7OMAgOsRXu/48sDUBYK3B8MqzNA1HDfWnuD9rmBYwPhAPjGzO+W7EynbspfnTI5Si4/gYOxB34Q==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SA2PR10MB4490
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9980
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 malwarescore=0
 suspectscore=0
 mlxlogscore=876 adultscore=0 spamscore=0 mlxscore=0 bulkscore=0
 phishscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2104190000 definitions=main-2105100109
X-Proofpoint-GUID: QzMZN3MMmx_q35gBb3vGUIgldJLjPjrj
X-Proofpoint-ORIG-GUID: QzMZN3MMmx_q35gBb3vGUIgldJLjPjrj
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9980
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 mlxlogscore=999
 mlxscore=0 bulkscore=0 lowpriorityscore=0 priorityscore=1501 spamscore=0
 clxscore=1015 impostorscore=0 phishscore=0 malwarescore=0 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2104190000
 definitions=main-2105100109
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48307
Cc: Eli Zaretskii <eliz@HIDDEN>,
 "cpitclaudel@HIDDEN" <cpitclaudel@HIDDEN>,
 "48307 <at> debbugs.gnu.org" <48307 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

PiA+Pj4gV2h5IGRvZXMgaXQgbWFrZSBzZW5zZSB0byBpbmhpYml0IGZyYW1lIHJlc2l6aW5nIGlu
IHRoaXMgY2FzZT8gIEkNCj4gPj4+IHRoaW5rIGl0IHdpbGwgbWFrZSBhbiB1Z2x5IGRpc3BsYXk6
IG1vZGUtbGluZSB0ZXh0IHdpbGwgc3BpbGwgb3ZlciwNCj4gPj4+IGxpbmVzIHdpbGwgYmVjb21l
IHdyYXBwZWQsIGV0Yy4NCj4gPj4NCj4gPj4gQmVjYXVzZSAoMSkgaXQncyB3aGF0IG90aGVyIHBy
b2dyYW1zIGRvLA0KPiA+DQo+ID4gU2VlIHdoYXQgSSB3cm90ZS4gIFRoYXQgY2FuIGJlIGdvb2Qg
YW5kIGJhZC4gV2h5IGxpbWl0IEVtYWNzIHRvIHdoYXQNCj4gPiBvdGhlciBwcm9ncmFtcyBkbz8N
Cj4gDQo+IEkgZG9uJ3Qgd2FudCB0byBsaW1pdCBFbWFjcyB0byBhbnl0aGluZy4uLiBidXQgbm90
IGV2ZXJ5dGhpbmcgY2FuIGJlDQo+IGJvdW5kIHRvIGEga2V5IG9yIGEgbW91c2UgZXZlbnQuICBQ
ZXJoYXBzIHRoaXMgY291bGQgYmVjb21lIGEgZGVmY3VzdG9tLA0KPiBkZWZhdWx0aW5nIHRvIHQ/
DQoNCiwtLS0tDQp8IHRleHQtc2NhbGUtcmVzaXplLXdpbmRvdyBpcyBhIHZhcmlhYmxlIGRlZmlu
ZWQgaW4gYGZhY2UtcmVtYXArLmVsJy4NCnwgDQp8IEl0cyB2YWx1ZSBpcyB0DQp8IA0KfCBEb2N1
bWVudGF0aW9uOg0KfCBOb24tbmlsIG1lYW5zIHRleHQgc2NhbGluZyByZXNpemVzIHRoZSB3aW5k
b3cgb3IgZnJhbWUgYWNjb3JkaW5nbHkuDQp8IEZvciBleGFtcGxlLCBpZiB5b3UgdXNlIGBDLXgg
Qy0tJyAoYHRleHQtc2NhbGUtZGVjcmVhc2UnKScgdG8gbWFrZSB0aGUNCnwgdGV4dCBzbWFsbGVy
LCB0aGVuIHRoZSB3aW5kb3cgb3IgZnJhbWUgaXMgbWFkZSBzbWFsbGVyIGJ5IGEgc2ltaWxhcg0K
fCBmYWN0b3IuDQp8IA0KfCBJZiB0aGUgd2luZG93IGlzIG5vdCBhbG9uZSBpbiBpdHMgZnJhbWUs
IHRoZW4gdGhlIHdpbmRvdyBpcyByZXNpemVkLg0KfCBPdGhlcndpc2UsIHRoZSBmcmFtZSBpcyBy
ZXNpemVkIChwcm92aWRlZCB5b3UgYWxzbyB1c2UgbGlicmFyeQ0KfCBgZml0LWZyYW1lLmVsJyku
ICBUaGUgZnJhbWUgaXMgYWx3YXlzIHJlc2l6ZWQgYm90aCBob3Jpem9udGFsbHkgYW5kDQp8IHZl
cnRpY2FsbHkuDQp8IA0KfCBZb3UgY2FuIGN1c3RvbWl6ZSB0aGlzIHZhcmlhYmxlLg0KYC0tLS0N
Cg==




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 15:22:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 11:22:12 2021
Received: from localhost ([127.0.0.1]:34026 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lg7jY-0001Iu-3h
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 11:22:12 -0400
Received: from aserp2130.oracle.com ([141.146.126.79]:44356)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lg7jW-0001Ih-Ew
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 11:22:11 -0400
Received: from pps.filterd (aserp2130.oracle.com [127.0.0.1])
 by aserp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 14AFA0rn028531;
 Mon, 10 May 2021 15:22:03 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=GkbKYnHCC7xewcET3yjt1/tdaqcsrkzvoFnPp7cGPL8=;
 b=Hukgyh99rIh15Hb5IHf+fRdHYMuC9NNILhbvZhlceRC5tHGjarn0bPIiU6gY563RNhSp
 OK3z+66tue2IeEkuwk/4Jf+YGUE7QhmLStxySMiPfdsNpN22vCJEOY/sZ7fdSy8cNVKm
 2cgX/lu6cO6fmh46aPDowtMRgDOQJcHPbieJHyEALwjAHnOuWK4drVrRgejVuRB6mHWQ
 OS+8pmtSzD7dfNfDHB74QcYe81z4nY4FtVF9jcR4P6TefUk+uXrbKtB0dUWCqyTOC7tQ
 nu5aQiAwZGZgZDD9i+wMa+1Sau02kQDs01JeQUuAYvlVXDcirs0lODyO4idqBx88rTKt 7Q== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by aserp2130.oracle.com with ESMTP id 38dg5bbr6q-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 10 May 2021 15:22:03 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 14AFCDjT163500;
 Mon, 10 May 2021 15:22:02 GMT
Received: from nam04-dm6-obe.outbound.protection.outlook.com
 (mail-dm6nam08lp2041.outbound.protection.outlook.com [104.47.73.41])
 by userp3020.oracle.com with ESMTP id 38e4dsf3rv-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 10 May 2021 15:22:02 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=gob4NVL9MApw3ezwTLYoToTM6xX8T5+LmoY9+cMueNVF3eryMn0jk8gb8wXhCjmNg/FL4nBc15Xqdrh+6Tlv0sdidtfHeDP+/QGb4Wec+QKtrsggixEiB3v4K86mvXLYbODIBHtJdPGvbYzz2xS4plbjeho/U/2zDtPtqHzZOQ/CKiUMGSad2ZeKGJfGfzx3pW34J9XQ1OskfT7OkNopwA3q7nVvm08X4i6Det+9ySvSx6DOqt8SXfiH3tpCIjG2dJL0Ax3UKcQFmztHfT3KWQYOb7VDMfU4WN5BH+slqW3tQ/HfJDsfXEZ79QFTWY7SFMhwfC1miZ00TmIZGVrVKw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=GkbKYnHCC7xewcET3yjt1/tdaqcsrkzvoFnPp7cGPL8=;
 b=Nhgp+9XKePBV4LyobCoEtVkP8qhr4I9/aGtCZEp6QxPgcVc1AV2YUU/EyWP5Kz1VgNZSdCezQ2nla+olfO6SUB2mxnoJQl8j51P70/qPP69vHckGAQBUVt2/m58GeLT2QYZc1zOdywA5O+mYwvfB5Mo+zw2N9iNdXdglc7rOP4rtX11VJmYZG3OwD4V5KYbpw30YULY5vx9oHLaiZaN7YVMIEJU6n7ZOe3yMlkO+6ILt4YHkPO3DJV9cZWR9mp7ubfPMWMdwHi3AtjVPUO2c1OAL8cwCMGV29CIVoQ7bHV3yf5RIGnQmQW884AjS5/70iruZLUNB5CX0QdLRZZmuSA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=GkbKYnHCC7xewcET3yjt1/tdaqcsrkzvoFnPp7cGPL8=;
 b=UuLIMeofz2NjDZxpt7tcIJzB2qKd7ySwNZE9uxZwEG+p4qGKUCR49wJkfATjn2T85ejWnQFV7LKKjx50EttL/BA+4losIyU33Vo0SH3xcXiGmO9EpvLz9WgE8QA0rzITJXm642esB6TLv4FQlWhYpEwV3XseQN7plGMRhcztVLw=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SA2PR10MB4570.namprd10.prod.outlook.com (2603:10b6:806:11e::9)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4108.25; Mon, 10 May
 2021 15:22:00 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494%6]) with mapi id 15.20.4087.049; Mon, 10 May 2021
 15:22:00 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: =?utf-8?B?Q2zDqW1lbnQgUGl0LUNsYXVkZWw=?= <cpitclaudel@HIDDEN>, Eli
 Zaretskii <eliz@HIDDEN>, Gregory Heytings <gregory@HIDDEN>
Subject: RE: [External] : bug#48307: Feature request: provide default
 keybindings to change the font size in all windows
Thread-Topic: [External] : bug#48307: Feature request: provide default
 keybindings to change the font size in all windows
Thread-Index: AQHXRax72PrIG4Sj0k6MQ44ntdnUFarc07lQ
Date: Mon, 10 May 2021 15:22:00 +0000
Message-ID: <SA2PR10MB44748D8D910D2672CFEC8A63F3549@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN> <83wns664xr.fsf@HIDDEN>
 <be1ff76b-5c17-7898-c297-8d959c73800c@HIDDEN>
In-Reply-To: <be1ff76b-5c17-7898-c297-8d959c73800c@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gmail.com; dkim=none (message not signed)
 header.d=none;gmail.com; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: a400ea1a-981d-4223-968f-08d913c75b92
x-ms-traffictypediagnostic: SA2PR10MB4570:
x-microsoft-antispam-prvs: <SA2PR10MB4570468265B02D5E20630170F3549@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:5797;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: nUR58kjXS/el8T+vntf6hRof/sstrya2f6Z8BnO6/MBqxa7nzaiB8x1FfKuv4nmqGamIOiIgtOlZHO4hrIxEeSWGiFzgK1rsIv1uw4Z2dSFsGYTN38BKrrIBRd8QYnsMzc8azMEXyk6FE6TANpFN44iS05nXUznOx40vRHgehXFUrhjCbUmHBkCMlpn1c33cx8PMZWgUvNyoB6Yu2RFcSJnmoybD9dEXRVw55Fq2ZfREr/nt2f91p0q/LK94q95f1CJ/rwMuICvEM0quMSNNSBjaeflQvsq8QxgvZ8FizrrMKLn97cMDwnO+oclYk39FgtjctCIE+eX9Y1CA+z9kMqOPANwhdfBErus7I9CELomTk3z+tgA3hYF8StpEo/1FVyf7aMN00NaT8amjKMf8uOUCzK4cZVa1g7IQ4gCacxt87DQ2sN50Z+StjEz+rWvsLfkLK0fJvftkv/YVNh+hHiZBtHGTM8Sezkts4wkGjmsPgcXUYXyGSAcw8GCzE8xgZpve2mWL/6jwn0WOv2HWunNLhBJDqtJuFUO5mXhX4zmnOlg3uzOteOhuJukJqU86Xx1WawEcvLHynpw1Uh0uow==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(39860400002)(366004)(136003)(376002)(396003)(346002)(66556008)(4326008)(4744005)(66476007)(8936002)(44832011)(33656002)(76116006)(66946007)(5660300002)(64756008)(66446008)(8676002)(6506007)(38100700002)(316002)(26005)(122000001)(9686003)(7696005)(55016002)(478600001)(2906002)(186003)(86362001)(52536014)(110136005)(71200400001);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?utf-8?B?NUlhZDhWald1bEQ0QWVKSEVUZTV3M3h2cnBCZDhzbXQrMnhsR01WSVErM0tD?=
 =?utf-8?B?QWRKMGdkYlNCb3NLNVY4cWNMdEtxM3FETjhWRTVCYXJWWXNVWDJZNHVDaWs5?=
 =?utf-8?B?SldqMFJUbGtISkhZM0pYTTlQSmZ4TnBReEVtdWlWcEdjajdqZWIxL096SVZW?=
 =?utf-8?B?NkMyTENEWnloWDBNMlk0Y0NrU3N3ZEx1UUsydzZHMGlHNGdrTlBEUHpFUG1a?=
 =?utf-8?B?SWs5QldTalU2YU1CR1BXWFVFOVUwbDQ1Vzl1dTJCbWhTZjRydXlhWVdWTlVw?=
 =?utf-8?B?VEFrMVRwNXNNVVJJQXhaNHJqWGthVE9yVGR2NE10OThZSzN0WGRqS2toYmsv?=
 =?utf-8?B?bU9IMTc0MGlrYmF4cHdoK2NRNWZyYVJ2Q2tqb2o0c1QrVitvOFJVZlBpaEp4?=
 =?utf-8?B?Vk5LV3dkVG9KaGFUdUdnSHBsMndNR3VkZjRJVHNEZktGOUF2aUw1V0NYejk4?=
 =?utf-8?B?VFVIcWxVcE9rRUVDdTlkbGJEeUpHdjhKanhDS3BYZHovY3o3ZlE2TGk2NGlp?=
 =?utf-8?B?WEVRK1lrWnBuWUhEaDVkeG5sRU1OTFlWelNnQ0RJYmRKL2xXTkh6STdmTTVB?=
 =?utf-8?B?ampmK2FZTmlKQ1dKTlViV2xHYVlDSE1mL3lXdmJKZVFpTVVYQ0pIVks1WUFN?=
 =?utf-8?B?S0NhaldRSURJN3g2TFRtazJMZ2tWVzNGMTBuOXRBam8yZkZDSnRIeTRsRHhi?=
 =?utf-8?B?UkVCaldsM0d6N1Q5NEp4OTZhVG81dVZoaE4wTG95eTV1RkJvQzUvQTJGbTda?=
 =?utf-8?B?S050R3BQbnRxQWE3eGhWS0lPelhnK0Q2aTFiU2xIT0doQjcyRFAyMUt4S3VV?=
 =?utf-8?B?dnFDWVYzejBaYTA3T3JMd3VSWE1VdGtOOW9aTzgrVEtKaFRIWS9BaFVtV0FE?=
 =?utf-8?B?U1JkY3h0U0lZTGR0aEpJYVNmbFBCTkxDdzJic3A1L0dsMGtwcXcvOUE0T0tO?=
 =?utf-8?B?eS9vM3lkcjYwc25keEF6N2dQYWRsREhUZ3lLaWptTG0wcFJOdjRlZ1dacmhq?=
 =?utf-8?B?SHVnN1VDRGxzOGZYSDU3RWFhSStoOHVEUlBja240YWt1eDBLQzRrNGFMNWZW?=
 =?utf-8?B?QkxXWVppL3JDbmtuc2puRWRTRytpdWFuSXJNYTJRK3lnU05KNUNaSEc2QXRO?=
 =?utf-8?B?akJubUdMZS8wNTJDdTBGcmFqQUQxK1dTWE94ZUlvZG9YVzc1LzZxMkxCTXZ2?=
 =?utf-8?B?WE5uck9YVTVrS29VTm1PTEcxNzdYcm5oWllCY1Z5VWV4cXJJNHlNNHp0NDc4?=
 =?utf-8?B?aVBFU3FuVlRIUjhtTis3bDR6SkdleEVZc24wT3ZvV2k0Z29KbS9Hdm51aUt0?=
 =?utf-8?B?VnI1L2x5aU1ValcwakNzbWFyZDVXc0J3bEl0S0JHYVBCb2JtdmZqUmVMNkdG?=
 =?utf-8?B?dlFRSkozd3czc2ZpWGh3WjNmTzY4Q1BVS2ROVDY5dU5lTVlQSzFsbFZ3ckwy?=
 =?utf-8?B?RzZxUUxVNzFxNU91Q3NWYmdLMUhxbDQxWUtWazJWS1VLbjNKanVqNnVtTmVG?=
 =?utf-8?B?end3eFROejU4cE5mcWFnQkpYL0NZRWNMWGMrNGlHWmVyV0JDaWJJUmlLcHNX?=
 =?utf-8?B?R1ZnczZQMVlRelJob0hKN2o2VU12Wk1MVGEvSVFnWlp5N3FFNXB5ZGZvN0lH?=
 =?utf-8?B?RldWMlJucmliNE8wS3kvQUt0SjBBRFJXN0V6YjFYTExDWjd5eklqRGp6QWow?=
 =?utf-8?B?VFI0ekM0bDdUNzRBbDIyYTNhTnhzbktmc1FmTzVibk50VWZsTW5Ib1dIL09s?=
 =?utf-8?Q?yJKsN4MGHvU8BBpeDIrD3O6nNE8WtDrcg3erilt?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: a400ea1a-981d-4223-968f-08d913c75b92
X-MS-Exchange-CrossTenant-originalarrivaltime: 10 May 2021 15:22:00.4811 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: jTbxLIyCznXczVSYRYSFpvzwUCsxuBI9dykTbqaeXELUt3tR8vHDHSlQB3FfxXCVReEfknLfCnXPjk93QeBVPg==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SA2PR10MB4570
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9980
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 malwarescore=0
 suspectscore=0
 mlxlogscore=999 adultscore=0 spamscore=0 mlxscore=0 bulkscore=0
 phishscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2104190000 definitions=main-2105100109
X-Proofpoint-GUID: 2mWhfxtzXSY06OumusPoXPUWCaA7pg2Y
X-Proofpoint-ORIG-GUID: 2mWhfxtzXSY06OumusPoXPUWCaA7pg2Y
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9980
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 lowpriorityscore=0 malwarescore=0
 bulkscore=0 spamscore=0 clxscore=1015 priorityscore=1501 adultscore=0
 mlxlogscore=999 mlxscore=0 suspectscore=0 impostorscore=0 phishscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2104190000
 definitions=main-2105100109
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48307
Cc: "48307 <at> debbugs.gnu.org" <48307 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

PiA+IFdoeSBkb2VzIGl0IG1ha2Ugc2Vuc2UgdG8gaW5oaWJpdCBmcmFtZSByZXNpemluZyBpbiB0
aGlzIGNhc2U/ICBJDQo+ID4gdGhpbmsgaXQgd2lsbCBtYWtlIGFuIHVnbHkgZGlzcGxheTogbW9k
ZS1saW5lIHRleHQgd2lsbCBzcGlsbCBvdmVyLA0KPiA+IGxpbmVzIHdpbGwgYmVjb21lIHdyYXBw
ZWQsIGV0Yy4NCj4gDQo+IEkgdGhpbmsgcHJldmVudGluZyBmcmFtZSByZXNpemluZyBpcyB0aGUg
cmlnaHQgbW92ZSwNCg0KVGhlcmUncyBubyBzaW5nbGUgInJpZ2h0IiBtb3ZlLCBoZXJlLCBJTU8u
ICBXaGljaA0KYmVoYXZpb3Igc2hvdWxkIGJlIHRoZSBfZGVmYXVsdF8gb25lIGlzIGEgZGlmZmVy
ZW50DQpxdWVzdGlvbi4gIEJ1dCBib3RoIGJlaGF2aW9ycyBzaG91bGQgYmUgcG9zc2libGUgLQ0K
ZWFjaCBoYXMgaXRzIHVzZXMuDQoNCj4gYXQgbGVhc3QgaW4gdGhlIGNvbnRleHQgdGhhdCBJIGhh
ZCBpbiBtaW5kIChzY3JlZW4gc2hhcmluZykNCg0KRXhhY3RseSAtIHNlZSBhYm92ZS4gIFRoYXQn
cyBhIHBhcnRpY3VsYXIgY29udGV4dC4NCg0KPiAoQmVzaWRlcywgdGhhdCdzIHdoYXQgbWVudS1z
ZXQtZm9udCBkb2VzOw0KDQpOb3QgdmVyeSByZWxldmFudCwgSU1PLCBidXQgT0suICBBZ2Fpbiwg
dGhpcyBpcyBhDQpjb25zaWRlcmF0aW9uLCBwZXJoYXBzLCBmb3Igd2hpY2ggYmVoYXZpb3IgdG8g
Y2hvb3NlDQphcyBkZWZhdWx0Lg0KDQo+IGFuZCBpdCdzIGVhc3kgdG8gcmVzaXplIHRoZSBmcmFt
ZSBhZnRlciBzY2FsaW5nIHRoZSBmb250LCBubz8pDQoNCk5vLiAgSXQncyBub3Qgc28gZWFzeSB0
byBnZXQgcmlnaHQsIGUuZy4gdG8ga2VlcCB0aGUNCnNhbWUgZml0IGFzIGJlZm9yZSB6b29taW5n
ICh0ZXh0IHNjYWxpbmcgb3IgZnJhbWUNCnpvb21pbmcpLiAgQW5kIHNvbWVvbmUgd2hvIHdhbnRz
IHRoYXQgbGlrZWx5IGRvZXNuJ3QNCndhbnQgdG8gaGF2ZSB0byBkbyBpdCBtYW51YWxseSBlYWNo
IHRpbWUuDQoNCg0KDQo=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 15:07:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 11:07:45 2021
Received: from localhost ([127.0.0.1]:34017 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lg7VY-0000xr-Qf
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 11:07:44 -0400
Received: from heytings.org ([95.142.160.155]:45502)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lg7VX-0000xh-97
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 11:07:43 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1620659261;
 bh=+1bHfZGKGrH+Rjy53YIw7ayK7d+dxuHcEgB1eQVyzVg=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=vt1mq2ax3M2gShZk4f3cDwIhIzs5Qj2mBXlBr2al7lKP/a/MmFb51w9JLBKN9dbGr
 jgPkkR7nCXMtTcHmtA0PV1QLwyXRiuq0mQM3gAUXi5cn645tYgEAk7xcIv8oHbMRha
 m1d65YHRUa/xpq+cIRSr5kmWAyzWLcpujlwa7ACpSYokQWB+g9qJrnneDzwEL20Uxv
 tOxeCh8U5UK36z8CgKCAgXnsft0M5GTHsVem/Bxb2kY9wLIhcrI73u7jtPnnNeWA58
 C3CiN9AjBuWN6wEvLMkWCiMXvgvC4rXN+YqznBiUNj3z37pKAAdtnT/emPpVSc76Nd
 MX8gdKyUrct+g==
Date: Mon, 10 May 2021 15:07:41 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: RE: [External] : bug#48307: Feature request: provide default
 keybindings to change the font size in all windows
In-Reply-To: <SA2PR10MB44749E36AB94D51F59CBDAF0F3549@HIDDEN>
Message-ID: <e27b2f896d1ec13b2987@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN> <83wns664xr.fsf@HIDDEN>
 <e27b2f896d12b01ee63a@HIDDEN>
 <SA2PR10MB44749E36AB94D51F59CBDAF0F3549@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="rsX3kRAV9V"
Content-ID: <e27b2f896d02a664de09@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: Eli Zaretskii <eliz@HIDDEN>, cpitclaudel@HIDDEN, 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--rsX3kRAV9V
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
Content-ID: <e27b2f896d7031997b09@HIDDEN>


>>> Why does it make sense to inhibit frame resizing in this case?  I=20
>>> think it will make an ugly display: mode-line text will spill over,=20
>>> lines will become wrapped, etc.
>>
>> Because (1) it's what other programs do,
>
> See what I wrote.  That can be good and bad. Why limit Emacs to what=20
> other programs do?
>

I don't want to limit Emacs to anything... but not everything can be bound=
=20
to a key or a mouse event.  Perhaps this could become a defcustom,=20
defaulting to t?  I tried to understand what Cl=C3=A9ment had in mind, and =
IIUC=20
my understanding was right.

I will not use that feature, but I tried both frame-inhibit-implied-resize=
=20
nil and t, and I'd guess that t is what most users would want.
--rsX3kRAV9V--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 14:54:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 10:54:07 2021
Received: from localhost ([127.0.0.1]:34006 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lg7IN-0000dC-42
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 10:54:07 -0400
Received: from mail-qt1-f171.google.com ([209.85.160.171]:44911)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cpitclaudel@HIDDEN>) id 1lg7IK-0000cj-Td
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 10:54:05 -0400
Received: by mail-qt1-f171.google.com with SMTP id y12so12079363qtx.11
 for <48307 <at> debbugs.gnu.org>; Mon, 10 May 2021 07:54:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=LPZUJsASoFCOQkvjeljnyL6r+TM2X3axyzmUyfkHI04=;
 b=YVVxIg9vtJzyqHcG2PteXziiAKkVDFmu/MQ8R9HP1CPDlgU5pRuAi07Un3qeQZv2RO
 IudwwQZSYj3NCG6xVAdAA5qAJrhopgTTHNb8Eas5iCYPcJ+JavTppOmA7ecMPpVEr5rc
 c2hAHvmrjA7/KU6OLlwPDq8bKdOqSchm/8oS2xBGbX6APU7pRvQZ4OmoL5BpVy5VcZse
 cCOA/Fyhtsw4gqNo/rrbAuYEpHvBxWBfOzPQpXpCoqVKlgQu4ytV7Qs/en2eXM+OSxXa
 NihypR5aEkRrEPpix06h+ZZraeu9LYpTLHDZKRqqw8ZjEJKUlxdUyo3BbjS8GhfajvWK
 PM1A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=LPZUJsASoFCOQkvjeljnyL6r+TM2X3axyzmUyfkHI04=;
 b=BQJZsDitrIsQCX+bwGajtNM5binEbWHtuGNXlChOcX4Vj6fc7PExbCL1NI3MilLyuj
 hr316zNNZwcMF9VcWu21axKIItM1tKnUATGCMKaWtpGu2wH2Y77/RSHLLkIefbpM5H4W
 haSNAd8UoF6QjrMtXdEO4GWOhI6NUxsn+az2mytw3JYiQAEIvy2PHJBCl4kqFfywG6Cl
 FG3PSH7CebRkeV8V8qm/OqDbqbkc3tjl3msPrNugSO0S5lYuoHh5EddaVvn4tX6pQEWB
 LiL0eDGagfCk+EgEb1GA/Oe6+quIOwHuTsDESjcpnaFeRm1AEkfVK+KNvbW0fBUQ9brh
 HGAQ==
X-Gm-Message-State: AOAM530fLMYWsf0NsMuxE2mlYTY1c3MvXFXl2m+KRnrajo/2HJU0hxyG
 h+QUFF37jKFZmZfsY04uca6C4cWZDgc=
X-Google-Smtp-Source: ABdhPJxNJlIqi7hmeUWdsFwH8bzSDaV45+mrLvvJ3/6c9Wz5F1eVihZt+AECrVj+iBNf48Of662kbw==
X-Received: by 2002:ac8:58c3:: with SMTP id u3mr23574794qta.311.1620658439107; 
 Mon, 10 May 2021 07:53:59 -0700 (PDT)
Received: from [192.168.1.11] (c-24-61-240-80.hsd1.ma.comcast.net.
 [24.61.240.80])
 by smtp.googlemail.com with ESMTPSA id p193sm6459752qke.45.2021.05.10.07.53.58
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 10 May 2021 07:53:58 -0700 (PDT)
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
To: Eli Zaretskii <eliz@HIDDEN>, Gregory Heytings <gregory@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN> <83wns664xr.fsf@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>
Message-ID: <be1ff76b-5c17-7898-c297-8d959c73800c@HIDDEN>
Date: Mon, 10 May 2021 10:53:57 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.8.1
MIME-Version: 1.0
In-Reply-To: <83wns664xr.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: rudalics@HIDDEN, 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 5/10/21 10:26 AM, Eli Zaretskii wrote:
>> Date: Mon, 10 May 2021 14:17:55 +0000
>> From: Gregory Heytings <gregory@HIDDEN>
>> Cc: Clément Pit-Claudel <cpitclaudel@HIDDEN>,
>>  48307 <at> debbugs.gnu.org
>>
>> +        (let ((frame-inhibit-implied-resize t))
>> +          (set-face-attribute 'default nil :height
>> +                              (+ (face-attribute 'default :height) inc)))
> 
> Why does it make sense to inhibit frame resizing in this case?  I
> think it will make an ugly display: mode-line text will spill over,
> lines will become wrapped, etc.

I think preventing frame resizing is the right move, at least in the context that I had in mind (screen sharing): if you scale the frame and the font at once, then nothing changes on the recipient's screen (since the videoconferencing software scales the frame to a constant size).

(Besides, that's what menu-set-font does; and it's easy to resize the frame after scaling the font, no?)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 14:42:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 10:42:32 2021
Received: from localhost ([127.0.0.1]:33995 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lg779-0000Hh-Oj
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 10:42:31 -0400
Received: from userp2130.oracle.com ([156.151.31.86]:49442)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lg777-0000H7-V1
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 10:42:30 -0400
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 14AEgB0b094884;
 Mon, 10 May 2021 14:42:21 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=6Rid4wTZ7J5cIQpQVdhgynugim7B2ZAR1PPpFO0P9q8=;
 b=PwG/aV4r7IxDFjFmXMBcJg5NytWgtiJmO9vhSP60dsuj3jc3MCVPU4W3GNATj3ZOTCd4
 NUjORFKVodABOXX+x9Pg7qCaMWRHkezAW6P/N5t8WJ08SUfZj4Z0EElr3WKkcXawkP4H
 l17FmtpIufggirtzxhAwnCNQpGjwlxv+7CRvqm6Lu9yLsMYdn5pIbLsCREfEINekAyIN
 C50xA0LGUxJ9tFjAH/FOEuwOToPH/l1hfP+XISlm1cWqbceBoY2odG6KH+6K/R2NtOtv
 8SSlQaS3JLq/lDLAtY3IAzFTkfSruta+JF4t8cbYFa1LVYGUdIh6pCz5r7T7nt5usqpw aQ== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by userp2130.oracle.com with ESMTP id 38e285ar9x-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 10 May 2021 14:42:21 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 14AEfweV023642;
 Mon, 10 May 2021 14:42:21 GMT
Received: from nam10-bn7-obe.outbound.protection.outlook.com
 (mail-bn7nam10lp2104.outbound.protection.outlook.com [104.47.70.104])
 by userp3020.oracle.com with ESMTP id 38e4dscqh5-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 10 May 2021 14:42:21 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=cK4E7pduS5Z9xxSJuQUuFNVibIzxns6u3EiRko6gKKhrQABgh1auZIPcq7dOTVazlKSyRJDmu7tu5uixbixnyIVGX0RMJAOOdDFjxBpGuuRqcMtvVdya5Rs2qlLkr0NAyirdI1Ee6SC5nIkICObwW7u8+ypcaGdA6BTIyJBKK2VAxuzoYQuR533L+4As0Z3lWuJ/S4YEF7JHXQVOjwq8e3Geb5lq5x0s+zHFjpVrGr8ghUx7U4mHtaCyo4JRS2ByJGSmaJRn2honbUn42tvMN2+5kiEywajameewJfxvfajnoaopqBYGNCTla7BRafo4DCzGthkbfIcnrlwj3ecueg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=6Rid4wTZ7J5cIQpQVdhgynugim7B2ZAR1PPpFO0P9q8=;
 b=X/61wdRFHvcfP8bd3ggv6hshFhyeNU9Va2/n0JXC1ZBu3JiYwadl3XbV73Cm4UZt+0Xu8FrZ7TaKCxFQ3qHLukb6KTEeLZKeUZBO0QY0zqK4r5UJbp+RsJjZ+sxH0pSeA4qw9A6DiLqsSbgvBZtwntYpxwux1ukY+h5nHSmiBiBytfF7ep78gz1JKp9expW51jlGG8VSjPAKhgFq9J1/MTMs9bHzTuo9aNhXV1emFdM8dzzP/htyofYCakgeqMHCYpOAxyqq1ADEyVdBtTidR6DE6Bn7MlS6LPfns+srah3WkwjIys2lvDrOdACixOrhvJ454pvEOZ9euUXbBr80JQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=6Rid4wTZ7J5cIQpQVdhgynugim7B2ZAR1PPpFO0P9q8=;
 b=XnLXy+NQ82fqrH0Ln4KEIMneCbwemimfnhNj7S4hG/Hi2I4mZ3lqOnrIfdguU0g+AHt50PtdAe/i5IWvx35+EwYFEQBxkv07bGFTZ3gSdPyjSRsfNzNxV7KxxwQHuOgFb0SgwmNCLWINe/FIK790aD1IOC3vunXFolsW2VCITJc=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SN6PR10MB3072.namprd10.prod.outlook.com (2603:10b6:805:d0::23)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4108.25; Mon, 10 May
 2021 14:42:19 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494%6]) with mapi id 15.20.4087.049; Mon, 10 May 2021
 14:42:18 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: RE: [External] : bug#48307: Feature request: provide default
 keybindings to change the font size in all windows
Thread-Topic: [External] : bug#48307: Feature request: provide default
 keybindings to change the font size in all windows
Thread-Index: AQHXRamhBi1dL9oOvk20FdEAqnRCf6rcyM2w
Date: Mon, 10 May 2021 14:42:18 +0000
Message-ID: <SA2PR10MB44749E36AB94D51F59CBDAF0F3549@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN> <83wns664xr.fsf@HIDDEN>
 <e27b2f896d12b01ee63a@HIDDEN>
In-Reply-To: <e27b2f896d12b01ee63a@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: heytings.org; dkim=none (message not signed)
 header.d=none;heytings.org; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 1611bac0-e289-4c46-0906-08d913c1d010
x-ms-traffictypediagnostic: SN6PR10MB3072:
x-microsoft-antispam-prvs: <SN6PR10MB3072788FD26BCE92083E6243F3549@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:3383;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: qjqtLWJwNYqriO40Rq9QnZP1x851OXzbgCa8Rjj/qW44CHOz0xeHc4pP1zsGS8qc3J0yX5rwbQkKb+KgCb3ez0SLeId5UahlvvRDpO5IfDvR4n3By6ehNrUDJFWHpkecL8lNCCyB3koXHElqXIpd15sDXv07/XeCcIWnWpAxfuEHQITED7r+0Z1UpYsrAYQH4FrfUJ9HoT3LuayhePiacb1QC0HM4U/Dvbpu/9xXsXZtDjj9NFbgZETG+Jpha/jWUMMr2TPPPVB6cs66yH46qWd2N89N/5i9dise6YT6pNa+Bx/dJvJiGsPZS970N3yWQ6fGJBEShplYaQU+Xo+4pCIFx/eQ8cRiJr5dGBsjm29uf3DdXCRDEoOWS/N3coCzIY+RaXK1cgbhgWJqzdu/P2ib+McN4pDZmd8l5p1LahCjjAhVwJ2MHwvpPIHmvX3/0X9L/1vcTprFNpdE9ffZDgT2tKMBYINh1WQdBodHaA/asXt+9Z6fFpLSAIle6Ac7W4KIBuerAM34Zd9LTbh4a3QZ5XsFuZOO6rK6eQapGrueAGcluHYawuxBrWa9afoHswnumd3h9GDIeu8SBZko8pD6FGDDGi0P7DOOWOpaGaM=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(39860400002)(366004)(136003)(376002)(396003)(346002)(33656002)(44832011)(83380400001)(52536014)(26005)(66946007)(110136005)(55016002)(76116006)(86362001)(66556008)(8676002)(2906002)(66476007)(9686003)(64756008)(186003)(66446008)(4326008)(7696005)(8936002)(71200400001)(478600001)(122000001)(6506007)(316002)(38100700002)(4744005)(54906003)(5660300002);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?us-ascii?Q?ewThU4AyOK6hrusQEZjf5lbX+7kR6pj3cAvNZd7NJdAUB+rkPLVzOwBx9SQt?=
 =?us-ascii?Q?XpplnDl1FGnbxY5Xag3dgr8h80kqmwHUZyYRMm+v7bb6KKF4HPFwVA9cFLDo?=
 =?us-ascii?Q?aqJ+O8eWOW7E6IhxvdDv2hzZmJKA4mJyT8EOvl1CE3lV9dUSNzkwUIZMfFoP?=
 =?us-ascii?Q?x7/HVKCY/37pLGmPxJNO1q1cjo8GyuBhfznV0wZIqvgYZOq+cCPdB9cnR+K9?=
 =?us-ascii?Q?CMR23z4InU3uOPnqtpzPa/HbwP94LZnLnqvwic8yuVqDDQKw1eE847vmnIkq?=
 =?us-ascii?Q?wZzmQuGRXj0vzKvL0PB+/DrGemBrsGZkqOFt+4Q/KmDiCUp25IDy1MrvQenF?=
 =?us-ascii?Q?azTsMThRHwGrky5zq4aZg2fZcy1pibRbDg+oj+01KesHeA2rbxvSMD3xKwJz?=
 =?us-ascii?Q?tH4QhBYyBCu8mJeO97j16eX5nOavx60lxTRxfo01/spP8iy9wQhyD5gfNph1?=
 =?us-ascii?Q?RxHXJVskQpBt5fHaMYJwYz8BT/FRjx/LSvDFpqiU9sn17GTE1uMzN5+Xm9rn?=
 =?us-ascii?Q?QgJWM4XmQg05pYA73FgJFJ6gsRyPOqUraifAmHFjrt7CbMj9SnxnpS7gTOUq?=
 =?us-ascii?Q?qe32XaKiXE2j9DMVy/w1ev0lyncjFUCKJED6L+zMFtPZjxFavtQpmsre+2oN?=
 =?us-ascii?Q?N7So1grUUmIa6tCmWuz2qs49XScVt/LTfW8RuqY3CXyPc2Um9342bQkFwITn?=
 =?us-ascii?Q?+C5kb+xF6b4qkskcGCHQukbVRENU7t1vn/KtlHIOTQ6cScHK2A6X4Hjm5unz?=
 =?us-ascii?Q?EZ0CRlQyQtUod+/izkLimsZQxp4QUmh25Sh/YoKhM87cer4VN/Hy67TBIrgA?=
 =?us-ascii?Q?+hzyIfsKnHKpth0wWWEiWgMDTKmQHpVw5OWYGTJlyc9CeNHK4ATKwlJEm7Fb?=
 =?us-ascii?Q?hREuFsUfx0ipiw03jKS7L3vQq18yHWg0/QoUHJPNYtgQQY6VV0Uj4lza7Ibc?=
 =?us-ascii?Q?iE+RMjCxBBSQkuTRkXY6d9oSQHwtOwL5EfaMAqRUBN7/cO8C0n/PzDDKosQV?=
 =?us-ascii?Q?5kP7gnPqSsssmxDe5mAZGYhUeieWjacgOfU4wzaUVrTB3jmdiQdOWd30a8fW?=
 =?us-ascii?Q?OJRrAAFidIHwnMJWECCW5chXEixAalPc5BUhLaMs8AmdjYHltLtZHAKhKTwa?=
 =?us-ascii?Q?CXvEG/NjrSk/ZZ8eh0diMhlbJb/fQfHxkIsX3Mc8fAMwl2Obna5ZMB0sK0KE?=
 =?us-ascii?Q?qaRPMYtwN6RwJLIrrmRzd14RLSrwZJGQnhOdW+oBNAt+Xm9GvHEeIiSNQcGc?=
 =?us-ascii?Q?W7clRsand2dx4i/2zLDhMxxQHFoWkIQfeFAbiMOvSogu0l6tmT/L8J+4LmRE?=
 =?us-ascii?Q?YkPDGUf30T6AAeOXXV9XRBA4?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 1611bac0-e289-4c46-0906-08d913c1d010
X-MS-Exchange-CrossTenant-originalarrivaltime: 10 May 2021 14:42:18.9127 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: uLWoIBN3SmfzkpRFPrvAGIpuGxAIMBN3QUg/mpyzQ4PsiYbpUzx4j7+8T6xB83+LrvJeywi8bGuhvnoIzplP9A==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN6PR10MB3072
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9980
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 malwarescore=0
 suspectscore=0
 mlxlogscore=843 adultscore=0 spamscore=0 mlxscore=0 bulkscore=0
 phishscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2104190000 definitions=main-2105100106
X-Proofpoint-GUID: GTGYByvIyZboh-wa7gZ6qj6aKDdQvtSb
X-Proofpoint-ORIG-GUID: GTGYByvIyZboh-wa7gZ6qj6aKDdQvtSb
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9980
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 mlxlogscore=999
 mlxscore=0 bulkscore=0 lowpriorityscore=0 priorityscore=1501 spamscore=0
 clxscore=1015 impostorscore=0 phishscore=0 malwarescore=0 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2104190000
 definitions=main-2105100107
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48307
Cc: "cpitclaudel@HIDDEN" <cpitclaudel@HIDDEN>,
 "48307 <at> debbugs.gnu.org" <48307 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > Why does it make sense to inhibit frame resizing in this case?  I
> > think it will make an ugly display: mode-line text will spill over,
> > lines will become wrapped, etc.
> >
>=20
> Because (1) it's what other programs do,

See what I wrote.  That can be good and bad.
Why limit Emacs to what other programs do?

> (2) it's also what text-scale-adjust does,

See what I wrote.  Text scaling too can benefit from
being able to fit window size to text, to keep what
you see pretty much the same regardless of zoom=20
factor.

> (3) it's much faster, (4) if you do not inhibit
> frame resizing the frame can easily become larger
> than your screen.

Depends on what the code resizing the frame does.
Nothing requires frame resizing not to respect
screen boundaries.  (But yes, usually it's a
_feature_ that you can have part of a window-mgr
window (frame) off-screen.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 14:34:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 10:34:52 2021
Received: from localhost ([127.0.0.1]:33986 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lg6zk-0008U3-JQ
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 10:34:52 -0400
Received: from heytings.org ([95.142.160.155]:45450)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lg6zi-0008Tv-Rf
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 10:34:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1620657289;
 bh=jt/EGIEEylDELvK9SlQPSAj0Hrtlrz9BMPx9QO7cWHs=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=dVHo3/30UB8TonPOaLbXm+nPaHbJwZZ5HgeXeniTtKHn2rLsNHx+DMVqG+kHatBjc
 z5tNhaOwwE4New9iLNWBQENFfHGmqCVUleU7fTJ/avI9+xqub0mOIqr45Wet1f3asf
 B3OC4vtTopADPv5HEdfIew1Jiwkb6yb9ViXoBRh+Af0/GxTrATOx56Q42k+ItbPgPO
 zEiqAPVzqSlELhmx6yGU0Fc0X5VT9WxL03DSNjr09m1mZmZpM9hlPjvm26jb6ROP5l
 4qLrNNeg6XNo+I7+N82mF+kJDM/abdC1vkf1KENfQkI5jo4ytlJ7d2ApEWd5dwjq6G
 q9O/ESCsdFQKA==
Date: Mon, 10 May 2021 14:34:49 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
In-Reply-To: <83wns664xr.fsf@HIDDEN>
Message-ID: <e27b2f896d12b01ee63a@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN> <83wns664xr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: rudalics@HIDDEN, cpitclaudel@HIDDEN, 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> +        (let ((frame-inhibit-implied-resize t))
>> +          (set-face-attribute 'default nil :height
>> +                              (+ (face-attribute 'default :height) inc)))
>
> Why does it make sense to inhibit frame resizing in this case?  I think 
> it will make an ugly display: mode-line text will spill over, lines will 
> become wrapped, etc.
>

Because (1) it's what other programs do, (2) it's also what 
text-scale-adjust does, (3) it's much faster, (4) if you do not inhibit 
frame resizing the frame can easily become larger than your screen.  Note 
that global-text-scale-adjust uses smaller steps than text-scale-adjust, 
so the user can more easily control the potential undesirable effects.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 14:33:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 10:33:33 2021
Received: from localhost ([127.0.0.1]:33981 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lg6yT-0008Rq-7M
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 10:33:33 -0400
Received: from userp2120.oracle.com ([156.151.31.85]:32960)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lg6yR-0008Rb-7M
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 10:33:31 -0400
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 14AESbw7168980;
 Mon, 10 May 2021 14:33:25 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=meu3M/T7+l9vbvjOc2iepkzi0mPxhIgILQWsCpehML8=;
 b=H5raBna6hqL+/lJg73M1uo/kcs/ps1rFeShY5sTbxeiCbg3LhDSo26ggCHe3Z5EeKjmg
 PJTVQmCgCRdE0eCU1hZvgeoEAm5yVq/JVJavdwp77RNr2WiwR8qhoy1c2oMkQVyuUL/Z
 mw2agLLwvLj+hVvgYq6XR9j22JrTrXPMNvZrzlygFeL260KEjqLvtQubh5yUA4PCGaO1
 ePTfMoEjA2Ghnvdtk8aTcc89ynrWm4pvkqySs4FR5a4o70AfR+M9nul9ctV7x+pQ91zj
 7qNDa/OYF997cu3WF54Bl5ZtoIwWcXrb74hh4Ene9pWCczCK6JrLiVYNwwGl17GpZRyk Ww== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by userp2120.oracle.com with ESMTP id 38dk9nbdsa-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 10 May 2021 14:33:25 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 14AEVftD031024;
 Mon, 10 May 2021 14:33:25 GMT
Received: from nam02-sn1-obe.outbound.protection.outlook.com
 (mail-sn1nam02lp2050.outbound.protection.outlook.com [104.47.36.50])
 by userp3030.oracle.com with ESMTP id 38dfrvhnu4-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 10 May 2021 14:33:24 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=kQahpNtyQhazs/1ujj6YqatV66t6S/j9K/IflaliwZVOs2oRioiQRTLMcddTc9YCBPMYkoF/Mrt4PXuI3HLDM9ydV6cSz4Be5fIqL3svCHbqBwLBTIxYfImjIt8qKYEfdOXvcHMpNmYArlsMcIQjorI4X9JZ8uY4q556JLQhzS6YowpaSWBp5+64vhNR94NV9wo6lfURhkX/pedw8WHhSbEjFUr7xbh7P8ENX5iB7dSUVAbt5vdLsxxff4nkFWYuNrFVK0FH/ZVlppwD8UwzJWkUP7eZ6ai/I8w0CC0U2CTFjG189Okjwts6ssTiZm++42UkiS2HE0Zg6bjfXK5ZxA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=meu3M/T7+l9vbvjOc2iepkzi0mPxhIgILQWsCpehML8=;
 b=LsGY7lxVDbeCqff96Bw/GAKyAeelPOUJ1KwXt3RZJT4UD/fnmIHQrSeqvnfglGrI31j6uV8zEq35bDLxce/YJRcdrEQlmBbnrn68bGsAIdwr31MDaU/CHYG9FV1LqIOUuJddHp82qkZ1SLa2fVKdiTkMBFqK746w/U7Mux/RWK0yYrp4mJpn8LDhWHwtihhmVDLddwHc3brWXvHYdTcUbV6TuSgJ5dO5/S98OMvOrpkcMGl7vSMi3kjHiaj/E2mrjlnfvEnVjUhS37MwWk8GnCaQDtXVSsrzPb1hq4DHS4GiLMgW6kisNuvqOJXjdWNFGudNgvfox8gUBN7KfxgkuQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=meu3M/T7+l9vbvjOc2iepkzi0mPxhIgILQWsCpehML8=;
 b=cZaRPr6zFMtzOn8hq93UwdbAXlR63vVTgM07Zq64wZQsOwlP/pPsb0w/Pj03X9FRu/Ql12CrlRlwu9R/gF7is/iLl654V7D8Fm+LxhP+3cVLozWiAAxp1Tqhc08zTLC7N8Dew+6rOLIcA4yGKQtG4csVfhB3fRHadvLOPnkt0GM=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SA2PR10MB4569.namprd10.prod.outlook.com (2603:10b6:806:111::11)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4108.25; Mon, 10 May
 2021 14:33:23 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494%6]) with mapi id 15.20.4087.049; Mon, 10 May 2021
 14:33:23 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: RE: [External] : bug#48307: Feature request: provide default
 keybindings to change the font size in all windows
Thread-Topic: [External] : bug#48307: Feature request: provide default
 keybindings to change the font size in all windows
Thread-Index: AQHXRahIBi1dL9oOvk20FdEAqnRCf6rcxX4g
Date: Mon, 10 May 2021 14:33:23 +0000
Message-ID: <SA2PR10MB4474E4610D091BB607C0D128F3549@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <618a480bbe37bb9057f9@HIDDEN>
 <999f8d7a-3c1b-bf72-dd15-472be09b8d34@HIDDEN>
 <618a480bbe312e9a2db9@HIDDEN>
 <24ec1bdc-b006-7ace-8320-8d45bb42daaa@HIDDEN>
 <618a480bbe626e3a52c6@HIDDEN> <83y2cm658t.fsf@HIDDEN>
 <e27b2f896dde50786f06@HIDDEN>
In-Reply-To: <e27b2f896dde50786f06@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: heytings.org; dkim=none (message not signed)
 header.d=none;heytings.org; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: d60a304a-5aec-4080-f535-08d913c090d3
x-ms-traffictypediagnostic: SA2PR10MB4569:
x-microsoft-antispam-prvs: <SA2PR10MB4569531A76CD356A91252E5AF3549@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:8882;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: ZYB11ucaTCVoleyiYl8rjogPW/yEVr+6fDTSrp0XiXoXmBXrT25IqxTeT3EY416g4IJFHKdWu50AxiUF8hmIdp8rRZdtmIxBWS0yP/fZCZLav0afQ22cgGLI0fLe151D1MnILJ06MZkPxwy4VpxhkK+X/22t/MWqNxwSwhV0IbGJX+LJLHv0VAidmbPNF9DP96RM9+8mQnNKegYBUHDgNmsUVzrSE9i0jpYjsTlHeSloixXAzw1bCAocNuQnhpi5ihneviJFtnsC+QCb1VIwqyrCUsJ/+SPSYukE9Gm/mEblik7y7Cqp2D+7USV3DM2jilLF/cB0kCG8OjUE/LFH4u2SDZg0wJ0K/JUiRU5sS92KIl2zQYajLoGEehuHAF4nfsI7naZTJBlCgUBT+AZgFkiyBtAaq3scUHPFyfQGR0IF5192pd2xhicnHPcD/tfVjibOKbtmAejxBoYKRppZOjLNE7cGWG+iB0RpRCaPKgT0ahhgW4LXkBL442eY1vr3bme5djY/HN2WY3JZJ8+HA3dxL3TXrenrBcKdJS8vchlfNmJTxfUwPzPyrLrB1UXU3eroRIH7mIF1PajFraXfFPm89Cj8UO6hJUErPsADhnU=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(136003)(376002)(39860400002)(366004)(396003)(346002)(44832011)(64756008)(66446008)(26005)(66556008)(186003)(71200400001)(66476007)(8676002)(6506007)(122000001)(83380400001)(86362001)(38100700002)(8936002)(55016002)(4326008)(110136005)(316002)(54906003)(9686003)(478600001)(5660300002)(76116006)(2906002)(7696005)(33656002)(52536014)(66946007);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?us-ascii?Q?YuFtKUKdlms//61TMrzB50GhjHYTey+GqhEVMpRkbiEX/GzfjrP1ONZi8WFN?=
 =?us-ascii?Q?k7JVV8E7Zg8+lu71e0pFK2xSVhPWDZk0NkIhvEVxc7mWUYGhVxqNG8TmxJQ5?=
 =?us-ascii?Q?xs0qnai80h74f6wum710CSFiNn/goPjLS+JKrskK2AZdtzAXCp0M7VTSt6hi?=
 =?us-ascii?Q?z1cgro6sVXzgPFy+KGgDYAc4IuawYuZJoNfq6yyQKlOLHbgdyd+IyH5cXg0p?=
 =?us-ascii?Q?O81wZueRX6UZXXOxZjXEu7AYcEuyAWEkCnN7TCtgb7+aVuCVcUDiMb6lV1Hs?=
 =?us-ascii?Q?0dtquCU/m5tYXRjb6j8mjqB4HclhXscPhkYqyC7+npv7eaTFe1S5VitGUiM6?=
 =?us-ascii?Q?/66XqLQc8OWnFN9m5UG3msappjOwaRl/jsDB2mBXBY3zbLgF2Xhgd370q0D0?=
 =?us-ascii?Q?QmtetkdhVKQFwp5KarkDgupv2RmGAwCU2w6QLyClbgFVF1NRl1nLDyvbgP+x?=
 =?us-ascii?Q?3GE9KdcLZUYwEn0rVAaOj9LnH47Adcmg7+FXQZg1MlQEIY/7YqBXp+jFOGuL?=
 =?us-ascii?Q?0+Ja8dYg06BB7TroEs73QLoo7Gdj+n9xezp7lfSdcZGR08m+LQsf+dQGDtFU?=
 =?us-ascii?Q?CWi23k/ApIOMX087Mbkh+jWgAPvtUaxyD2rGjB+Kg6Nn0Jx0xiMTn975DXht?=
 =?us-ascii?Q?1d3TerDyodkSQMa6Oqlv2FSKlrdItKZl6b9si4uz6F0+3WIgDowRAof2rtqk?=
 =?us-ascii?Q?UsgW9yxXbfRy9x83FlMEPveBm8Znf0qICUsQKqyprGFvt9pjkFGJZje5F5vb?=
 =?us-ascii?Q?ojQ/ySLEjaXgR13Lj+HMuYir8y1ZF74Q8JabfK6PhjruB3dhnZe9lKQHVlEK?=
 =?us-ascii?Q?CVEsx0NzQJ8e2XCsxb9Zq5HCrxEjWrf3x7ZGtN+kztBwoYDGYISWLrPh+M6B?=
 =?us-ascii?Q?kDyF8NmY86hWspBD0twFDHu22bATn8UgykM7UyIGxpjgSZoVmaX/fTKvEA/H?=
 =?us-ascii?Q?G6ZiSLM/lfb+zmsT/pPMeUAaVbiMNJZiIXwh/lu/1V1MXvYCEyyRCj+/ABKt?=
 =?us-ascii?Q?Gd+ny7ooEsY68YZLulzd9rSB9XWtA3dS4eaerLRPBihh0pj1vJoXDHPsdUfb?=
 =?us-ascii?Q?nceERkws+VlM2TGIxLA1cPfbdUoAGjAV4UaidVW9CNBKcbWy5y6alFxdYwiT?=
 =?us-ascii?Q?JlgFOtGHao3MGVylvKoJ47T0YgBoINMdJ/PzYewalL6NuB3gAacRNcpfmJvL?=
 =?us-ascii?Q?L3UpuURbOJmbY57nN3Z/FebTmvQQSlKsD7Ck8bc0TZNCiVRJp8Alv/1p6ZPD?=
 =?us-ascii?Q?CGsvRdzpqOJeuUnvd8CA6bsZiXRkvIA4SnPRr/lMl9yOkzprC7LQKhO1rYC4?=
 =?us-ascii?Q?QLyh74OB1Q6g1QvWFdGH2vhi?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: d60a304a-5aec-4080-f535-08d913c090d3
X-MS-Exchange-CrossTenant-originalarrivaltime: 10 May 2021 14:33:23.3477 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: GCAAKwEE0gGaQODT0q6S+Ta7r6RPF/b6aNWyLksnIHM1Jrc9blaHtPr9Hstcg/oiKRb1xpaYko/4oWiIrwoBqQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SA2PR10MB4569
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9980
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxlogscore=860
 phishscore=0
 adultscore=0 bulkscore=0 mlxscore=0 suspectscore=0 malwarescore=0
 spamscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2104190000 definitions=main-2105100105
X-Proofpoint-ORIG-GUID: GzcZPojsro0MyIo8cjGWi88CSZq57yrG
X-Proofpoint-GUID: GzcZPojsro0MyIo8cjGWi88CSZq57yrG
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9980
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 phishscore=0
 adultscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 lowpriorityscore=0
 malwarescore=0 priorityscore=1501 clxscore=1015 bulkscore=0 spamscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2104190000
 definitions=main-2105100105
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48307
Cc: "cpitclaudel@HIDDEN" <cpitclaudel@HIDDEN>,
 "48307 <at> debbugs.gnu.org" <48307 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> The patch I just sent avoids that problem, and does what other
> programs do when the user zooms: their frames are not resized.

Doing just what other programs do can be good or bad -
a blessing or a curse.  It's often better to be able to
do so, but not be limited to doing so.

Not resizing the frame to continue to show the buffer
in the same way within it (e.g. perhaps no wrapping
and no wasted blank space at the right) is not
necessarily what a given user wants in a given context.

I use automatic fitting of frames to the (single) buffer
shown in them, by default.  Zooming a frame, and having
it continue to fit the text the same way, is a feature,
not a bug.  Like most features, it should of course be
optional.

As I mentioned in a earlier mail in this thread today,
I provided similar optional behavior for text scaling.

Zooming out by text scaling shouldn't necessarily add,
in effect, a lot of blank space at the right.  (I like
to avoid such wasted space, whether it's for windows
or frames, in general.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 14:33:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 10:33:07 2021
Received: from localhost ([127.0.0.1]:33977 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lg6y2-0008R9-Tx
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 10:33:07 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56212)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lg6y1-0008Qe-10
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 10:33:05 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41570)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lg6xv-0005AA-Gp; Mon, 10 May 2021 10:32:59 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2980
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1lg6xu-0002Tt-T8; Mon, 10 May 2021 10:32:59 -0400
Date: Mon, 10 May 2021 17:33:01 +0300
Message-Id: <83v97q64ma.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <e27b2f896dde50786f06@HIDDEN> (message from Gregory
 Heytings on Mon, 10 May 2021 14:24:35 +0000)
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <618a480bbe37bb9057f9@HIDDEN>
 <999f8d7a-3c1b-bf72-dd15-472be09b8d34@HIDDEN>
 <618a480bbe312e9a2db9@HIDDEN>
 <24ec1bdc-b006-7ace-8320-8d45bb42daaa@HIDDEN>
 <618a480bbe626e3a52c6@HIDDEN>
 <83y2cm658t.fsf@HIDDEN> <e27b2f896dde50786f06@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48307
Cc: cpitclaudel@HIDDEN, 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 10 May 2021 14:24:35 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: cpitclaudel@HIDDEN, 48307 <at> debbugs.gnu.org
> 
> The patch I just sent avoids that problem, and does what other programs do 
> when the user zooms: their frames are not resized.

I think it's a mistake.  Other programs don't change all the fonts on
display, only the one in the main window, which is more similar to
text-scale-adjust.  This feature was supposed to change _everything_,
which is why it modifies the default face.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 14:26:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 10:26:14 2021
Received: from localhost ([127.0.0.1]:33973 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lg6rO-0008GI-5J
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 10:26:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lg6rN-0008G6-9Q
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 10:26:13 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41382)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lg6rH-00016l-Mj; Mon, 10 May 2021 10:26:07 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2556
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1lg6rH-0000s5-EH; Mon, 10 May 2021 10:26:07 -0400
Date: Mon, 10 May 2021 17:26:08 +0300
Message-Id: <83wns664xr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <e27b2f896da7e4eda69a@HIDDEN> (message from Gregory
 Heytings on Mon, 10 May 2021 14:17:55 +0000)
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
 <e27b2f896da7e4eda69a@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48307
Cc: rudalics@HIDDEN, cpitclaudel@HIDDEN, 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 10 May 2021 14:17:55 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> Cc: Clément Pit-Claudel <cpitclaudel@HIDDEN>,
>  48307 <at> debbugs.gnu.org
> 
> +        (let ((frame-inhibit-implied-resize t))
> +          (set-face-attribute 'default nil :height
> +                              (+ (face-attribute 'default :height) inc)))

Why does it make sense to inhibit frame resizing in this case?  I
think it will make an ugly display: mode-line text will spill over,
lines will become wrapped, etc.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 14:24:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 10:24:38 2021
Received: from localhost ([127.0.0.1]:33968 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lg6pp-0008Db-RP
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 10:24:38 -0400
Received: from heytings.org ([95.142.160.155]:45426)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lg6po-0008DR-Kn
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 10:24:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1620656675;
 bh=DSNAkj19BkFs61Kxe9Zn7xhlw9dbSR4DomxQXWYmU4w=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=RXmmNxODBnIYcDfYRKgetEyEygxuPGMP2fgkFo6vEmOq2nYUcKaC8324QMX+UUjsc
 oD5h7kkGOa1OoP+6jlo9R5Vvh4AdJiZAAkISWv+T0VSuOHTKpyC2pQFLB3NEN6zdPb
 vi2+T17uKPozZiGLm5oIKODR9//8WrktQ9iPogblMe3Am8WzKFA3hixZpQI+LL9WCG
 jQQkox8OfNbUJx9KSZzLU2JZfs2q5bxhfiW1n4ao0I3IwtKMZk1lIZ69ASwuNwvIAD
 MUzXB4wKE34GCFMb0LD0mv6IVWNjBaEEG/0+ulZDhKtOPBXKvOghrJVrZsJFKYpNtl
 tb6Je1/1AxYaw==
Date: Mon, 10 May 2021 14:24:35 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
In-Reply-To: <83y2cm658t.fsf@HIDDEN>
Message-ID: <e27b2f896dde50786f06@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <618a480bbe37bb9057f9@HIDDEN>
 <999f8d7a-3c1b-bf72-dd15-472be09b8d34@HIDDEN>
 <618a480bbe312e9a2db9@HIDDEN>
 <24ec1bdc-b006-7ace-8320-8d45bb42daaa@HIDDEN>
 <618a480bbe626e3a52c6@HIDDEN> <83y2cm658t.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: cpitclaudel@HIDDEN, 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>>> There's something more subtle happening, because using 
>>> text-scale-adjust is much faster, even on a frame with a single 
>>> buffer.
>>
>> Again I don't know, but I don't think so.  AFAICS it's faster because 
>> redisplaying a single buffer without changing the window and frame size 
>> is faster than redisplaying all buffers in a frame and resizing the 
>> frame itself.
>
> Enlarging the frame means we also interact with the WM and await its 
> response, no?
>

The patch I just sent avoids that problem, and does what other programs do 
when the user zooms: their frames are not resized.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 14:19:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 10:19:33 2021
Received: from localhost ([127.0.0.1]:33962 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lg6kv-00085p-9J
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 10:19:33 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53186)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lg6kt-00085b-BV
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 10:19:31 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41202)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lg6kn-00050L-Rz; Mon, 10 May 2021 10:19:26 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2149
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1lg6kn-0008RL-CR; Mon, 10 May 2021 10:19:25 -0400
Date: Mon, 10 May 2021 17:19:30 +0300
Message-Id: <83y2cm658t.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <618a480bbe626e3a52c6@HIDDEN> (message from Gregory
 Heytings on Sun, 09 May 2021 22:56:34 +0000)
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <618a480bbe37bb9057f9@HIDDEN>
 <999f8d7a-3c1b-bf72-dd15-472be09b8d34@HIDDEN>
 <618a480bbe312e9a2db9@HIDDEN>
 <24ec1bdc-b006-7ace-8320-8d45bb42daaa@HIDDEN>
 <618a480bbe626e3a52c6@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48307
Cc: cpitclaudel@HIDDEN, 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 09 May 2021 22:56:34 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> Cc: 48307 <at> debbugs.gnu.org
> 
> > There's something more subtle happening, because using text-scale-adjust 
> > is much faster, even on a frame with a single buffer.
> 
> Again I don't know, but I don't think so.  AFAICS it's faster because 
> redisplaying a single buffer without changing the window and frame size is 
> faster than redisplaying all buffers in a frame and resizing the frame 
> itself.

Enlarging the frame means we also interact with the WM and await its
response, no?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 14:18:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 10:18:00 2021
Received: from localhost ([127.0.0.1]:33956 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lg6jP-000839-LP
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 10:18:00 -0400
Received: from heytings.org ([95.142.160.155]:45404)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lg6jO-000830-5u
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 10:17:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1620656276;
 bh=eW8uyIkpb+ctdmyUKFCuKElvNA/NaRy8urBtnNitR7g=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=pvB1NOJKChrVXGiMxETcdJa7nVp6h6UaNHxFTVp7QBaG6K7rrYbRwXqiRjDn3ez2d
 l6KGUktqMKWXlXg8Zin/J0VRh+/Kk++DG3bl3BW3f3lxW6WGzx9FJWWD4aTFt2DZNz
 DYjKjmYqFrf7WXBm6GDLhYwynvn5IzAsBvFK59UwoPf9IcRzltn0SkrMLITnx6B65b
 oDAt4IDZQy/B8o4jO89L0rKF+ooqmwwp42oPuPCCjfbp3a/Fog9869w7atgOIB/RvW
 m0MfFmld9ZvTQHKt0+uxiqytytUXs1A+iYmldDv6NA/c3vdpYhv+8UoeTxMvswyGD5
 vgo2qPkWKeLGQ==
Date: Mon, 10 May 2021 14:17:55 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
In-Reply-To: <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
Message-ID: <e27b2f896da7e4eda69a@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="Ut1sq8cmoR"
Content-ID: <e27b2f896d570563f747@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: =?UTF-8?Q?Cl=C3=A9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>,
 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--Ut1sq8cmoR
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
Content-ID: <e27b2f896db318f4a8f2@HIDDEN>


Thanks for mentioning frame-inhibit-implied-resize, I did not know it=20
exists.

I attach a patch that does, I believe, what Cl=C3=A9ment has in mind.=20
Comments and feedback welcome.

Note that this patch can't be applied yet, my paperwork is still not=20
finished :(
--Ut1sq8cmoR
Content-Type: text/x-diff; name=Global-adjustments-to-the-default-face.patch; charset=us-ascii
Content-Transfer-Encoding: base64
Content-ID: <e27b2f896dcf3c9cc7fe@HIDDEN>
Content-Description: 
Content-Disposition: attachment; filename=Global-adjustments-to-the-default-face.patch
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--Ut1sq8cmoR--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 14:17:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 10:17:49 2021
Received: from localhost ([127.0.0.1]:33950 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lg6jE-00082X-VY
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 10:17:49 -0400
Received: from aserp2120.oracle.com ([141.146.126.78]:57730)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lg6jC-00082H-RI
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 10:17:47 -0400
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 14AEAJQb047720;
 Mon, 10 May 2021 14:17:41 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : subject :
 date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=lS+bpibQJfliglHZfKKQ708hudtdhwU6Pxf21bFO330=;
 b=J5aoEDU0gJsHLo8xdOK7uAgJFGK6OcIDR/dy+b678w/Gb6FrKHScSUnz2be+JVEWpDNd
 nzsnnZRG+KSmhzrjOFLQdHwKJX9LHA4bkTUMRemUZXdHK6KgFxoYkzFnY53P3u5JPEhe
 DJnENGulBs6yddZVL8uMhWbYuotFNfJVhxSySlSBn+oUCAiAciSAHozNOuYbgttlGlau
 1hD0QE7v0KG+xmJpxYOPbGbnGHbxKrDOW/UBurJsSe0gQ0uRqq/3Aok9Ihe1WMRXTcML
 iKJw3mdlin9Az+iqjDa9pM3dM7Gc3qezwVxvpv/c5BFO3RsfmH5q6G9cblj0A1iYPK7v Ag== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by aserp2120.oracle.com with ESMTP id 38djkmbcne-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 10 May 2021 14:17:40 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 14AEFmKx109228;
 Mon, 10 May 2021 14:17:40 GMT
Received: from nam12-bn8-obe.outbound.protection.outlook.com
 (mail-bn8nam12lp2169.outbound.protection.outlook.com [104.47.55.169])
 by aserp3030.oracle.com with ESMTP id 38e5pvc829-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 10 May 2021 14:17:40 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=TrA0Pxcg4eFRBabUHqHiAbcbtv696WuaDsgEG9Fm1B5PfkSnKtYJdDoCkLOiJ/ce/zTKL7JhSiGAf4ftpsS20lR7y0ByhkWTwAPlpayi6JI4FVnZnevpEo46jTT8Hk6J+ke/wR17Uz6G5kebyRU+IABNG7lLy847rUUvdiYKrTezWAVQKzz/1eEzIqSf7AUkWMiY9CuH1TLzbap69dYgQTRfqUrgt5SGTqqnhTqxqMLIaB0fC/0NI9piK/QCG73YmdmKlNoB3/96Noy9LKkym57gW05AKjTKGJSfJw8r28KYHHia+9zkqHUs8vqzrrpbU8d6LMuY+9NmQTSg8lBh0g==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=lS+bpibQJfliglHZfKKQ708hudtdhwU6Pxf21bFO330=;
 b=M0oiBgFeMkDdgZmfbUKQZIUliRB+WJbupzMbF3OFTKfddMWRfIv32erlI4XMlLVlFozemLjnSK1MNXsi9Q5BmniOZEjd5GqyCsRgIKjDieteSII9wu/AUdo+ViYqNkrst25sXLF8kkSkPViJNmZEcRy98TUhF+v1XlAfyH1r1ecRFmliXyixxep4dW23JjTANyYalM9OImUS/FDoVt0phk3L5cTIs44g54+QH+hTRn79XVXgGHDORqg89CVZJGfncEBqH3ufLUblneG0cKPn890ImNmlvu1iSisWqzg16NU16mkKti6If4gHAvpkGoW76Gf2TbmrOaropaWu7jLHDg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=lS+bpibQJfliglHZfKKQ708hudtdhwU6Pxf21bFO330=;
 b=apecsOKblbI/MfZY3Krv9A0wxrBY4fvyHlPa7faQOH1GmAtafW/vk2kDgYI4vuQBgBbY226KlWDZsSWM/X2ovwB3DRmwiFBbsNS/YnTvMl6yRruW1C81hcUwe4wA65LTgtrwWjFKF857Hf9K0+7WX+jg6nqKbMT3wRRFU4QnHpk=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SA2PR10MB4764.namprd10.prod.outlook.com (2603:10b6:806:115::15)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4108.27; Mon, 10 May
 2021 14:17:38 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494%6]) with mapi id 15.20.4087.049; Mon, 10 May 2021
 14:17:38 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>,
 =?utf-8?B?Q2zDqW1lbnQgUGl0LUNsYXVkZWw=?= <cpitclaudel@HIDDEN>,
 "48307 <at> debbugs.gnu.org" <48307 <at> debbugs.gnu.org>
Subject: RE: [External] : bug#48307: Feature request: provide default
 keybindings to change the font size in all windows
Thread-Topic: [External] : bug#48307: Feature request: provide default
 keybindings to change the font size in all windows
Thread-Index: AQHXRXYXHdIyVhQ7aUClv+wCzCmo/KrcwVKA
Date: Mon, 10 May 2021 14:17:38 +0000
Message-ID: <SA2PR10MB4474F7EF94F1F7061220F352F3549@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
 <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
In-Reply-To: <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gmx.at; dkim=none (message not signed)
 header.d=none;gmx.at; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: d404bdd4-280b-4d24-0d6a-08d913be5dd8
x-ms-traffictypediagnostic: SA2PR10MB4764:
x-microsoft-antispam-prvs: <SA2PR10MB4764F334767D8BFD51407B8EF3549@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:5797;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: Qj3TI65Wgj+xNsh7AUS6lGiiatFfrbeXMzWfXvBX4/I5cGPsjFOcoSvwEjzwq51ef1xfns54tJMcufy9u/Th9oQz7K2OEHI0UjzXpsMvHgCRlyoZtyViPo7f18IWj2vfvjll6D7uhgRgAgNwLa4sz5BnmA6NzLDimzNtdBN9+qImMN7x9dRA1rwpcmJduQRsT+Y2xM1e5lV4UyFsRw+51+GqLGWmRRY7gRhssr7PN+W32B+vj2riEVlEZ7OB63WGlNtGkI5u3Q3cTSwnWlrAxbmw2NesBXVj3HB1CPBKQzFDTnqRUoWeQddXci1vQCK6l3dtl46gnhNqfetaWUapxLOUnEhVAmb9zHc37t7A+llb4p8+LdEiPoSCpOoqqAgbpfErzRA8qf+7F3jiw3/8p2n7Dx6TWj2k9rTSfjUmbmcsXcfDvxsQp1RYHggyFTC4aqK8ywxVfOO9Axo63IvIfLBg/z98O4sd8EWbeKju2p0Z1z5dxXy/75dJ7g6WJESPhRKLoHGN58W5sYLGuAi6LZOADAS47p8RTpzmYcOKNMaw8wKPXbrqVKC9hWipeU6zrptapmd4HnK+LMISrUSYMw2uCQy/NI3YcTBt+vRhExWEkjd91Q4mqOTAwWmt5/dv2j2FdihbAy/5rwNi0nuGXsBTGSRVx9HL7WaRxOiU+ae4Kn9bKrZ1OH6GITr+8BGX
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(366004)(136003)(396003)(376002)(39860400002)(346002)(26005)(478600001)(186003)(6506007)(7696005)(9686003)(122000001)(5660300002)(2906002)(86362001)(966005)(55016002)(38100700002)(64756008)(33656002)(76116006)(66946007)(66556008)(110136005)(71200400001)(66476007)(66446008)(8936002)(44832011)(83380400001)(316002)(8676002)(52536014);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?utf-8?B?dS9KSlg0eVpmZUt3RkRVVVNseGZhU3NNbElBSVRJZUlSdFZ0azRCVzhlcE8z?=
 =?utf-8?B?UGdCWFhGaXR2dzMrY1QyQURYSktaMVQvTkxNd2FNaEJNenAvUVJGTzhwSnFQ?=
 =?utf-8?B?YTNrb0RmY2J3bVU1TjlybU9BL25zVGVkNnVQMjRKY055M2NqOFpsdDA2aUl2?=
 =?utf-8?B?bTZDS1NrT00rMDV5b3FQWjFlVXpzTmVGS0Q5OUxRSUkzQmpZeVVlTEVGancv?=
 =?utf-8?B?V3g5NmZITnROWnpmOGVQMVNqTzlIc3YzM0Z0TE93YlFQeGJ3RUJnN2NRa1BD?=
 =?utf-8?B?RnE1SXRMNW5KaG1mQzhUY0xOVER1QzBWRWQrUVIxbXRWYU1pNmZna0ZNaXM4?=
 =?utf-8?B?UVduU1puazVaK0lIZmZkQ09peHNNZGFidzR1c2ZkNG5UTWcvU1RBd1dSYWYw?=
 =?utf-8?B?cndJdnF4MDJaa3Y4V3gwK1Z6Z0lkK3NwdGx6UVNvSTQ3SXdjUExHMkhXOUdI?=
 =?utf-8?B?VWt5bURXdW9MZVh1a3EzcHY4Z2ZhNWV2ZVAwZHkxUHNiWFRDRzdmeFo0V1pR?=
 =?utf-8?B?MXowTnlGdG1KVlo3ZFJrSWMyZkJuQnQ5QzdNN0x5LzRBbXFoZExEWloraE9U?=
 =?utf-8?B?eGVGR0xzY3g1VWQzQkhnektJcWJRcWlnWmRIN09xclh0bWJKeGI0dzh0V3Zo?=
 =?utf-8?B?cU5zWVJibFg0NGxHdmhibEd5MFdsOTJESTRJYkNKTXRrWFJwcFZvWUVFQkpy?=
 =?utf-8?B?dGxPdVRLd1ZVTWVTQnp1amRUc3BnL3R4TkVEdDNPREREOW0zbVJnNTdXU1Bj?=
 =?utf-8?B?QWVtSDM0dFRmSmZUb2pabG9lL0s3UUhVbFNwTDlNN1hWNzQraXpFMUtEN2Jq?=
 =?utf-8?B?Q0l0YnozYVdxTkVITHRHaHRMSUoxOTBha0JWcXVESU04eU9KQXFFODQ4U2Ni?=
 =?utf-8?B?b2VBWXQ2YzgreHcweGgwL29WK0pMNE1CSTJJNXA0ZCs1cEE1blMrTEZwMHRp?=
 =?utf-8?B?NEYwc0xvTFU0ZkVHTzNPYXhtcTVEd1NKdG9WYVNMQnpnaDVrMjQyVVFpVWV3?=
 =?utf-8?B?Ump4YjNlTzRvbXAzREszb2ZYK051MVplZ2J0WWVLT1NVRHdPN01zQmhPeVlh?=
 =?utf-8?B?N2E4NzdYclZsNVQ2bWFCaS96aTY2YkNBT2RQdWxub3ZEVGptRGtQcURzeUFm?=
 =?utf-8?B?WkE2YUN3blkxZjdjMzBxL0VSQnZvaWNqblBQVU9oU0NLUHhTYi9oZmd4VXNX?=
 =?utf-8?B?NlJ0M1hoZlVHd1RJczNwa1dZUWZnWWo0dVU2ZDMrT3pnVmZXbHJhbmpnN2dD?=
 =?utf-8?B?NXVlcjY3U1puWlowVkEwUUt3K0FUbUR0Yk5manlJUG1qZldheGNtaG5uZWUw?=
 =?utf-8?B?eFNaUmRna0NocDA5emFuUWpvRG4xNmNmcnJZdmV0UUV6Um9xUkpjUjlNekVq?=
 =?utf-8?B?amQ2OFBJWTMwSjdkcGhwZHB1U3JlMVYzNHBUSG8xaXo0eHBoNDc0UW9ma0pt?=
 =?utf-8?B?TnFjSTMwN09Yako4KzYyb2Z2ZGNucUprazQvMzVIcnpZQ2U3bXdRcVV1Nmlp?=
 =?utf-8?B?SmRkdFN5emJwclRIa08zTS9JaHF6eDBwR1BoeUQrcmZLWndmSHBnaVhwaHZD?=
 =?utf-8?B?Qy90eEFZZEZXZUpYZzdGcy9JbjJGMEVMbkNGSEdEYm9DQTIwdC84dXYzb2tJ?=
 =?utf-8?B?cFd5dTVVbHRDeTY1cnNhcWdkcUR2cFFYeWtZb0RBOXgxUDlRMkViS0ZXWkUx?=
 =?utf-8?B?U2tQNjhPVTRQZ1Z0Z3BabHgzajNUVG5oMlA5M2N6aFNFaWZQR0g4MDU5b3A5?=
 =?utf-8?Q?oNF8kWJahYGxKjwsbJHYldT9wlKU4RczxPKokIn?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: d404bdd4-280b-4d24-0d6a-08d913be5dd8
X-MS-Exchange-CrossTenant-originalarrivaltime: 10 May 2021 14:17:38.7913 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: 6XmQMU2vEXiJGQb95rq2FEwrjYlY7Bog/kfWo5G65KfMnqvJVz2DpsA2NgcF2ox+FgSme3ZTuUW7Nu/3aWGgGQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SA2PR10MB4764
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9980
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 phishscore=0
 malwarescore=0 spamscore=0
 mlxscore=0 adultscore=0 mlxlogscore=999 bulkscore=0 suspectscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2104190000
 definitions=main-2105100103
X-Proofpoint-GUID: dFAaKPObSt5CivQ-pj28ewifXMg0q1Kc
X-Proofpoint-ORIG-GUID: dFAaKPObSt5CivQ-pj28ewifXMg0q1Kc
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9980
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 malwarescore=0
 priorityscore=1501
 suspectscore=0 clxscore=1015 bulkscore=0 adultscore=0 impostorscore=0
 spamscore=0 phishscore=0 mlxlogscore=999 mlxscore=0 lowpriorityscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2104190000
 definitions=main-2105100102
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48307
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

PiBUaGVyZSBpcyBvbmUgc3VidGxlIGRpZmZlcmVuY2UgeW91IHNob3VsZCBiZSBhd2FyZSBvZjoN
Cj4gDQo+ICgxKSBJZiB5b3UgY2hhbmdlIHRoZSBzaXplIG9mIHRoZSBkZWZhdWx0IGZvbnQgb2Yg
YSBsaXZlIGZyYW1lLCB0aGF0DQo+ICAgICAgZnJhbWUncyBzaXplIG1heSBjaGFuZ2UgdW5sZXNz
IHlvdSBydWxlIG91dCBpbXBsaWVkIHJlc2l6aW5nIGZvcg0KPiAgICAgIGl0Lg0KPiANCj4gKDIp
IElmIHlvdSBjaGFuZ2UgdGhlIGZvbnQgaW4gYWxsIHdpbmRvd3Mgc2hvd2luZyBhIGJ1ZmZlciBi
eSBhZGp1c3RpbmcNCj4gICAgICB0aGF0IGJ1ZmZlcidzIHRleHQgc2NhbGluZywgZnJhbWUgc2l6
ZXMgd2lsbCBzdGF5IHRoZSBzYW1lLg0KPiANCj4gU28geW91IGhhdmUgdG8gYmUgcHJlY2lzZSBh
Ym91dCB0aGUgInNvbWV0aGluZyB0aGF0IHNjYWxlcyIgeW91IHdhbnQuDQoNCkluZGVlZC4gIFpv
b21pbmcgKHRleHQgc2NhbGluZyBvciBmcmFtZSB6b29taW5nKSBhbmQNCmZpdHRpbmcgd2luZG93
cyBvciBmcmFtZXMgdG8gYnVmZmVyIHRleHQgYXJlIGRpZmZlcmVudA0KdGhpbmdzLiAgVGhlcmUg
c2hvdWxkIGJlIHdheXMgdG8gZ2V0IGRpZmZlcmVudA0KY29tYmluYXRpb25zIChlLmcuIGF1dG9m
aXQgd2luZG93L2ZyYW1lIG9yIG5vdCkuDQoNClRvIGVuYWJsZSB3aW5kb3dzIHRvIHNob3cgdGhl
IHNhbWUgdGV4dCAoZS5nLiB3aXRob3V0DQp3cmFwcGluZyBvciBpbnRyb2R1Y2luZyBleHRyYSBi
bGFuayBzcGFjZSBhdCB0aGUNCnJpZ2h0KSwgSSBpbnRyb2R1Y2VkIG9wdGlvbiBgdGV4dC1zY2Fs
ZS1yZXNpemUtd2luZG93Jy4NCg0KSXQgbGV0cyB5b3UgYXV0b21hdGljYWxseSByZXNpemUgdGhl
IHNlbGVjdGVkIHdpbmRvdw0KKGhvcml6b250YWxseSwgdmVydGljYWxseSwgb3IgYm90aCkgd2hl
biB0ZXh0IGlzDQpyZXNpemVkLCBzbyB0aGF0IHRoZSB3YXkgdGhlIHdpbmRvdyBmaXRzIHRoZSBi
dWZmZXINCnRleHQgcmVtYWlucyByZWxhdGl2ZWx5IGNvbnN0YW50Lg0KDQpTaHJpbmtpbmcgdGhl
IHRleHQgaW4gb25lIHdpbmRvdyBzaHJpbmtzIHRoYXQgd2luZG93LA0KZ2l2aW5nIG1vcmUgc3Bh
Y2UgdG8gYWRqYWNlbnQgd2luZG93cy4NCg0KSWYgeW91IGFsc28gdXNlIGxpYnJhcnkgYGZpdC1m
cmFtZS5lbCcsIHRoZW4gMS13aW5kb3cNCmZyYW1lcyBhbHNvIHJlc3BvbmQgdG8gdGV4dCByZXNp
emluZyBieSBzY2FsaW5nLiAgSWYNCm5vdCwgdGhlbiB0aGUgdGV4dC1zY2FsZSBjb21tYW5kcyBo
YXZlIG5vIGVmZmVjdCBvbg0KZnJhbWUgc2l6ZSBmb3Igb25lLXdpbmRvdyBmcmFtZXMuDQoNCihJ
IHRyaWVkIHRvIGdldCBFbWFjcyB0byBhZGQgc3VjaCBhbiBvcHRpb24sIGJ1dCBoYWQNCm5vIGx1
Y2sgd2l0aCB0aGF0LikNCg0KaHR0cHM6Ly93d3cuZW1hY3N3aWtpLm9yZy9lbWFjcy9kb3dubG9h
ZC9mYWNlLXJlbWFwJTJiLmVsDQo=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 10 May 2021 08:24:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 04:24:17 2021
Received: from localhost ([127.0.0.1]:57331 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lg1D7-0005R2-6E
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 04:24:17 -0400
Received: from mout.gmx.net ([212.227.17.20]:32851)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1lg1D6-0005Qq-6k
 for 48307 <at> debbugs.gnu.org; Mon, 10 May 2021 04:24:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1620635049;
 bh=f1X9M9NhW3i/TZdi7bzeoW9nKkfT/T/RSJ/o4aeRSik=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=UH0mbV45Znc5ygC02K0sSH3AE6EwEKI2f6buatxkJbmfqodZ1u0e4yZutvmRheeJp
 jonrtjMar+OMXuixVdvBbc5PBXaCyi7hUV41mlysdMYBChe/fmEjWB04RxRQQqkqWb
 uH6ULtl8WApZgzQ9lPQsQwX7GlN0uFlqP96b4VDQ=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([212.95.5.90]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1Mlf4c-1lG03125Ao-00iiDu; Mon, 10
 May 2021 10:24:09 +0200
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
To: =?UTF-8?Q?Cl=c3=a9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>,
 48307 <at> debbugs.gnu.org
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <5009beed-08d3-592b-86a6-136b994cbc5b@HIDDEN>
Date: Mon, 10 May 2021 10:24:08 +0200
MIME-Version: 1.0
In-Reply-To: <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:fNpTCBPq5AeEeENDm8QEPsVKRlHEjuMwdsJVVlN+HHh8K4EB5FP
 BYSYfKTHdi7LgO4eX9VIl8EK0sfI5NL/3Sw/O/o7lQTU3exiCQo9rdvMeG9b6+Zmv9VMVL6
 lhqH+iD9SuI6mkwafkWuAFY+eE4BtJe7t2pevModYx5imzrIvnyq2BfATUuT1VwVsVdblwn
 bNXYfSMD7PoEtE2vUp0jQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Zei5yGnexic=:TODtKKSRJBj6sVcToOf2tb
 ucF+/ISpXX1R4oTGk6TNhZBMH23lBoC/58lrz7xFK/wrogl7M++90YYJ7C+WTQQ9eYT/ZoofG
 /fF9D9IwDAVQBMDYSIlfp8Gb40P38e7+cobkyUrjAKOPCLVYm48g7IRCKB6E5xZ5ZVvkoE0uF
 ps4EfcEbox/xMeUIEFfmiJ4nQpsjjPt+6+gdvSTL5kSg6oUbh7Jfet1Ipn88W6MrWFZo0SobU
 pQGEnEBV5TipcMvjyGqAODUzKroOy2oAX82gqD7Kv6kYoBiqE4Km0K8AoPicrnMfaVPqSbjPt
 cWVdH7rNuO0+7ejQuuXQxpZWKG11HF+VSZ1WS6Rjlym3tsiQ/b3oH1hLHWcJmMp+AKKT2xdJ8
 if5hZTsKlntuVNqbgRFuynKvKvt2Ng4DHBr2uazGvR8pOcU6JdTX4YQZ/NkIADiv6T1ooZQ6q
 3YD5Q0xA8HjFrA7wKi/acVLXXipl8bTJNaO1AvIc++Y3Nj9h+8E4OhbnqXLJSJWnkWD/owWzh
 PgHkjp8EU/S1P3eQ5gqkrEdBr1owdXD9it+lcm5Y//TczYGtqksAJbiP7aZy2uI+GHUL3YAU5
 iPhnoA7LyuPNjwMjjkOZtb8IyB9oe96moI1cx8swfRX/nQ1ETZBXSb7L85Bke7aGRcBj5jOo/
 cfgrFZOjhVQHXHZJWvtxpDKtl1W7zogDhCzV/q4hBotHVR9wqyI/mqyDi3kjvE5x3NBJuHaMt
 G16cVGU53BpTyBBv/P7NdSvZyiY1Q8iPQWVC78EcPGrzGXUUjfPTHVFpJ/jlOKilPAV6KJz2h
 s/HtBCdPMX8Wj0SjiNftG6QpazEQVJRP5aXtJW5sG2i6EE4pdB61Y8XYim3ou+Yz4NM2xlp//
 rvDHzXY7htNlSRjND/1OfxNJG/pvIz+TjnsKYfQm1o10Eno4RbItaXMwWAtg6rrS0f2keI0MJ
 QjtH4i/7aHU1G13z06Y6rsFvR1Sw6AILK4K+BMZNFNQG+UTtOjCyBOukP3cF/eiULA0uPf6wp
 In9xZ9eQff9icua9Ds/ZkVg4jojQBAyYQ8PoKdZ/wtND1yt3TJpNwozpUn7aZDmxPdpI83o6k
 Pia1X10jktg2/v7bLYJsf7s5pb5aPiytoKii6Rzy7iyRL5qu7nYYz85YDOsJYrfhNOzJUIw8c
 XB/yma4+o5XZsluqIAb6TAtcdBCa0BZYB9oQwlHLE8HxXAjSLRRor+TpcUzeXJddJQwdc=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48307
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 >> I suppose you mean a command for all _frames_.  Any buffer-local text
 >> scaling would still override that.
 >
 > Sure: I meant something that scales the font in every window (and
 > possibly in every frame, too, indeed)

There is one subtle difference you should be aware of:

(1) If you change the size of the default font of a live frame, that
     frame's size may change unless you rule out implied resizing for it.

(2) If you change the font in all windows showing a buffer by adjusting
     that buffer's text scaling, frame sizes will stay the same.

So you have to be precise about the "something that scales" you want.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 9 May 2021 22:56:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 09 18:56:38 2021
Received: from localhost ([127.0.0.1]:56776 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lfsLl-0007q7-Nl
	for submit <at> debbugs.gnu.org; Sun, 09 May 2021 18:56:38 -0400
Received: from heytings.org ([95.142.160.155]:44654)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lfsLj-0007pt-IE
 for 48307 <at> debbugs.gnu.org; Sun, 09 May 2021 18:56:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1620600994;
 bh=E3/njzhwhSFJRh5QzBTA1Pbit8bWKsedFeJOTYxuuIs=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=m0smWbs7EH3ZecxaaNjT8C09DftEMZkX9oaKdNebNf2WAIq5OU3zeAE0/xP3t6k0c
 ezz7QCb2Hf7vODzLdPOBGwYMPD/jVa/FTrKN046bcNLp7qBAPHjN7JZfe3JmWsCQO4
 gcv4Z33DXQUy6a//TJtoXftmIdTKgaZC7/Lmyj/SuWmIpPn3d8CeMM9/NLcdw8up8a
 DU807usbZjyHPp7e+Bwj7EbxdiOIr7qadFYI/jnG4U5aGvZ9v9TcFefn+Jav0nrbHl
 QMZR8O7gCQaoUbQ9eQvyMXW9WOKH0lwTws5qF6b6wh88s3j6r0OCAte1IRiNjrmqCI
 Ow3lSz369Z9UA==
Date: Sun, 09 May 2021 22:56:34 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: =?UTF-8?Q?Cl=C3=A9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
In-Reply-To: <24ec1bdc-b006-7ace-8320-8d45bb42daaa@HIDDEN>
Message-ID: <618a480bbe626e3a52c6@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <618a480bbe37bb9057f9@HIDDEN>
 <999f8d7a-3c1b-bf72-dd15-472be09b8d34@HIDDEN>
 <618a480bbe312e9a2db9@HIDDEN>
 <24ec1bdc-b006-7ace-8320-8d45bb42daaa@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> I'm not sure: I don't know if this is the right implementation, or if 
> there's something subtly wrong about it.  It looks good to me (though 
> it's missing a command to go back to the original size), but since there 
> are many implementations that use different strategies I had concluded 
> that there must be some subtlety.
>

I don't know.  It's certainly possible to do something more complex, but 
this is equivalent to changing the size with Options -> Set Default Font.

>
> There's something more subtle happening, because using text-scale-adjust 
> is much faster, even on a frame with a single buffer.
>

Again I don't know, but I don't think so.  AFAICS it's faster because 
redisplaying a single buffer without changing the window and frame size is 
faster than redisplaying all buffers in a frame and resizing the frame 
itself.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 9 May 2021 22:30:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 09 18:30:23 2021
Received: from localhost ([127.0.0.1]:56767 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lfrwN-0007E3-9j
	for submit <at> debbugs.gnu.org; Sun, 09 May 2021 18:30:23 -0400
Received: from mail-qv1-f41.google.com ([209.85.219.41]:33384)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cpitclaudel@HIDDEN>) id 1lfrwL-0007DS-TP
 for 48307 <at> debbugs.gnu.org; Sun, 09 May 2021 18:30:22 -0400
Received: by mail-qv1-f41.google.com with SMTP id 5so3532409qvk.0
 for <48307 <at> debbugs.gnu.org>; Sun, 09 May 2021 15:30:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=xT4/pCv0mqCbizcWNW2WlNYxJekVeVPMIDoT8LBkW8Q=;
 b=hEKpArDWAcQw+obvZ0CWuVZJqylCLy++5vXMJVf626fWXYQyLTzteMkHKT7Kz2hbjC
 DXcHMfJ5dgZC+bWVAHGfguoR/rBiwfPk0lm6by4N/f4z+2VTefdpnTKwOJGhvzfIGA4G
 5cWIMHI+NiWH+RRK2zGDXgYX2zFHnyKZs5IdChfKn2ZQ8kTOLMFh2JQbLaRgfhWRULfN
 rXYlmwWfW5MXP9F1t42Z2QsELaA41Pje06SK+TsHlTspUNrtEOyvWXgnC2NhHA3s6gU1
 p714YUvFQ7/oKUUwTgcIH7VLJrrVMUG/ccqo4vVpJfWDqCqozhZyi+mkph2bg8PfvD4U
 JLaw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=xT4/pCv0mqCbizcWNW2WlNYxJekVeVPMIDoT8LBkW8Q=;
 b=cEek6STY4rKlX+QTXqR0Ugp3dHWpkf/dIDYAiQsC5t1JZ+N68zijsD9muiUtjkG47y
 BwZHCgf6ZTlrwnaxIWspi+TfQJ0fG8zPsk0SvEmHLGW4lsWlBNePmKcU/mskeukOnIXN
 itU1tKjIHT40UziXMRvaLtpfWdFYV1F9iS4Nuhsg0bjUsQn/3x6FTRdhci91nWK+GpvX
 i4AfUROUC/SmFRgXsAhgPKV1q9CW7NcfoOf2oq5sJKitJw3ufAvCdDJY60EwOfYUJLK/
 c9fbjESBWNqx/c45hmhEjddSXmlWkInvpx7m5nUG6a0RX1VqA0dzmeYhnfYvpvtLqdnY
 P4Zw==
X-Gm-Message-State: AOAM5338g2aNvQBud9V6G5pKEYLDnHvyopdULLbU3jKX5sdna+PH5KZA
 ODkgeIBMGLwVk+Ois6ChSaniLYIeVBU=
X-Google-Smtp-Source: ABdhPJweu2JjmsF6IMxPMnBVnnI1Qf6xh3ls/DRIKd1Bkf6bVnmWdabtRRtSTpQ1zdjwvvsrpng7lg==
X-Received: by 2002:a05:6214:20c4:: with SMTP id
 4mr20495646qve.38.1620599416096; 
 Sun, 09 May 2021 15:30:16 -0700 (PDT)
Received: from [192.168.1.11] (c-24-61-240-80.hsd1.ma.comcast.net.
 [24.61.240.80])
 by smtp.googlemail.com with ESMTPSA id b15sm10777051qtg.82.2021.05.09.15.30.15
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 09 May 2021 15:30:15 -0700 (PDT)
Subject: Re: [External] : bug#48307: Feature request: provide default
 keybindings to change the font size in all windows
To: Eli Zaretskii <eliz@HIDDEN>, Drew Adams <drew.adams@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <83h7jc8gep.fsf@HIDDEN> <7a86c15a-cc21-6df8-f1fa-c0359ce25c27@HIDDEN>
 <8335uv99fw.fsf@HIDDEN>
 <SA2PR10MB4474A9300FCB942EA4E93B4EF3559@HIDDEN>
 <83tunb7sj9.fsf@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>
Message-ID: <5f5b47ff-92bc-7b77-77de-a1ebc4f80002@HIDDEN>
Date: Sun, 9 May 2021 18:30:14 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <83tunb7sj9.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 5/9/21 12:58 PM, Eli Zaretskii wrote:
> Of course writing a wrapper for that command whcih is bound to mouse
> wheel with some modifier should be trivial if that's the main issue
> here; patches welcome.  I thought the request was for a non-existing
> feature, so I pointed out that it already exists.

Sorry, it sounds like the original request was unclear.  Drew's description is pretty good.  The request is specifically for a new keybinding; it may well be that the code that goes behind it is trivial.

I'd love to provide a patch, but I have no idea what it should say.   I've counted 5 different implementations of the functionality (6 now with Gregory's).  All are acceptable, and I don't know enough about Emacs' fonts to judge which one is best, or whether they're all equally reasonable (for example Gregory uses set-face-attribute, and Steve uses face-spec-set in default-text-scale.el).

On 5/9/21 12:08 PM, Eli Zaretskii wrote:
> In fact, given that we already have that menu item, it could be argued we
> already have the feature implemented.

Almost, yes.  What we're missing are commands for incrementing and decrementing the size interactively; we only menu-set-font.  It's indeed what I recommend that people use when they ask. It's pretty good, even though sometimes (depending on how the user configured fonts in the first place) it starts with the wrong size and font, so you have to scroll through the list.  

Sorry for not mentioning menu-set-font explicitly in the original message.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 9 May 2021 22:15:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 09 18:15:19 2021
Received: from localhost ([127.0.0.1]:56758 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lfrhn-0006qs-DK
	for submit <at> debbugs.gnu.org; Sun, 09 May 2021 18:15:19 -0400
Received: from mail-qv1-f44.google.com ([209.85.219.44]:35444)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cpitclaudel@HIDDEN>) id 1lfrhk-0006qY-6M
 for 48307 <at> debbugs.gnu.org; Sun, 09 May 2021 18:15:17 -0400
Received: by mail-qv1-f44.google.com with SMTP id q6so7483083qvb.2
 for <48307 <at> debbugs.gnu.org>; Sun, 09 May 2021 15:15:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=EO4KT2eIvJ3XWwtKiOCaCin7wduc+Q/bl2M4zTO2JeI=;
 b=eQM5bwUwRiQ09XVdLsrHhiExosXEJErb6tW8iCEOhh7ibE4LyYTbOLDT6a0R+0ZJ5w
 nBWbOSeauxWSRtf0vYAaeIQB16waHX5PsmZQOOZymlDiy4foku3n/B8Ar8vrHHeht+xs
 MoYjka7ajLTd/0Pom4ANQih3WRs1XVcrm6yGw2iv0y1uGo72t5x5b3f0AJnaP2w7QnzP
 ZdFNjs7pMKaSRnCighh4pINztsuZ1B6bkTcsPgVq6FU6N0BWFS5U+WJAKge7MiSlTO8H
 8dmU0znhtVSg1lsFeCyh2aTK/yyh9zku9DbZSmyz3jZoPcvZnwftZd4/XnWMD4bKmg+G
 rbVA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=EO4KT2eIvJ3XWwtKiOCaCin7wduc+Q/bl2M4zTO2JeI=;
 b=FoOYTy9Ex7pcuSUnHsI1jwcVbz1z5LsAmN2f7d6wuh09iurrcnMNDWrHyZhR4se6TO
 2DaClhMyOthsBYK/phv3woJnVe9M1twVysQIY5n4xpcC+yxJknmasqQEjGoNzPuZmE4h
 ie1kvXZW/hD+QOAqUZa73MsGUg1/UPLN9Y1HtmEl/4O3rcAOUm1hh7tmen8F+2/1EeFZ
 z9kn/kkO6VRew93htNLYtQQc95O6Iqu9PnqD/Ckm3t3mlAxUiik4VR9PfUjuOyasKi/F
 cG15o75PppHGY6K1xeh/z39RvlS6JPKMH38lebrJD+q5ArSnbZxKyrxNT8ZYrUGWYNFo
 0R4g==
X-Gm-Message-State: AOAM533ccf0/urQLPsOLiaZjdZcZHgVHvUQMJgw4u0jsxX1Kd0MAJsn/
 ggs5XjEIiEcKPAX25LRgNHS2SrVEYrM=
X-Google-Smtp-Source: ABdhPJwITyQlY4QX9bf69aVXv4MciJXBp7Gh6WqP1h5cAAe9a/BdrBkrC0hpfmqiDpMuF9VYqH1Ozw==
X-Received: by 2002:a0c:f4ce:: with SMTP id o14mr20966319qvm.46.1620598510470; 
 Sun, 09 May 2021 15:15:10 -0700 (PDT)
Received: from [192.168.1.11] (c-24-61-240-80.hsd1.ma.comcast.net.
 [24.61.240.80])
 by smtp.googlemail.com with ESMTPSA id t18sm10130941qkj.75.2021.05.09.15.15.05
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 09 May 2021 15:15:10 -0700 (PDT)
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
To: Gregory Heytings <gregory@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <618a480bbe37bb9057f9@HIDDEN>
 <999f8d7a-3c1b-bf72-dd15-472be09b8d34@HIDDEN>
 <618a480bbe312e9a2db9@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>
Message-ID: <24ec1bdc-b006-7ace-8320-8d45bb42daaa@HIDDEN>
Date: Sun, 9 May 2021 18:15:05 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <618a480bbe312e9a2db9@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 5/9/21 6:03 PM, Gregory Heytings wrote:
> 
>>
>> Yup, probably.
>>
> 
> Why "probably"?  Is something missing?

I'm not sure: I don't know if this is the right implementation, or if there's something subtly wrong about it.  It looks good to me (though it's missing a command to go back to the original size), but since there are many implementations that use different strategies I had concluded that there must be some subtlety.

>> The performance isn't great,
>>
> 
> Of course, if you need to recalculate all fonts and redisplay all frames, it takes some time.  But AFAICS the performance is similar to the one of, say, Chromium or Visual Studio when you press C-+ and C--.  The effect is not immediate.

There's something more subtle happening, because using text-scale-adjust is much faster, even on a frame with a single buffer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 9 May 2021 22:03:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 09 18:03:08 2021
Received: from localhost ([127.0.0.1]:56743 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lfrW0-0006ZM-AL
	for submit <at> debbugs.gnu.org; Sun, 09 May 2021 18:03:08 -0400
Received: from heytings.org ([95.142.160.155]:44588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lfrVy-0006ZE-Os
 for 48307 <at> debbugs.gnu.org; Sun, 09 May 2021 18:03:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1620597785;
 bh=ef9yQi6fQFc8nHpYC6Fy92jJYBixx3GTMVQTPbSyCBs=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=v9bXh4wxWokNmHlYjCbdyPMG1HaeMPVr9No7lWEOFjCs3hz6OPVfvfcnHQ5I9xrmU
 2WJ8duO3SwHYOr9gtjPDNB1JnMERb1LPZaWlvnHPb7KwmIvTx0sdl2bguMCbpULGP+
 2Vd1MibVaMipjmGNajv7h/woaFQ6HaQTEfplPuMZ/Zmlyj/6J9sE05sRa6JpyeJBCi
 n2ZnpvOf4hlsrLY8wo4xUYj+tswUhe4jxZ7el7X3ISrftMenEfSNR2XEcDRMLSakmC
 zyTBXcX169HhxCsJDzbdSfBmVzzR5+KK5Bd8Pb/gkY/CkWRBhhuHFYfKGNs3ExYyBr
 p1HHm6ZEGdsgw==
Date: Sun, 09 May 2021 22:03:04 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: =?UTF-8?Q?Cl=C3=A9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
In-Reply-To: <999f8d7a-3c1b-bf72-dd15-472be09b8d34@HIDDEN>
Message-ID: <618a480bbe312e9a2db9@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <618a480bbe37bb9057f9@HIDDEN>
 <999f8d7a-3c1b-bf72-dd15-472be09b8d34@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> Yup, probably.
>

Why "probably"?  Is something missing?

>
> The performance isn't great,
>

Of course, if you need to recalculate all fonts and redisplay all frames, 
it takes some time.  But AFAICS the performance is similar to the one of, 
say, Chromium or Visual Studio when you press C-+ and C--.  The effect is 
not immediate.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 9 May 2021 21:38:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 09 17:38:19 2021
Received: from localhost ([127.0.0.1]:56705 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lfr7z-0003mf-0Q
	for submit <at> debbugs.gnu.org; Sun, 09 May 2021 17:38:19 -0400
Received: from mail-qt1-f181.google.com ([209.85.160.181]:46900)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cpitclaudel@HIDDEN>) id 1lfr7w-0003mT-Vg
 for 48307 <at> debbugs.gnu.org; Sun, 09 May 2021 17:38:17 -0400
Received: by mail-qt1-f181.google.com with SMTP id p6so10615184qtk.13
 for <48307 <at> debbugs.gnu.org>; Sun, 09 May 2021 14:38:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:references:from:message-id:date:user-agent:mime-version
 :in-reply-to:content-language:content-transfer-encoding;
 bh=HHaGW8tRd3i2G+h1docvpbWpx14jea+X7PNm+6PuCC8=;
 b=rVrFREiZQB7Looj4gd3z869xVNH2afIs5PEmT2A5phwXS9/B8HUMtjJgrrq0h9fLDs
 9IbDmlo4bXMF9W9JUSG01je1FbqK4vLsx/XkpVNHzRPggfGUdXnkmhQ4qKR5j/88qmbo
 3lMMRIWBHgFSOoJpJGsHFHmMyJ35xHmhSrb+qiR/6UPMG15F295JNLC9IkzBqeT+Cex3
 boeyicn9o8M+4vEpwq5G0R3camd/mIL+RMQm7dCHAUV8c947gAq65unL7iUcdcb5ilst
 /yFaKW1kF9GaJjPhN50IElsxZzCrSFyghXNvlnWh5VPUZwArX+nDkH7Sy54Hp4bHpt9d
 wqtA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=HHaGW8tRd3i2G+h1docvpbWpx14jea+X7PNm+6PuCC8=;
 b=rcPKDWZchhGKcumveRSyHFt/SomjxPDB/ldKBc7hzW3O3/J5YGVAHNJ41zuKDHSlsD
 xTqXjX26pav+4U3rESQnJZpQZXJCtamOjfiscdNp97/XGwP2Q1YjGVNcEPPu/6Rtf++b
 OBzH/roiR1R7FRg2aEdS1lsnjj32ZtkKTDtwc9zQgN23I8ZNfgGSFYqODB1ihdiQXol/
 h6UK7qcHoUDtVpJA/KYE+DdYe2pjs9lNL8Jbzjm/2E4AfMHeQRcGZyDLu79/7OeGv5Ta
 OpIwvRCK3o6UvfEnZNyGRzNGar6/tNLe7Kf03IXSvukTiryvuVRdYmKozt19Vir5NJ6W
 VEZQ==
X-Gm-Message-State: AOAM530BzoNj1WOydZea+/1kj8awt4uVlDxvAntBA59gUr7LCV0VgBQv
 gkMsHgI6fupnmS5KeEd1Sbpcs3iDviE=
X-Google-Smtp-Source: ABdhPJwDEve+/bIvq+wKf7QJswtIWcZJBtQi2YFOjRwZSAnNGcfmsHz1T4cwPom+U84KsFoszEAlrg==
X-Received: by 2002:a05:622a:1756:: with SMTP id
 l22mr6963378qtk.367.1620596291307; 
 Sun, 09 May 2021 14:38:11 -0700 (PDT)
Received: from [192.168.1.11] (c-24-61-240-80.hsd1.ma.comcast.net.
 [24.61.240.80]) by smtp.googlemail.com with ESMTPSA id
 t203sm10072805qke.83.2021.05.09.14.38.10
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 09 May 2021 14:38:11 -0700 (PDT)
Subject: Re: [External] : bug#48307: Feature request: provide default
 keybindings to change the font size in all windows
To: Drew Adams <drew.adams@HIDDEN>,
 "48307 <at> debbugs.gnu.org" <48307 <at> debbugs.gnu.org>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <SA2PR10MB4474FC7564E76E1E7C49E35DF3559@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>
Message-ID: <8aeeef3b-7179-d157-ad5b-2589f8ea6c5d@HIDDEN>
Date: Sun, 9 May 2021 17:38:10 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <SA2PR10MB4474FC7564E76E1E7C49E35DF3559@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 5/9/21 11:58 AM, Drew Adams wrote:
> It doesn't really look like zoom-frm.el RE-implements this.

Sorry if the term RE-implementing ruffled feathers.  If zoom-frm works well and can be merged into Emacs, then it would fit the bill perfectly, I expect.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 9 May 2021 21:36:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 09 17:36:28 2021
Received: from localhost ([127.0.0.1]:56701 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lfr6C-0003jz-9s
	for submit <at> debbugs.gnu.org; Sun, 09 May 2021 17:36:28 -0400
Received: from mail-qk1-f180.google.com ([209.85.222.180]:43724)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cpitclaudel@HIDDEN>) id 1lfr69-0003ji-8g
 for 48307 <at> debbugs.gnu.org; Sun, 09 May 2021 17:36:27 -0400
Received: by mail-qk1-f180.google.com with SMTP id a22so13081678qkl.10
 for <48307 <at> debbugs.gnu.org>; Sun, 09 May 2021 14:36:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=gKOB6L8AjAL4F5CdmBsrPUb5MwfKodpthiDnwcVWKJ8=;
 b=YOjAbAQoIIhBWu2im17VJYNmjc3nOM19gD4x0cQv2s4Uu7V/AFA2JnCeWPJ1qfw5L+
 JiZ8LnbRADfHceFz3533FaHbUpvswvURFeBjdX9SjmRSrXBGjron+eizzaVWg5ZDEl/V
 H4ZeE7JocrDpQYQI8tHmq4bkSKn1C+6smv63dB0GtcbOgZbEd20cKuA7cAaVEfWp0PDh
 cne3PiF7/YgnM89bkWW9y1cXFAcZFV9RHVChQUDiVbfE7xjfCN7SJMBgdubDTz2WYT7I
 +/tCEf/aTYpXBWF4EV5a0mV/rIiUBGWJQXDWtTXcbttbka+smajRXXQfgpSayogcjBO5
 Gq4A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=gKOB6L8AjAL4F5CdmBsrPUb5MwfKodpthiDnwcVWKJ8=;
 b=lTVVzavN7NauFyYbpkRlHxRkATVI9Ch0XmY5emoOKE4ZYq447U4DA7+SS4VQGP1Vu/
 9Gkqthh95Yt0jgpHOMLWFlIxo8oQq0ImVC9ZNm9T/4nnzi04OF5qMkzlK3305NUz9mzO
 rrCLCrghLhWxH1PeUFDU27RQUAKJibUILCJMIAd6rC6ubT7xSekbqxQqm/Ex4knZNulz
 A9VRFINV7fuNfWKZfTm7Ae+WJ49TEqpu+6QARXvw4sIYZDzP35G9Q9m6C1AZFKCMd8el
 s357U3sYrDPF1V8B6aDtNzrekkcbRmHhSbffjHWIkKz4/+AtPb7JTktwKi7N4V5HPKgJ
 Ei6g==
X-Gm-Message-State: AOAM531187Y7Edzyz0CRbiUqKfJTVQMVQ13kRmUL+r718rzBLRc4N8b5
 NX+Jgam3sto6oDx8XcUexzmslNWSGgU=
X-Google-Smtp-Source: ABdhPJwVkjyfJ6fnO7eZqEyyvOSm4rpGFR1uq+JEmJiYy+YjCOHGzlUYLG+ogVI3KQFREiiO5Xcn3Q==
X-Received: by 2002:ae9:e845:: with SMTP id a66mr19141857qkg.313.1620596179499; 
 Sun, 09 May 2021 14:36:19 -0700 (PDT)
Received: from [192.168.1.11] (c-24-61-240-80.hsd1.ma.comcast.net.
 [24.61.240.80])
 by smtp.googlemail.com with ESMTPSA id y26sm10517108qtf.66.2021.05.09.14.36.18
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 09 May 2021 14:36:19 -0700 (PDT)
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
To: Gregory Heytings <gregory@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <618a480bbe37bb9057f9@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>
Message-ID: <999f8d7a-3c1b-bf72-dd15-472be09b8d34@HIDDEN>
Date: Sun, 9 May 2021 17:36:18 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <618a480bbe37bb9057f9@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 5/9/21 4:16 PM, Gregory Heytings wrote:
>> Not all the implementations are good, and it would be very nice if such a feature were available out of the box.
>>
> 
> Would the following do what you want?
> 
> (defun global-text-scale-adjust-do (increment)
>   (set-face-attribute 'default nil :height
>               (+ (face-attribute 'default :height) increment))
>   (message "Use + and - for further adjustment")
>   (set-transient-map
>    (let ((map (make-sparse-keymap)))
>      (define-key map (kbd "+") 'global-text-scale-adjust-increase)
>      (define-key map (kbd "-") 'global-text-scale-adjust-decrease)
>      map)))
> (defun global-text-scale-adjust-increase ()
>   (interactive)
>   (global-text-scale-adjust-do +5))
> (defun global-text-scale-adjust-decrease ()
>   (interactive)
>   (global-text-scale-adjust-do -5))
> (global-set-key (kbd "C-x M-+") 'global-text-scale-adjust-increase)
> (global-set-key (kbd "C-x M--") 'global-text-scale-adjust-decrease)

Yup, probably.  The performance isn't great, but that's more or less what I have in my .emacs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 9 May 2021 20:16:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 09 16:16:20 2021
Received: from localhost ([127.0.0.1]:56675 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lfpqe-0001sW-40
	for submit <at> debbugs.gnu.org; Sun, 09 May 2021 16:16:20 -0400
Received: from heytings.org ([95.142.160.155]:44508)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lfpqc-0001sN-6R
 for 48307 <at> debbugs.gnu.org; Sun, 09 May 2021 16:16:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1620591376;
 bh=BatfwxZ6o36V5HOUYOEgQ6cPppLY08YHerbqEVH7+88=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=U7gQd8lzYycMswwT5kw1gJzGjmq5ZGLKakb8aRioWrO/us9ynzBTMBS8fs/EGq629
 Q0lupEiM8Gq6hzzVkD4bsIzPKsFTI8zvrQss2oSGlT0r8IA6+qgKtjnQkVxCv7flEX
 Ad/G2mNgELUv1K7U5UNxZoSPE/wzqYQYqZVIM5sG6/PeWg+dO5ZSWUrZzRhKFWiboJ
 uE+7mrUYaHws3DW0ivkuXOG+Fu72rdso9l2PYEcAhvxcaVQSnMIMKA04CEbrqd3HDq
 ei8iGJBsAV/3PQ9mHMIaSfNGWaIXSl5U9n1kpWdua8OXI6lzQ7GUnCS5KuyWbdEqhj
 DngZUvg1hRwXA==
Date: Sun, 09 May 2021 20:16:16 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: =?UTF-8?Q?Cl=C3=A9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
In-Reply-To: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
Message-ID: <618a480bbe37bb9057f9@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> Not all the implementations are good, and it would be very nice if such 
> a feature were available out of the box.
>

Would the following do what you want?

(defun global-text-scale-adjust-do (increment)
   (set-face-attribute 'default nil :height
 		      (+ (face-attribute 'default :height) increment))
   (message "Use + and - for further adjustment")
   (set-transient-map
    (let ((map (make-sparse-keymap)))
      (define-key map (kbd "+") 'global-text-scale-adjust-increase)
      (define-key map (kbd "-") 'global-text-scale-adjust-decrease)
      map)))
(defun global-text-scale-adjust-increase ()
   (interactive)
   (global-text-scale-adjust-do +5))
(defun global-text-scale-adjust-decrease ()
   (interactive)
   (global-text-scale-adjust-do -5))
(global-set-key (kbd "C-x M-+") 'global-text-scale-adjust-increase)
(global-set-key (kbd "C-x M--") 'global-text-scale-adjust-decrease)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 9 May 2021 16:58:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 09 12:58:57 2021
Received: from localhost ([127.0.0.1]:56300 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lfmld-0003m7-MS
	for submit <at> debbugs.gnu.org; Sun, 09 May 2021 12:58:57 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49454)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lfmla-0003m1-Aq
 for 48307 <at> debbugs.gnu.org; Sun, 09 May 2021 12:58:56 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38022)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lfmlU-000293-PO; Sun, 09 May 2021 12:58:48 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3338
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1lfmlT-0002m8-6J; Sun, 09 May 2021 12:58:48 -0400
Date: Sun, 09 May 2021 19:58:50 +0300
Message-Id: <83tunb7sj9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-Reply-To: <SA2PR10MB4474A9300FCB942EA4E93B4EF3559@HIDDEN>
 (message from Drew Adams on Sun, 9 May 2021 16:39:33 +0000)
Subject: Re: [External] : bug#48307: Feature request: provide default
 keybindings to change the font size in all windows
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <83h7jc8gep.fsf@HIDDEN> <7a86c15a-cc21-6df8-f1fa-c0359ce25c27@HIDDEN>
 <8335uv99fw.fsf@HIDDEN> 
 <SA2PR10MB4474A9300FCB942EA4E93B4EF3559@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48307
Cc: cpitclaudel@HIDDEN, 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Drew Adams <drew.adams@HIDDEN>
> CC: "48307 <at> debbugs.gnu.org" <48307 <at> debbugs.gnu.org>
> Date: Sun, 9 May 2021 16:39:33 +0000
> 
> > > I hear "how do I resize the font in Emacs again?"
> > > more than once a week these days ^^).
> > 
> > Why not point them to Options->Set Default Font menu item?  That does
> > almost everything you asked for in your answer to my questions.  In
> > fact, given that we already have that menu item, it could be argued we
> > already have the feature implemented.
> 
> For only that use case, that suffices, indeed.
> 
> But this enhancement request is about _incrementally_
> zooming (I think); that is, the kind of thing you do
> with `C-x (+|-)'.

When you click on that menu item, Emacs pops up a GUI font selection
dialog, where you can increase or decrease the font size.  So if the
font you selected doesn't fit, you can do the same again and pick up a
different size.

IOW, no one said that this has to be done with a key sequence that has
"+" or "-" as its part.

Of course writing a wrapper for that command whcih is bound to mouse
wheel with some modifier should be trivial if that's the main issue
here; patches welcome.  I thought the request was for a non-existing
feature, so I pointed out that it already exists.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 9 May 2021 16:39:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 09 12:39:44 2021
Received: from localhost ([127.0.0.1]:56180 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lfmT2-0001Oq-J1
	for submit <at> debbugs.gnu.org; Sun, 09 May 2021 12:39:44 -0400
Received: from aserp2120.oracle.com ([141.146.126.78]:44792)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lfmSz-0001Oi-NR
 for 48307 <at> debbugs.gnu.org; Sun, 09 May 2021 12:39:43 -0400
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 149Ga6eZ051876;
 Sun, 9 May 2021 16:39:35 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=EfqGVhgcBXVkZAGRwXtlINf1n7azgMFkwdxT9JZVMuw=;
 b=V3/ppAZyaSuM/XapbmV86mwEFS99kHcXFi6SEHUgDjb4OZJMeFYLgKEdLesdJeameNEN
 DrPbQTvE2c48fnkPFcE6610J7azTDz+Q6ygNB5xZz2jhdAi+4YuKOWUN+4nJ1EY0TCOA
 xaq7GAOcO/EPUNMkujPqf/mXEu0cy9ctCADsW8KUjyN+P3dho9WRC753rEz9NyZhw/Wg
 Eh6MUir7T4mhWazVUOfhFa9n9kxCPWq0jcsg7/vvPISDnzJgEi6cg0lbMzP8imMfuEFH
 pU5iMUuQpYpqvNXppABK8JUrIc4oaQUomCz5gFH2qgVBztt+YNhP8jkzhCMkDfTFP4/E qA== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by aserp2120.oracle.com with ESMTP id 38djkm9dbd-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 09 May 2021 16:39:35 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 149GZgCs093109;
 Sun, 9 May 2021 16:39:35 GMT
Received: from nam12-dm6-obe.outbound.protection.outlook.com
 (mail-dm6nam12lp2169.outbound.protection.outlook.com [104.47.59.169])
 by aserp3030.oracle.com with ESMTP id 38e5psw91e-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 09 May 2021 16:39:35 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=f1YneeFCfWmXFtLYHO2Qi5GOQaZk7AsyLxcrFhfpXkk+2ulP88G6m/nWl4T7X9Icwe5O30PgtqT64SfHvNW2iRu1mKzly/DueIdB6nojdRcZzsznCUJ+SjcrmZoflwh4M5gWH42adPKCDwFa5GWjAxwwz6Np3gfLkWcQlZhBPlZkHukAhijTmetmxIuoXwhcBGv8fTX2F10EGhH/kukrvwyodfLs+9LxFWRscQ7A7hN6JvBiBlfM6hjKsr75vcXh2byTUC6z8R4/5stUHRclPoondVxhIHWloolpstW4F4Zv52HMxTWbo+l30zSc1OTn2sOWd0amfgSKj0bd5ylU3w==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=EfqGVhgcBXVkZAGRwXtlINf1n7azgMFkwdxT9JZVMuw=;
 b=a/YBDmJLOpbBS53dv5wLjBkE1mxef1yT3lu0L4qjtgSf4nZ0Wm2CugbdhzGsA8bObAFkVAmfvSW6OxNdaeXFtRuXm927bVSvTrCYZXeS3sx8msAlBgub/b0r3Xsp+NEXAMt74pJZkBDMv9Pzo9LwjHWkTZXxKW+H+sg3DFmcwE0KMMXyiNn3UeSMgL1hJeOuYWSQHR2OZ/eGa1KAOMaczrpAiMU/H3e2yPDWgwOvBPMUw7o1yNCCqU+iiE8FHANr13EbBXgHJdZ7CVo/5pU7PY7nkHJM/pl5cJ0twHcNBReeReGbd4YnREZjQsK4HM5Wsf2hPfGrkOq8GtkBixGThw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=EfqGVhgcBXVkZAGRwXtlINf1n7azgMFkwdxT9JZVMuw=;
 b=Lin0XVAFalRdD+cU/zVJiEgw0eIlqOs5nVNaDb7m4uOUF79NHr+XzAvt4k45rFP/ejv0ipRRxjeEKdSIm4m92lO6PNxP561obGCAiJuI4msGjc+bbgcnDPvAJfFLxxK0+jMjGc0WlL2IGJfYL1gJf5nxplnDFRQPMGQU0UX8Du4=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SA2PR10MB4507.namprd10.prod.outlook.com (2603:10b6:806:119::22)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4108.26; Sun, 9 May
 2021 16:39:33 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494%6]) with mapi id 15.20.4087.049; Sun, 9 May 2021
 16:39:33 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, =?utf-8?B?Q2zDqW1lbnQgUGl0LUNsYXVkZWw=?=
 <cpitclaudel@HIDDEN>
Subject: RE: [External] : bug#48307: Feature request: provide default
 keybindings to change the font size in all windows
Thread-Topic: [External] : bug#48307: Feature request: provide default
 keybindings to change the font size in all windows
Thread-Index: AQHXRO2G0OuDR7DqEkKfSUE8eaNRQ6rbV51Q
Date: Sun, 9 May 2021 16:39:33 +0000
Message-ID: <SA2PR10MB4474A9300FCB942EA4E93B4EF3559@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <83h7jc8gep.fsf@HIDDEN> <7a86c15a-cc21-6df8-f1fa-c0359ce25c27@HIDDEN>
 <8335uv99fw.fsf@HIDDEN>
In-Reply-To: <8335uv99fw.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gnu.org; dkim=none (message not signed)
 header.d=none;gnu.org; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: a6e8359d-193c-4d4f-4b8c-08d91309069b
x-ms-traffictypediagnostic: SA2PR10MB4507:
x-microsoft-antispam-prvs: <SA2PR10MB4507763FB9348656661C0BFFF3559@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:8882;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: 9erBRbSFvbGOap/XtKtcoBevuD4IRYtr4ccSxwTVgHw3UpdftQtrlckfuvYjLn226QxS1DjNDZT5dcI9udMDWuJ2PnutV4+vIaePAajexH5q4hbATVHWS8Xoe1A8HRY/rMMeQDNRv1WbjB8B60ixPaRk5E/S3DJB5UsSp8s1kidBL2RKDI30jGOjEd1O2901n6C1u9TlBxxI2HBBP4rZ2IS+fIUZKElxilmWn38vxrISsOydexnAyvtn4Ru8PHOoTYJ9EOOX9T/MU21j36I9i+zZkXaj5FE2zr1BIwmpIvbIuh3aKa4GNzzARDiBYJhia/9qd6p938NMCq5VcSNIIuHctDOh5xSuF2JKWvWW342UiB30kAv/W90ZF5NGkQYBPvtQBplufWNJbSwpmTZii93NJ/FVa1s0hQn5IME37tGbx6n2hEY7Sdqsus6ff21VqOCHc5oK956jRBdRXwrZwjNF7z3fCVfLjWnZy2bw5VPiLSbXBvcbACHlovFw1e9lGz36ZHaQHX2DIQy415hK7AVPOJUXAU5jSszi3LgjRosvHv27rBeafV3wp+OV/JmxG2uxAhS4+VEHVahu2HgnKHJVVG99frDimFOFeLPM4zM=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(366004)(396003)(346002)(136003)(376002)(39860400002)(4744005)(26005)(186003)(4326008)(122000001)(8936002)(110136005)(316002)(38100700002)(44832011)(55016002)(83380400001)(52536014)(66446008)(66946007)(64756008)(2906002)(66476007)(66556008)(71200400001)(86362001)(76116006)(6506007)(478600001)(66574015)(9686003)(7696005)(33656002)(8676002)(5660300002);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?utf-8?B?ODQxanhCMSs4ZDJiR2I2ODVaRXdiV01UOUN1WDA3dzM2ek8vRFJXMDNhbEwz?=
 =?utf-8?B?ZHh5YVBWRHhtQVBTR3IwY3JpTjhwSGFiSzlRem9QcmprWnRtdHpYWGxkM0lw?=
 =?utf-8?B?RE9TV2U2Y3dSTDU5c3NvekRVYjQrbTcvd1VVSTFUazBwMXVSaEY3bUpvaHJs?=
 =?utf-8?B?WWF0L09zMUdwcmZucUV2cndKMnF5WWw0bU1wbFMyTXJSVXVPTlBkRSthd3VY?=
 =?utf-8?B?V3ArMU5DbTNkaFRCTEhneFo0MzBiZ1UxMFpIZ0MraGM2WHQxWFJjM05ib05x?=
 =?utf-8?B?N2dTQ0p1RktUQWZtZDlCbXRUaEtHbFRINDhIbTJoVFhyUkJwV3dkaEwvS2Jv?=
 =?utf-8?B?dWtrZStvNTVIdDdWWU1zeU9IL0tSazBuWHN0M3R1cWtteEtWaTB6RGZmckpQ?=
 =?utf-8?B?eGNSUXgxdUx5TUFwdjBHZGI2a0xwVTBKWEdoWGI4UmRoWEZ2cTlNSlZITXdn?=
 =?utf-8?B?L0lnckU5cGh1VjA5OHB6dnRSRVVEOTVidUJpeVBzcURGclBueStlcHdrd2NC?=
 =?utf-8?B?Vmp5eXZnSlo0cHJPVE92cDI4KzFDamdzbXdjd0ZvTTRhR01DSDJOeEJBb3Av?=
 =?utf-8?B?S2NYWjRlb3FMcTFoZmpyUEZ2RmxvbEVsSmVjMFJPbmZPMG1RckJlSEV3L1Zt?=
 =?utf-8?B?TDlBR0hKb3ZreFFLMjNtUkFTYVhHS2xxdjU3S3IzZVpoWjFPd1lTUlhWQ1VG?=
 =?utf-8?B?b0pFSllWVHkxTWFmb3NwL2IxS0FDSW5EWThYMXIySDRzYUx4WWhDTkszaDRq?=
 =?utf-8?B?bmZLSXJwZWdoTzJoWWxEUENVc1k3Q3NkS2haYjEwdzF2VFhMRkZvdy85aXB5?=
 =?utf-8?B?bnYyN0ZVSDFCOVBHQXdpa0twdXBKRWlUZ1p5ejRySGR6ejR0T1cvalZrR3cr?=
 =?utf-8?B?YkMxZitMVUdmYXo2NWNJa2M4SmNvZDU1YkxGTkExdTZMemtjODJycmRJam9P?=
 =?utf-8?B?cE1VaWhQcVc5a1NYclZFeVc2RXVZK1VUV1pzMTlWQzlyTEcvT1JpWTJIckgz?=
 =?utf-8?B?dk5NQytHWnZDNUEwV1RZUkh1VG0rQUNxb2V0MHk5QU5NWUZ0T3pLY3Y1aEVZ?=
 =?utf-8?B?dkRnL2JxcWovN1l4aXJ6RHJJYWJoMlRPNzZOeDFZQ1g0ajRpNUxYYmxmVG1E?=
 =?utf-8?B?UWhJZmM5Y1I0QUJIN1dDRXRyMlNHb2V2cy9NZ2pFVXkwS1lFQ2xXUU1DazlO?=
 =?utf-8?B?cERaYkpNbFRTYldzVUl1b2JkM1NpWXVVQjQzYm1RVFV1QXpNaTFGL0dhNmMx?=
 =?utf-8?B?R09UaFNOSGs3VDMxbFVqQzRRd1BvUm5vak9nU3JHMWFlVEVKa29vUG1uOWVS?=
 =?utf-8?B?ZzNzd093cGE2TG9PRWpta3dmamFkeUE4dnJGZmtRVXlsRkM4ekJzRy93RDJz?=
 =?utf-8?B?Q2MwdWVJWVd4T29aMTZWcitLNUYrclJNMlBNanB3Sm40Mm05aHRDR2U2b3J6?=
 =?utf-8?B?c09qTEhyb3hHaWpGeG9VNkYzcGVCTkpzQjk0MTJqSUdWSFZmeGxHeVFDOEs0?=
 =?utf-8?B?SWNXUGpEMGl5WnMxQ3VNZThETTViSTM3cElta1BTVys5RTkxaTF4YXZQWlYw?=
 =?utf-8?B?SnB1RTVKUE5ueVlWZGFnQWo1OTAwc1A2Z1BGN28zZndvOVZlYnlQODgyeHF2?=
 =?utf-8?B?YytzZVUvdGhSeVZWRld4cmdSdEl6WXVNK29DdkJZQmZBWFJxcWFKRFEvWnU0?=
 =?utf-8?B?U0RlbUcwY0Vmc3NrVnZaUHovOHlTWHhLQnp2ZFFDaWhpTUlKbHFLV2V4eGdy?=
 =?utf-8?Q?rDWgTr1yxI8iMuuywg=3D?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: a6e8359d-193c-4d4f-4b8c-08d91309069b
X-MS-Exchange-CrossTenant-originalarrivaltime: 09 May 2021 16:39:33.5861 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: uTVrSM87V6uwkhO/qk3XAz8vmMBE514Jjc0eAsh9zfor/dFNFDkQGLWV+f8dbV0A/ggb+xXeUjY649sKh20iSg==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SA2PR10MB4507
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9979
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 phishscore=0
 malwarescore=0 spamscore=0
 mlxscore=0 adultscore=0 mlxlogscore=920 bulkscore=0 suspectscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2104190000
 definitions=main-2105090124
X-Proofpoint-GUID: pHLwj5ZOFTG-HPd7vwjMTMXYWM0uAtEP
X-Proofpoint-ORIG-GUID: pHLwj5ZOFTG-HPd7vwjMTMXYWM0uAtEP
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9979
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 malwarescore=0
 priorityscore=1501
 suspectscore=0 clxscore=1015 bulkscore=0 adultscore=0 impostorscore=0
 spamscore=0 phishscore=0 mlxlogscore=999 mlxscore=0 lowpriorityscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2104190000
 definitions=main-2105090124
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 48307
Cc: "48307 <at> debbugs.gnu.org" <48307 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

PiA+IEkgaGVhciAiaG93IGRvIEkgcmVzaXplIHRoZSBmb250IGluIEVtYWNzIGFnYWluPyINCj4g
PiBtb3JlIHRoYW4gb25jZSBhIHdlZWsgdGhlc2UgZGF5cyBeXikuDQo+IA0KPiBXaHkgbm90IHBv
aW50IHRoZW0gdG8gT3B0aW9ucy0+U2V0IERlZmF1bHQgRm9udCBtZW51IGl0ZW0/ICBUaGF0IGRv
ZXMNCj4gYWxtb3N0IGV2ZXJ5dGhpbmcgeW91IGFza2VkIGZvciBpbiB5b3VyIGFuc3dlciB0byBt
eSBxdWVzdGlvbnMuICBJbg0KPiBmYWN0LCBnaXZlbiB0aGF0IHdlIGFscmVhZHkgaGF2ZSB0aGF0
IG1lbnUgaXRlbSwgaXQgY291bGQgYmUgYXJndWVkIHdlDQo+IGFscmVhZHkgaGF2ZSB0aGUgZmVh
dHVyZSBpbXBsZW1lbnRlZC4NCg0KRm9yIG9ubHkgdGhhdCB1c2UgY2FzZSwgdGhhdCBzdWZmaWNl
cywgaW5kZWVkLg0KDQpCdXQgdGhpcyBlbmhhbmNlbWVudCByZXF1ZXN0IGlzIGFib3V0IF9pbmNy
ZW1lbnRhbGx5Xw0Kem9vbWluZyAoSSB0aGluayk7IHRoYXQgaXMsIHRoZSBraW5kIG9mIHRoaW5n
IHlvdSBkbw0Kd2l0aCBgQy14ICgrfC0pJy4NCg0KVXNlcnMgb2Ygb3RoZXIgYXBwcywgZXNwZWNp
YWxseSBicm93c2VycywgYXJlIHVzZWQgdG8NCnVzaW5nLCBzYXksIGBDLSgrLSknIG9yIGBDLXdo
ZWVsLSh1cHxkb3duKScgdG8gem9vbQ0KdGhlIGJyb3dzZXIgd2luZG93Lg0KDQooWW91IGNhbiBh
bHNvIGEgbW91c2Ugd2hlZWwgZm9yIGZyYW1lIHpvb21pbmcgd2l0aA0Kem9vbS1mcm0uZWwuICBJ
IHVzZSB0aGF0IG1vc3Qgb2YgdGhlIHRpbWUsIG5vdA0KYEMteCAoK3wtKScuKQ0KDQo=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 9 May 2021 16:30:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 09 12:30:35 2021
Received: from localhost ([127.0.0.1]:56143 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lfmKB-0001LN-J8
	for submit <at> debbugs.gnu.org; Sun, 09 May 2021 12:30:35 -0400
Received: from userp2120.oracle.com ([156.151.31.85]:46466)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lfmK9-0001LH-LI
 for 48307 <at> debbugs.gnu.org; Sun, 09 May 2021 12:30:34 -0400
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 149GSqpn157453;
 Sun, 9 May 2021 16:30:27 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=RD8bpycmDQi96lhFGi9sWLdTcAkh8JibFLkjXe5BALU=;
 b=P/z+i1xshnpgkRYACPmnxM+Vp11DtPitVo30x/WM6OpkLXMSq9R1jkk+wKfGoMlb6wjZ
 TMnTykokCG0+vnlpaNxEbBlZDWhqCcDgo+fUqlPnirbw2sXD67BburkMRRM137OhffV9
 RqimiKTrtAILKHensb1yM+HuoD+f1MZL+2CTPonkAMcGJjlPOR41Q/RWg9sEr2s4FPEt
 iM8daGO+KXfjVjpQx4fYAVcYATVTbAbmE3ZbkCMM1RE1fKbY6tlL+04yehFkoen0OYXW
 wwy8YSAKhWKReVaCoir0QmKcZrAleafwzx7y50DhY42oKRZxDAfB0p3AjA/UbgjSOo88 OQ== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by userp2120.oracle.com with ESMTP id 38dk9n9cud-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 09 May 2021 16:30:27 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 149GQW1Q139940;
 Sun, 9 May 2021 16:30:26 GMT
Received: from nam11-bn8-obe.outbound.protection.outlook.com
 (mail-bn8nam11lp2176.outbound.protection.outlook.com [104.47.58.176])
 by aserp3020.oracle.com with ESMTP id 38djf4e9p4-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 09 May 2021 16:30:26 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=jFbxFMPqAVmik4GRep4Zii7iF1bcLnSM7NiGTBfzQvHddw6q5cXClmBocKU9uyUW54QybNDM/PPCiipdRy3zXFI35X/TE+PyE/oYQLg+xSa2pQi+v+zeaFLWLDM8BjnE+e7nrAeWUm15jIm1TVbQrxcclTQA37BESsBN4fSdOqKjnK0xRNg5I49zgwM3NpXmKNsP5qfgBy+ASUd2K3QlDREduxiZUv1hvCN5jGq4RbHCt+vI4xEOZmyrkTz3GxxYZgwkv+2lUETehTCVFC6mRnF2tdb3kzYEgrCJf3L4txK7lgx4gZai3Y29dE3h98ys6zUeILzPtDKhl90DO387oQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=RD8bpycmDQi96lhFGi9sWLdTcAkh8JibFLkjXe5BALU=;
 b=TVGP8fHvpMzL7yhcX2bhZRprvupVTohB+n1OkvhIUVahMSw4dC5t9e7rgEpgjtS7PiQtD9S9E8C3lpf0Evt6yUiCivb+k/+rpTh1ij9U2DYditW+AKGxLrA4NeG7VXIshGlVxZdtcquZVjxS37GewY3RmYtI9Uav95u9hxVbS7CsxMoeK8+S8c3Xvb7Y7491OtlBvJf+IAv4IWzvybD0fYSo1vwjBhSeSyiOzhbOaugM37TaSyXJaS2DFTy59YSyWKkN7B911BM9Tp02s5IFFmKofnjLwKahnFmp0hUmNFIKmTpsR+Jl0vkKaiB5caKYsSkzfD+5+I9h2n9ExOalbw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=RD8bpycmDQi96lhFGi9sWLdTcAkh8JibFLkjXe5BALU=;
 b=ApbpICq+YAANy4Gk6Gpzk+47DkzQx/0xOGYlA2NlyrVNFKiQshWp+D8DiJFT1ZnSzsQj9oFjp/z02Cs70MWMyNiJKnzwR4CnEleKC8aJePzUvgfHwwNiSeb2AgcLGufHlVTpdsMitNixhwfYeqWLdwGORAhpdwoB6BXgTx0Slqo=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SN6PR10MB2590.namprd10.prod.outlook.com (2603:10b6:805:45::15)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4108.25; Sun, 9 May
 2021 16:30:24 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494%6]) with mapi id 15.20.4087.049; Sun, 9 May 2021
 16:30:24 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: =?utf-8?B?Q2zDqW1lbnQgUGl0LUNsYXVkZWw=?= <cpitclaudel@HIDDEN>, Eli
 Zaretskii <eliz@HIDDEN>
Subject: RE: [External] : bug#48307: Feature request: provide default
 keybindings to change the font size in all windows
Thread-Topic: [External] : bug#48307: Feature request: provide default
 keybindings to change the font size in all windows
Thread-Index: AQHXROhy0OuDR7DqEkKfSUE8eaNRQ6rbUN2w
Date: Sun, 9 May 2021 16:30:24 +0000
Message-ID: <SA2PR10MB4474704307B07F6E01FCC4C0F3559@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <83h7jc8gep.fsf@HIDDEN> <7a86c15a-cc21-6df8-f1fa-c0359ce25c27@HIDDEN>
In-Reply-To: <7a86c15a-cc21-6df8-f1fa-c0359ce25c27@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gmail.com; dkim=none (message not signed)
 header.d=none;gmail.com; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 05fec9fc-de94-44f7-6d59-08d91307bf73
x-ms-traffictypediagnostic: SN6PR10MB2590:
x-microsoft-antispam-prvs: <SN6PR10MB259043B0E426FA2F2DFFD91EF3559@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:7691;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: YKXzqCnJXRKAOyW35iOu3eg6GdOZ2qZHFhQi+lzK5rzcxL2X8JYmlYuJhUB4R8uo6HxdLIKKo1tmSV0ksmS66DfXw5gASMDMU8lJ+oIQFBnsWMvCzKbkAYmmLerQ5NQ1nPLcf+xgjtn79CCS1Qmxdd1nw+dJxeLMsk7UrKwPkKbG9QqGKbZBTfQwEZ0Ct/hInfipGpqWpy90Y2aRArUyH6I3Ar8Bjk1QUTVDV20d+T7fM4515HHbKLgDiSdvoVQck1jsrXJ/gzQtqXP21S4BCio6BWZEB/3jL5EUoC6h5mDCVTdbaCfn0R7AGWPBqYAaPv69i+qHUdccw6cdQiRDhMZBf2Whjxn2HxGW5E8nUCCk/mWystpCBe7gwIeQECmJo8Ba+j1D9ca3KLwJ+KOv3VY5ld3RLbIFZJ6mmif5wv1Ga16vd8/0GFa4ESvdvaaw2biV6+H0vDL3V+QdDOuSy76ZOHFjgkYF5Vk4D1Qy/Ve6KXWYmnpGNdlWgH28CeZ1M2NrYy+rBU3Fqu/4yEwy+m3uA+tF/rccXaxToqRmDgtLgTgMFeHZ/5MqA8XgRHTMlQKdwg2gKz8p+qsEC94yaiWVfF8Fiqoiff7cRZ0iqNY=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(376002)(136003)(346002)(39860400002)(366004)(396003)(186003)(2906002)(52536014)(76116006)(86362001)(110136005)(8676002)(66946007)(66446008)(9686003)(55016002)(64756008)(4326008)(316002)(5660300002)(66476007)(66556008)(44832011)(71200400001)(122000001)(33656002)(38100700002)(7696005)(478600001)(6506007)(26005)(8936002);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?utf-8?B?QjFoZ2daNmw5cENITERqU2xlZ05Xdkx0djBQU1ZhcUFDTVJGSkU2ZUlMT01F?=
 =?utf-8?B?ellzdHZJM1lleXBQMklVVzh6ZjhGMmViRGRLOXhYb1owL1ZHRnA0VE83OGNC?=
 =?utf-8?B?S2U2T1NUYkJmeXBqZHozVjVqK3ZWZUYydUNMWlprWjZUZi9oNXV2UUlkYS96?=
 =?utf-8?B?NnN2RzdJZCtlY280aGlEWVVaaHpyelRFelpwbXZHbVRDQ2tQemN3cWxUdkk3?=
 =?utf-8?B?MnJ3eXdkRlY3T2dUSXBEZG5wdkhaaUt5WlVISjYwV1BuOVVMMjdJeWxuanhC?=
 =?utf-8?B?T3FxSmVrNmxmSmlnQ3VmUWNkelNVN1l4K3R1RmozQzRaUUkwazE5a0lyR0dx?=
 =?utf-8?B?MmxGdFRvSkx2NTJHWWh3Mm9sUGZVdDdGdDhCY3E4YmhSMFN1MGxXNThDNXVC?=
 =?utf-8?B?YWw2UUFaOWFrTkZVbkJIbk9Zam9xZmNOUVBkN3RzdXlEaDZPbFR0alQxQWtO?=
 =?utf-8?B?TUh6aThlODBxKy85dm1rSU9sVlc3ME1UL3BSUXRGMzEwS2lDT1VsclprTEp1?=
 =?utf-8?B?U1lPcUNOZWUyOU5IbG04bURYSjc3MGNJZ3lmYXRBZ1VZOGJ0MDltM2E5dmE2?=
 =?utf-8?B?cGliekdwVG1kMXMzVnBVQTV4YUk1OW5lSTB6cVpkc3JTdkNaSWovNGZ5bEgr?=
 =?utf-8?B?K1hERGFlSmh0RmlZeTk5TGt1dHNLeEFBRHBkT0hkYVJEaGxUcHV3UXg5RFhV?=
 =?utf-8?B?a1FZQ1VUN3pNcmh2ci9tcnlocGNOL0Y2dUU1SmpVQmJxaTVZeGEyQ21DUkRO?=
 =?utf-8?B?YzdZb2JBQ0NMRStMTUE0YVl4R01kdE9PQWR2cHlrZTFBbXFTVllaajBKRGdz?=
 =?utf-8?B?T3R0ckNPQy90NXluUnI4b0JUVWhFcE16QlpiYTNFTGNJNnBhY3BZQWNLMExi?=
 =?utf-8?B?Z0E5aE9Cb1l1THozZHVta09aR2kzelBUaXNVaUx3cS8xTVNpS1NIcTVWYzhi?=
 =?utf-8?B?RHRKYkovNnZLYWNrSm41ZUpGRWFEbDJBZjE2VWpDS1M5K2dQOFB6SmY0alg1?=
 =?utf-8?B?TjRpRm9ZMGp5U1BOLzNoWk9Xcldxd3RKNXBYaVJUeWhGOGh4SjEzRkxGZEJU?=
 =?utf-8?B?VHBnMUxDejQzUHhkNHA1eVZSUTlSUlpGbmEzR212YkN0TU9wRWJnT0I3L1Vo?=
 =?utf-8?B?RzFlRmc1YnpscGVJKzV0SEQ1N01NWXhKS1g5aHdlRkdIb2szQ3dwK202QlVo?=
 =?utf-8?B?cTY2VEJUbjNMMUU2b01lUSsyTTNnbXRzanhFNnZpODI0d0gxa1JJMnpCZ2F2?=
 =?utf-8?B?aFBFWkxCVVQ2UWtLMjhEUFFObGdWUVpneTRHRmMydllCclhSQlVyYi9ETW92?=
 =?utf-8?B?bFF4UEY5RzA3djFza3JFNGhXS0dBL2lQUTF4ejdHdkMrQTI2YWRpSVpIcUFk?=
 =?utf-8?B?dHNkWDZrclpZMldXTm5lL0VSMXpQS3ZRM1lDUUNUSWgvY2UxYVJXL0tuNkpz?=
 =?utf-8?B?SGxjMWV1b3UvaTNjbTJEaS9OTGRjbkU0bmxWOTZ0YlROTjBNN1F4aTE5dTVS?=
 =?utf-8?B?VUd3eWVwMmhOb01QdTVvQVpFeUQ4U1lFcVJQeVlkZlFZb3lQemljakhzRmFT?=
 =?utf-8?B?bFBBbDJYN3NzZHlLZkhNN0xONzBxdXhpT0tyR0hHWDNLRkRkc2FsLzNQV2tX?=
 =?utf-8?B?NXVBZXpORUVpN0FsZWhjZzNuWW1KNWswMCtXeURKVkc2eklRYXlQUEQrZm1Z?=
 =?utf-8?B?V1NZWkg4ZlRCVHlmTkE3aVRxdWgxOTg5bVJVb2gwN0czL0owZVpBVllGbXla?=
 =?utf-8?Q?8PiVip00fuT6qnpt7w=3D?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 05fec9fc-de94-44f7-6d59-08d91307bf73
X-MS-Exchange-CrossTenant-originalarrivaltime: 09 May 2021 16:30:24.7108 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: fKx3cjIzzCeLTsrXM71ue6OEYNN0JWHpWqq2jelTB2IYchSpM8uEJA9s7L/bvjE4L3QYxRES/puWtmH8rbL16A==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN6PR10MB2590
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9979
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 bulkscore=0
 spamscore=0 mlxlogscore=999
 adultscore=0 phishscore=0 mlxscore=0 suspectscore=0 malwarescore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2104190000
 definitions=main-2105090123
X-Proofpoint-ORIG-GUID: F_ZFzGBx-HgL9Y7ZUGzGZo415IGxvmIg
X-Proofpoint-GUID: F_ZFzGBx-HgL9Y7ZUGzGZo415IGxvmIg
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9979
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 phishscore=0
 adultscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 lowpriorityscore=0
 malwarescore=0 priorityscore=1501 clxscore=1015 bulkscore=0 spamscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2104190000
 definitions=main-2105090123
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48307
Cc: "48307 <at> debbugs.gnu.org" <48307 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)
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Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 9 May 2021 16:08:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 09 12:08:27 2021
Received: from localhost ([127.0.0.1]:56052 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lflyl-00019G-G3
	for submit <at> debbugs.gnu.org; Sun, 09 May 2021 12:08:27 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41248)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lflyi-00019A-6G
 for 48307 <at> debbugs.gnu.org; Sun, 09 May 2021 12:08:25 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36700)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lflyd-00039q-0j; Sun, 09 May 2021 12:08:19 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4194
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1lflyc-0007at-LY; Sun, 09 May 2021 12:08:18 -0400
Date: Sun, 09 May 2021 19:08:19 +0300
Message-Id: <8335uv99fw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?Q?Cl=C3=A9ment?= Pit-Claudel <cpitclaudel@HIDDEN>
In-Reply-To: <7a86c15a-cc21-6df8-f1fa-c0359ce25c27@HIDDEN> (message from
 =?utf-8?Q?Cl=C3=A9ment?= Pit-Claudel on Sun, 9 May 2021 11:31:57 -0400)
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <83h7jc8gep.fsf@HIDDEN> <7a86c15a-cc21-6df8-f1fa-c0359ce25c27@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48307
Cc: 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 48307 <at> debbugs.gnu.org
> From: Clément Pit-Claudel <cpitclaudel@HIDDEN>
> Date: Sun, 9 May 2021 11:31:57 -0400
> 
> Indeed, although starting with an implementation and refining it over time could be good, too (to some extent I think the specifics matter less than having something available).  For example, just including any one of the short implementations into Emacs by default would work to solve the concrete issue that I'm talking about (with the pandemic we do screen-sharing all the time, and I hear "how do I resize the font in Emacs again?" more than once a week these days ^^).

Why not point them to Options->Set Default Font menu item?  That does
almost everything you asked for in your answer to my questions.  In
fact, given that we already have that menu item, it could be argued we
already have the feature implemented.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 9 May 2021 16:05:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 09 12:05:28 2021
Received: from localhost ([127.0.0.1]:56032 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lflvr-000174-RC
	for submit <at> debbugs.gnu.org; Sun, 09 May 2021 12:05:28 -0400
Received: from userp2130.oracle.com ([156.151.31.86]:52980)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lflvo-00016w-2U
 for 48307 <at> debbugs.gnu.org; Sun, 09 May 2021 12:05:26 -0400
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 149G0vRG013155;
 Sun, 9 May 2021 16:05:17 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : subject :
 date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=l8k5n/jcxRtmtW0hWgUPFa0jiZA7p4esqSysjNZMBsI=;
 b=I+MeiA/yFBfVWgJSY3YdvTaqDFu+OdCXOPtGiNDKBCS7cnByAiwuJiOpH6d0MzhIVMYA
 UXRo9skzJT9jQLsTjfB0jnOF6KbD40G6Gf7nIzMKFdKwrafTkV0Y4ejLNEeGyfu6DfRc
 iaExWBO5nX3sGgf7L4JvociuxYDMCsleMT+KO5GAjcz+jmACHMlSDCPrtR1BBKedSRHv
 5I7P+NewSvS3odvkJKxqh6Lkd4xtlCcVLuqPWhJ0BniAg27CRn1Mer6JSu9Da0h8SwP3
 3jQrcURAHoZDQBXy5G2MhqCNP5ZC5V3msdxPp9QIVtWgGHWmNIOUR6XikdSU75Wdj5Oy qw== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by userp2130.oracle.com with ESMTP id 38e2858nf7-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 09 May 2021 16:05:17 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 149FxgSO022627;
 Sun, 9 May 2021 16:05:16 GMT
Received: from nam04-bn8-obe.outbound.protection.outlook.com
 (mail-bn8nam08lp2047.outbound.protection.outlook.com [104.47.74.47])
 by aserp3030.oracle.com with ESMTP id 38e5psudhf-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 09 May 2021 16:05:16 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=KLAi6N7dMbca2IylIBO5DQXgCdmvU5elcjOkG+4RJNH1Bcysa8+7FcvBtbbBFlucaiPAt8aRp/qax9Z61wt9gdyVPWxzplIUIQuImzmWSpWpaU7cfQywWnREfGy0WD+RPHfeWUo0LkavGIz+C6PHlhc0gjbnaHD2OnRhFZHXoWdmOLoQSyQQtLMOaaBC64F17gbCL9w+03GKZBnPIy2vSOc4KYnr68UESxcZrdfCtU9dhT6E0E0W5Nn+fMQHTLXmNGhfdjG7mmfEqOXH1xkIzpbcdkt6E4gGT0ytdTxzYTCcFJkO+Oi2ZtLMVIH6YYpEUAZ0cNyA9sETkndOA0p9Dg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=l8k5n/jcxRtmtW0hWgUPFa0jiZA7p4esqSysjNZMBsI=;
 b=F5aYIMqZTgPLHGmRJjJxismDYnqxbDn0fk485yhba9/uFn6YGUYmS2MIoRP0OM8TsLwjVMMRHsOzl7PjNCFF97QUU+Mjpifmvuj6/GXNdqOtrwNAW9G0OZJD2vOwvqR3I6s+bNVbh+KurnZnw61bduEHMl5T2KbaGalRh0rXGNHZ+NEJW+arpj6yG6zOOGKRaMTUIrQPkeO3KI6Z6mLAroTK+kinyn7NolpLYsfR79NUmvuSR5zwajjN4pxROOQ/SfzKuJzhI6NybhIQOq7NAojMkaYWGn1HQgDlCBFzO64vcYfRjXepwu9SkyrUL1vjVo3XD7SimLGAusD8Xcharg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=l8k5n/jcxRtmtW0hWgUPFa0jiZA7p4esqSysjNZMBsI=;
 b=NSEquGwUgeNoMplM5LAeDe0zczKu5/Gt1I4avnsbbWJ8h3d0l/ypFKO4heRwRmGtnv6pjExtOPnnoK34yqe61ppfUId5qpgv7bQzSADQrPripIB7OQV9ddTcSixxFbMqg9mJMfcfY9IFyzA/H1BN9MvyjdjJEVvExtFeyEJTS1k=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SN6PR10MB2527.namprd10.prod.outlook.com (2603:10b6:805:48::12)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4108.27; Sun, 9 May
 2021 16:05:14 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494%6]) with mapi id 15.20.4087.049; Sun, 9 May 2021
 16:05:14 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: =?utf-8?B?Q2zDqW1lbnQgUGl0LUNsYXVkZWw=?= <cpitclaudel@HIDDEN>, martin
 rudalics <rudalics@HIDDEN>, "48307 <at> debbugs.gnu.org" <48307 <at> debbugs.gnu.org>
Subject: RE: [External] : bug#48307: Feature request: provide default
 keybindings to change the font size in all windows
Thread-Topic: [External] : bug#48307: Feature request: provide default
 keybindings to change the font size in all windows
Thread-Index: AQHXROcA/HJEIMMTCUijCimuoto0oKrbT9xw
Date: Sun, 9 May 2021 16:05:14 +0000
Message-ID: <SA2PR10MB44746635AAAE7F82E91A6AD3F3559@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
 <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
In-Reply-To: <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gmail.com; dkim=none (message not signed)
 header.d=none;gmail.com; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 30f3928e-e408-4f3f-3bcc-08d913043b5b
x-ms-traffictypediagnostic: SN6PR10MB2527:
x-microsoft-antispam-prvs: <SN6PR10MB2527255EF712962B4CDA0853F3559@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:7219;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: Vj59GGuRBFYTtEKbN4q6jbV4c6dDiUTTZ9Ays8RaE8p7LJauqaJi3NNVIQjwdPtIV5gpCR6x1cl4bM3Tl5KCMNdqFMWqsBzdt2rZtEQ+/9jE+Ai8EXZ+7DN3vXApN+ikp3WrSXz1d5spA/X/VHIzsun4+FnJ0Nz1+I1a7aekUGxm8LMtG6y7UKtISsFBJADihE3UaUdUsyb3TOLnN78kS6AQ7JIBHg+ipM15c4Qgp22ntJHZ/9SFjudn59XtyVAndDUGEGryEk9xTgA96+6kzLhO36vKD+BZcMHVfetoQ/GyRuZ6cd0wA3y8if6jrvg8Hdjp7JoTPJcgB/O6H9zxPIgemy7aWr1QdCqKokil6fD5bnLDefwat04iKDw7yrChy9QBqOfVzeo+FWOp4XK+9Jm/QzFxQmNh6VT/MWSGSUh5HpOSRdhZ8iDiiamnb9zrq/OnG6zqoNQQgVsTrKIfI76P22j4Dhg7C3Cdsn8ssXfZI1Ut6LRgkpuv0ayvM7C+A7a4iNuMT/LHHPeHmabPjBKWgIYzIct8UKpZvhtkf/eDes/Zh1dzo4tERXcOf8sIJ7pTUUBnRcyKyXtUauMMY11X/O5Rz1DpfKzdzRev3VE=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(396003)(376002)(346002)(136003)(39860400002)(366004)(122000001)(55016002)(38100700002)(2906002)(7696005)(4744005)(8676002)(86362001)(52536014)(33656002)(8936002)(71200400001)(478600001)(186003)(5660300002)(26005)(66946007)(110136005)(76116006)(6506007)(9686003)(316002)(66446008)(44832011)(66556008)(66476007)(64756008);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?utf-8?B?MTQ3ZmNOWGprd2syVGdDYmZ2MTlsUlIvY3VydElkSmQxbXdaMVNqeGsybUhR?=
 =?utf-8?B?UFRBUUlZaDZMQm5KaDJ3cVlaWThaS2t5QjlhYlpzc3RpSkI3MkNuNUZMOEZL?=
 =?utf-8?B?cGlZZ00zTElPTXJxWXNLZVBvclpKZm93cWh4ZkcxWG5QdU5LZ1p4eCs1YzJQ?=
 =?utf-8?B?eEVSRndmUlpKQ1lDNVZhVExCT3dnRzVWbWhjZGk4MmtLRWIvZVlCb2RTSkFR?=
 =?utf-8?B?UmUxaWx4dGtQV2k5ZnprbVZ5MCtGaVJWRks3SEtBUWhsMVQ5MmVQVzdyL1ZP?=
 =?utf-8?B?N2FYdFZ2dXY2a0dlNzJTWDU1a1hHMXFJNGp0eU52UGpSRTFVRDB3Z2JRZ0lL?=
 =?utf-8?B?Mk55dmsycmpCSDZMOXRPMVpQWnlXUGx6Ui83YTJTbnZRbkpzTWVuYUptamMw?=
 =?utf-8?B?dnNVNWJKb2FWT2N4SHJjQzVQdHlNSkEyenp1Z0NHelVoRU9ncTE1bE1EK0JM?=
 =?utf-8?B?REV3ZTNDbDNwdmUvdzZyYmd0QitQNEFFMFJIK2Y0RWoxR2FibVR0aDlIZjVy?=
 =?utf-8?B?cVlYMEdvcFFlYi9DQTZ0SzE2SlMydVdnOGVwWkFxNCtVamk4NzFIQlptV2ZP?=
 =?utf-8?B?azlJTHRySExCeGJMSlVyQUZQc20vbndqbnJwR2tSMHA0SFp3RjA3RVI4dndR?=
 =?utf-8?B?MDZ1L3RaL1YvWVRBZ1dXejZTNDgwTWNpUEEwYk5mVmlwTktSdFFDajh3em1K?=
 =?utf-8?B?WEhNRVlnTWVhTFV4VTdXaTduZnJJQ3Y5MVVsdTRqQys2WUlOOXFibTVqbGZC?=
 =?utf-8?B?MzNLTEx5Y2szbFVkNVp5QTk3enV0dGgyTDU2WldFWWw0dVFFU0JXTUE5MGIy?=
 =?utf-8?B?RWVTb0dDZHV4UUJoSkJ3LzRNNVhEVFFuNUJzdGxVQlJseWhjeHVRL3BMUjNI?=
 =?utf-8?B?Wk8zOUVRQksxWWFSR2JPcG1sK1pzbXRKRjM0dW0wLzJXMThSRzNhVitJYUQv?=
 =?utf-8?B?d25VN1Qyc25pVHpQNjREbkZjQWg0dFFBOU9vd3dNUVh6d254eWtJSjJCVjBL?=
 =?utf-8?B?b050bFlqc1ZubUpsL3JhbEJPRU5JNjREMEhMZ1AyUzJRb1JZcVdZcHZUbUhH?=
 =?utf-8?B?SCtmQnRHVkxQSmNzd1BxVXcrRHBDSGx4V2J6a2wwZUpGTFZlT3lBSkd6ekZt?=
 =?utf-8?B?YWdvbGhHT0ZPYkFYaC9WTlhUTmo1Y3lITXkxUFJjS0t2ZllscHVhTTRJVFlh?=
 =?utf-8?B?S0xBcFJmQzhxbC9tRHF6WVZmd05uSHVkU3ZpclhuUnE1MjNSSXdraWpOeXM4?=
 =?utf-8?B?RDdkVWFqMVZBMy9rRlNKYTl3UDZXYUpIYk4vdzQ5Y0gwYVFKN1NZRHdCcExo?=
 =?utf-8?B?bXBUYmxMMC9nRGxLallIZDhQNE0vVVFZSVNrU1FTdWpWeXpFNmJSQ2hTNUlu?=
 =?utf-8?B?YXBvU0dMOGRTdHN4bUZGckJYQkZGbnRmQmxOTXRQbHhxOGRLZnBwVnY4S0VE?=
 =?utf-8?B?RFkzN3hPb0EwamI1Ykk3TUNOeVhTTmhLSlFZUTF0NU0zbVlneW1aZndIOGpv?=
 =?utf-8?B?NzR6amd3SWJUMWVSS3c5bDNxY2JmelBWclM3WFhDR1lZNEo2TW5LcCsySGxR?=
 =?utf-8?B?T0RkWnRRTEJKMWlLQWFrOFBWRUtSUWYwVS9TVm5XWGluVFBWZk5MNSs5MXJH?=
 =?utf-8?B?eXhSdFJkRHVEdmhXYkhYMHg1aE1hNW56NUE0eGZ6VEZUUlVXS1lJOUc0YTI3?=
 =?utf-8?B?SlIwOGptZ2o4QWRrVW9ZYzY3T0tJMURaUXBhS2NXbDJJbjNxeXFDZFZBQlUv?=
 =?utf-8?Q?uV7i/iVVPRdT4WvWss=3D?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 30f3928e-e408-4f3f-3bcc-08d913043b5b
X-MS-Exchange-CrossTenant-originalarrivaltime: 09 May 2021 16:05:14.5720 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: Mg25IdNHDxyxJF45zfIG11v8bjfnZ4EWzWjwt+MVyMn9EtnQLZMIIJZosG6lIdrv5e2BIPb+EBgeDWuPrrKrZw==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN6PR10MB2527
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9979
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 phishscore=0
 malwarescore=0 spamscore=0
 mlxscore=0 adultscore=0 mlxlogscore=985 bulkscore=0 suspectscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2104190000
 definitions=main-2105090119
X-Proofpoint-GUID: D2G4_s58RZnlwwxsb2boHInz1HQXIFYL
X-Proofpoint-ORIG-GUID: D2G4_s58RZnlwwxsb2boHInz1HQXIFYL
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9979
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 mlxlogscore=999
 mlxscore=0 bulkscore=0 lowpriorityscore=0 priorityscore=1501 spamscore=0
 clxscore=1015 impostorscore=0 phishscore=0 malwarescore=0 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2104190000
 definitions=main-2105090119
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: 48307
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

PiA+PiBDdXJyZW50bHkgbW91c2Utd2hlZWwtdGV4dC1zY2FsZSBpcyBib3VuZCB0byBDLTxtb3Vz
ZS01PiBhbmQNCj4gPj4gQy08bW91c2UtND47IGNvdWxkIHdlIGhhdmUgYW4gZXF1aXZhbGVudCBj
b21tYW5kIGZvciBhbGwgYnVmZmVycywNCj4gPj4gbWF5YmUgb24gQy1TLTxtb3VzZS01PiBhbmQg
Qy1TLTxtb3VzZS00Pj8NCj4gPg0KPiA+IEkgc3VwcG9zZSB5b3UgbWVhbiBhIGNvbW1hbmQgZm9y
IGFsbCBfZnJhbWVzXy7CoCBBbnkgYnVmZmVyLWxvY2FsIHRleHQNCj4gPiBzY2FsaW5nIHdvdWxk
IHN0aWxsIG92ZXJyaWRlIHRoYXQuDQo+IA0KPiBTdXJlOiBJIG1lYW50IHNvbWV0aGluZyB0aGF0
IHNjYWxlcyB0aGUgZm9udCBpbiBldmVyeSB3aW5kb3cgKGFuZCBwb3NzaWJseSBpbg0KPiBldmVy
eSBmcmFtZSwgdG9vLCBpbmRlZWQpDQoNClRoYXQncyB3aGF0IGZyYW1lLXpvb21pbmcgZG9lcyAo
aW4gem9vbS1mcm0uZWwpLg0KSXQganVzdCB6b29tcyBpbiBvciBvdXQgb24gYSBmcmFtZSAob3Ig
YWxsIGZyYW1lcykuDQoNCihUbyBiZSBjbGVhciwgem9vbS1mcm0uZWwgZG9lc24ndCB6b29tIGlt
YWdlcyBldGMuDQpJdCBqdXN0IGFmZmVjdHMgZm9udCBzaXplLikNCg0K




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 9 May 2021 15:58:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 09 11:58:38 2021
Received: from localhost ([127.0.0.1]:56002 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lflpG-00012L-2O
	for submit <at> debbugs.gnu.org; Sun, 09 May 2021 11:58:38 -0400
Received: from aserp2120.oracle.com ([141.146.126.78]:60988)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lflpC-00012F-Tz
 for 48307 <at> debbugs.gnu.org; Sun, 09 May 2021 11:58:37 -0400
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 149Fsu5V003211;
 Sun, 9 May 2021 15:58:29 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : subject :
 date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=DycjnyxzzDrgFxUqi1fnD7guQaZYGcp9jROVI1RpuCA=;
 b=jIPr55CVozbnPITquKWlVNUsCkSQQ1vxZLFSHaDP+9a9oGh8jcH3qKoBDNmPdlL4jScs
 w9v2DtSmSBMr48+Aj4wUG9tJ16e2gWU19A+e3SYhV/lEa34AtdEosqy/wBxI2gk9TIqQ
 6chNPW7OoWwB5xQAJ7pqP7IWoO/6mOq40fmU9S35aIJ2GUNuTjh6RVMjE3fO517YIyBo
 +F+OdB3IsmY1DS5UOYL+t/W49Qv5MZSHcaumpQF3ea1FHKdyQVx7EE67/yLCvEGUrZQv
 9iMlrWyNsOx4nJDFiT/Vf5IIhcTehRilJnM/GoREiLXsDM9W3SAHsxJTkt3OO0fPEXK/ ww== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by aserp2120.oracle.com with ESMTP id 38djkm9cm8-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 09 May 2021 15:58:28 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 149FtrSY025938;
 Sun, 9 May 2021 15:58:28 GMT
Received: from nam11-dm6-obe.outbound.protection.outlook.com
 (mail-dm6nam11lp2176.outbound.protection.outlook.com [104.47.57.176])
 by userp3020.oracle.com with ESMTP id 38e4dqrwjv-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 09 May 2021 15:58:27 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=aq4BK3J2ySKrTsRsidw7vIWw2/suDm8YGmpA7Kv3Y/GQQRsicLpuwcLW06UPKkPI2H/6yizJOVOzM+2NrZ2SuoKC0YEmRlFUjio7WeonRzfchPi9+4WzY7VqInQaNS/5s27Nm5Z6z0m9vFpJlI7ezXqAk8WC6YvwdQnhNX6pKTl5OODX3EA6pc8d8wrrWwb0cwWwMiLQ7P2MxKBunVbtEokYiObyqL6cQBPuGCwfzS3bOEL6ivZhcVwVv5GZQfRSqYRHTnVEHRbP+Nath6X62EzykWQx5IyS7EYbY2DwWrKLwU8hgxOBjWHDmcL3Ugbt2KstGMyje8lZ4RC9dC5Reg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=DycjnyxzzDrgFxUqi1fnD7guQaZYGcp9jROVI1RpuCA=;
 b=An+j7jnK0MwMzD+thPPLnSUqgeiwQuOIwAFKrYlT2H7R3v3B6OKE/+mD8xaF+rwdEghQaUS8QXYE0kaxONJY1FeXwIn6oa1hiFzDHZiG3X0imYkI6ba502TZe7scTIMC5C29zb9GkyamSh4IfSxN/Si/k7zefVhF6nw6RnDHtXsXDo0aNhCS88O9Ntr4b0NHr//6BKABq+u/EjK8pVZwHgl0Ks/BV+A5LezjxDE+8R9ePPcS+Z5Q3Ga6CJgksx760Mdl4OP5MaI//1EzKoZmD3Da/E1n9OayZfrFCopj2p1pd3OPRVf9jpiMvkYhuEvRJuWhmMhR5Vkry2pQytrCJA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=DycjnyxzzDrgFxUqi1fnD7guQaZYGcp9jROVI1RpuCA=;
 b=NOv8irIW3NLYcfVCqoi94j7+M8ysnYCFFJmWMsx6PC0ouwV5xc4SYZWcCi29ccbJbgf/Xww9hJWOILyHbsz19ftsOg03NKmQUF5OMeo+gG+baPoimidKwGSM26JNpBQChtjFZjVTIIbSmLTNNoozEu8YbPZHoAp/UUbSez+/KaE=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SN6PR10MB2797.namprd10.prod.outlook.com (2603:10b6:805:cb::15)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4108.25; Sun, 9 May
 2021 15:58:25 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494%6]) with mapi id 15.20.4087.049; Sun, 9 May 2021
 15:58:25 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: =?utf-8?B?Q2zDqW1lbnQgUGl0LUNsYXVkZWw=?= <cpitclaudel@HIDDEN>,
 "48307 <at> debbugs.gnu.org" <48307 <at> debbugs.gnu.org>
Subject: RE: [External] : bug#48307: Feature request: provide default
 keybindings to change the font size in all windows
Thread-Topic: [External] : bug#48307: Feature request: provide default
 keybindings to change the font size in all windows
Thread-Index: AQHXRKJa0OuDR7DqEkKfSUE8eaNRQ6rbRfKA
Date: Sun, 9 May 2021 15:58:25 +0000
Message-ID: <SA2PR10MB4474FC7564E76E1E7C49E35DF3559@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
In-Reply-To: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gmail.com; dkim=none (message not signed)
 header.d=none;gmail.com; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 2675109a-e580-4b25-0abb-08d913034755
x-ms-traffictypediagnostic: SN6PR10MB2797:
x-microsoft-antispam-prvs: <SN6PR10MB2797083F5057EB8D51DB8025F3559@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:8882;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: ZWKk1RdEOpTqjDWpP6ihJ/m+/qrJK9G8bg0dbXEAIVixCvg7Vu76SRBtoT++EZVa7maLMEvf8SsDvb8VVapRBXCWqsA2lbLJdDctxEzyGxbuiL1r4OQPcVbg0NpoQd0ruaLHYYshYc2OB43oJ0vKFWfSP8jaipAJG79tplHTRRFU1jgn+hdGRz2EwsLdF6gC/IanF9MQIgAWWt43MYENbUzNGoS6+rsrh0gL2gs7Y8jgvmxyWvfA2oE+elN0411bbo0nOjL6vq4fMoGWe0cW6Tyl/nVALoZVoDUmOJDl74Lrcn4ceAw7uFuBlRblKvFadDLAWuyie+yoHpzGfvKQ5QfuGc53eXYZsS1zBvpFU6bfN6tYp3T6dZzS6IVLNCPzCBIyM+vPozgGtOrnobLB+Cszvx1uaXbhBBfTwr/N01A0EktOVUJgiML/X415HtH0w2d/Fi+T5aq/jL14BIZgl1lxpFw0Cow6CGPQKBGuovMom+Wl0vTredooc2KMSel2UdhXF3XUdoGF/q0XGr1BM6UTmDH0NUi3Xq/+LP0UEzJ5/VEB2b8YtwmFFGgZyRwDRYkDfJL3mGj8w7dRfskyxjWKJzz0WWDrqzgOhq9zJaI=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(366004)(346002)(136003)(39860400002)(396003)(376002)(9686003)(316002)(110136005)(55016002)(52536014)(66946007)(76116006)(2906002)(7696005)(33656002)(5660300002)(478600001)(66556008)(66476007)(71200400001)(4744005)(186003)(26005)(64756008)(66446008)(44832011)(86362001)(122000001)(38100700002)(8936002)(6506007)(8676002);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?utf-8?B?dXVIZmlPS1gxUTB1ZUltbHdkTmtxa1o5YmFPd2dneDJEbGlRM0tqaGoxWmRS?=
 =?utf-8?B?WXJTZEtKTVMydFpSeFZtZjNQN25PdUR3QUR3c2xSTWlRNWZqZDZPekMydTBv?=
 =?utf-8?B?N1Ezck9xVWRtTkZJMHhKbmh2Mk1LcEwrVTlEZ28vVEVvVFJjWFRvQktQbUJ3?=
 =?utf-8?B?ZnBGY1lhVnFaQmNqclNIaEs5b01NdjhiQ0VNV0gxeVJHanRMeWxVa0hxS1No?=
 =?utf-8?B?Qko5bm1lbitUVG13NVp3cFZ2VmZwa2FFNmpnNXJXK2JuWSt2cGNQeEhKUGZO?=
 =?utf-8?B?RC9nWFdleDRzL1diRE8zVWZjZ0tMVk1HWWRaaTdpL1c4a0tUMm5hQWZpaFlT?=
 =?utf-8?B?eEo5SWdycGdMODFFRUlZVXpDMFlaRURCNGpFbkFXcGxhTzJEaWJ2NGNML2Nv?=
 =?utf-8?B?NThnMUVpOHNJaDk0Y3FkSU1ZdmpvNXNFaHBVQTllVlJoUzVtUnNEeFVVZVNI?=
 =?utf-8?B?bWhYcTdkQTVVVWY0Z0k3Z0NhRTJRcFI2UzdvazNNbGloNW92RHdHeTFoaDJV?=
 =?utf-8?B?VkdWdWdqcVlGL0s0MjRHS2lmSU5DYzIwdjFKL0Z1ckp3SHNLTjJjbUgzcnYw?=
 =?utf-8?B?Vy9PNW40U0dLeU44NXFKVW8rcFVGMzhON1lBU1IwWXRWWXBuczBERk1DRUdJ?=
 =?utf-8?B?SENhUGg0MGo5R0VhUnpBQnVraDRQenpMR25aVW9Ta21lTjFrVWg1Uk1JR21C?=
 =?utf-8?B?UWZmKzY3ZENiWTRpblRFb05uVlR5VE5GdjFwMVcxMytRVXBGalJsOWNtaEtw?=
 =?utf-8?B?cjJnT1RnRytMK3JtTkIwK2JHeGo3UkVqL0FYc1h5c2l4c0lFTk53NDFUMXEz?=
 =?utf-8?B?TS9XYTNTcXBMZFRNNWxWVmErVzBHZW0zdDhZWGxmOFNqYXplSlVTajlKYU5O?=
 =?utf-8?B?ZERXalVLMHRSZ2pPQ3dnSnhrM1paNldPMVB1VG8vNWlqcEV1T1lqQlRidFFB?=
 =?utf-8?B?QzVTa2NhNXBsQ0NCRVM1Zzd3N29OY015MmhJTEE1VkdWdnNNaDVaQmtMdmF3?=
 =?utf-8?B?UjhKQ2NuUDNhTkJva2o3OVozSnhUbVlUUlZnbGZuUWpMdlpyMlR1YVVwb2dO?=
 =?utf-8?B?VkxWTThTZmFZSFJNLzBudm5rOHJ3bmh4QjJyR1YwYk9Pb2JkbjI4Y0I1ZmVu?=
 =?utf-8?B?eTh4SWZkUW4xRkJtWGFYYXR5eE43STJ2VXIvNFhpR2xVM1YzWXhRWmx1ZnpK?=
 =?utf-8?B?ejdSUGtYeEFrbVdiaW0wUlNKMkROL2JpenQzQVJrS3N5MUt1RjhWNlpCSDVw?=
 =?utf-8?B?bzFxeUI0SjZtb0FtUnZBQll0ZDR5R2tNYWJUMVZVYWJ4NW1WVHhKczMxQW1L?=
 =?utf-8?B?WUE5ODlTcHFiSDRSc0tuOGVNbUlTVjM3QmRBTGd3dG9YdE15TnliSFNvQklN?=
 =?utf-8?B?NmN3TTB5bG8rN2RlbVVJSU5yNUFwV0s0dDZUZ1RGcUh4Zm5PeEptdm5wU1Vz?=
 =?utf-8?B?ajBqNXZhN3JHUllpNTg4NmVVS2Rjb1BiTGtOYU5JVWNMekM0bEpFY0l1MnA3?=
 =?utf-8?B?VHBtQ0RiQm5DNU1VRFNRY3VOU21kb2hlRjVEeFJ0dGdiWjhKYnBBSlh5TmVM?=
 =?utf-8?B?Q2pHbkgrdEVROXJuY0IreUpkaUY5QmZKVnQxME1QQ3A3cXZVMG5PRjRmc3da?=
 =?utf-8?B?ZmNvUDc0aE9CYWV4MG9Ub0NpOGdqL21QYlRqTldSc012ODZrOXk0Vkl1V1hs?=
 =?utf-8?B?SjhWMUNpV3V0Y2l3M2FWSGNuM3g5QmRyR3NmeVBDb3E1YTcvKzdNcUNBTXhn?=
 =?utf-8?Q?skHv0wKhHcX1arDBL4=3D?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 2675109a-e580-4b25-0abb-08d913034755
X-MS-Exchange-CrossTenant-originalarrivaltime: 09 May 2021 15:58:25.1275 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: P0ypNxgc/W4IpgrD2oGwglY8Ag78Q/Zrsmal1V00DiAd9d3YZMj081qtFBLGmo27cexHykRvkTzarDJ5obxY5Q==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN6PR10MB2797
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9979
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 malwarescore=0
 suspectscore=0
 mlxlogscore=943 adultscore=0 spamscore=0 mlxscore=0 bulkscore=0
 phishscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2104190000 definitions=main-2105090118
X-Proofpoint-GUID: alB7rsCPEmq1kc4gpsz5pro-uip5I207
X-Proofpoint-ORIG-GUID: alB7rsCPEmq1kc4gpsz5pro-uip5I207
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9979
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 malwarescore=0
 priorityscore=1501
 suspectscore=0 clxscore=1011 bulkscore=0 adultscore=0 impostorscore=0
 spamscore=0 phishscore=0 mlxlogscore=999 mlxscore=0 lowpriorityscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2104190000
 definitions=main-2105090118
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 48307
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

PiBhbmQgdGhlcmUgYXJlIG1hbnkgbGlicmFyaWVzIHRoYXQgcmVpbXBsZW1lbnQNCj4gc29sdXRp
b25zIHRvIHRoaXMgaXNzdWU6DQoNCkV4Y2VwdCBmb3Igem9vbS1mcm0uZWwsIHdoaWNoIGRhdGVz
IGZyb20gMjAwNSwgdGhvc2UNCmFsbCBzZWVtIHRvIGRhdGUgZnJvbSBhdCBsZWFzdCAyMDEzLg0K
DQpJdCBkb2Vzbid0IHJlYWxseSBsb29rIGxpa2Ugem9vbS1mcm0uZWwgUkUtaW1wbGVtZW50cw0K
dGhpcy4gIEl0IGFsc28gbG9va3MgdG8gYmUgdGhlIG9ubHkgb25lIHRoYXQgbGV0cyB5b3UNCnVz
ZSB0aGUgc2FtZSBjb21tYW5kcyB0byB0ZXh0LXNjYWxlICh6b29tIGluZGl2aWR1YWwNCmJ1ZmZl
cnMgLSBpbiBhbGwgb2YgdGhlaXIgd2luZG93cykgb3Igem9vbSBmcmFtZXMNCih6b29tIGFsbCB3
aW5kb3dzIGluIGEgZnJhbWUpLg0KDQpBcyBmb3Igem9vbWluZyBhbGwgZnJhbWVzIHRvZ2V0aGVy
LCB6b29tLWZybS5lbCBoYXMNCmNvbW1hbmRzIGB6b29tLWFsbC1mcmFtZXMtKGlufG91dCknIGZv
ciB0aGF0Lg0KDQpCdXQgd2hlbiBpdCBjb21lcyB0byB6b29taW5nIGFsbCBmcmFtZXMgaW4gc29t
ZSB3YXksDQp0aGUgcXVlc3Rpb25zIEVsaSByYWlzZWQgc2VlbSByZWxldmFudCwgaW4gZ2VuZXJh
bC4NCg0KSU1PLCBpdCdzIHBhcnRpY3VsYXJseSB1c2VmdWwgdG8gYmUgYWJsZSB0byBvcHRpb25h
bGx5DQooMSkgem9vbSBhIGJ1ZmZlciBldmVyeXdoZXJlLCBzbyBhbGwgaXRzIHdpbmRvd3Mgc2hv
dw0KaXRzIHRleHQgYXQgdGhlIHNhbWUgc2l6ZSBfT1JfICgyKSBzaG93IGEgYnVmZmVyJ3MgdGV4
dA0KYXQgZGlmZmVyZW50IHNpemVzIGluIGRpZmZlcmVudCB3aW5kb3dzLiAgVGV4dC1zY2FsaW5n
DQpkb2VzIChvbmx5KSAjMS4gIEZyYW1lIHpvb21pbmcgYWxsb3dzICMyLg0KDQo=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 9 May 2021 15:32:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 09 11:32:06 2021
Received: from localhost ([127.0.0.1]:55881 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lflPa-0000m5-DS
	for submit <at> debbugs.gnu.org; Sun, 09 May 2021 11:32:06 -0400
Received: from mail-qk1-f172.google.com ([209.85.222.172]:41934)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cpitclaudel@HIDDEN>) id 1lflPY-0000lf-MY
 for 48307 <at> debbugs.gnu.org; Sun, 09 May 2021 11:32:05 -0400
Received: by mail-qk1-f172.google.com with SMTP id l129so13171899qke.8
 for <48307 <at> debbugs.gnu.org>; Sun, 09 May 2021 08:32:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=0ZfiqJPZz7pH0Ti3y2ji52lsoX/KNVx6Rrd1lXW+CHI=;
 b=nt57m35eRW/HbO34ucw5ZS3sAPKgj2KKD/JtrtaMY1oIlUsDa5rQrao9kSGUnwG17s
 yICH9AjXKpg4nS3OcEqH7jjn/a++h7+QV4ahXXh2HSZIocAFXheLbc895tKhbC3qz+Af
 peBISpIsUdAPeqEi+8oMZ0alHt8x8Q7d3S1JObZE4hRnSCKyKUa9iSLUjLyPn2k8MEUv
 LKe1UeMJ2I2uvYPH5IwrEFJBaG/LpqS5l1ETENlklOnvjOvEh7G/1/i0Nu9TvuFfY/iX
 uHFS+VVcZGMD8IY4qRnUEVDKNvmeyBc0ImtxIHi+nTlVU7KfqJtt1JVb2q6h7TC2Bx6p
 HyTA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=0ZfiqJPZz7pH0Ti3y2ji52lsoX/KNVx6Rrd1lXW+CHI=;
 b=roULQRyfP1gQPHXrCt0t+p6C2mBRTXrq5vNL4jPMKF9YXzXkiZ1PySblv+b6NG2nR2
 vnmK8God2ok0c9nAtZjqfHr6wP5vMxdtLTx1t00sEn22vCA6Ka82qZGTzXHIuWU/4uuN
 pG8Rb0fjG3AmYjdToTVnkNssjgJlhOMj1+RRrzZANtkYcfmssBKJJJpaHCTDEFQj1mye
 F98AJy2N710hl5THfDuF+PpVUr/8Yl+UARU0lJCYLpPivpOhxgbsSbZ6t3bRTh2IDH2Y
 mxnEFXjv8uJSbAkPsAmvmw1D7eN2hr7gVRbhTr+8q5j1NxOQ1RnqdKVoji8hoEljNYPs
 WpsA==
X-Gm-Message-State: AOAM5337XGxg//UnW30UpbzXqq+YrA8eFue0BuqCvVa2lbNKzohXZuFn
 ozQ7N1+VIUOFubAuBJZZ/vw5uGQaeWI=
X-Google-Smtp-Source: ABdhPJwXJs8gENy5OArHubf4y1ofsd9HNcE6LRKKhlSh4EItxbqOu1DC26Es9JNmJyo5tUTlPfddDw==
X-Received: by 2002:a37:b704:: with SMTP id h4mr19384301qkf.177.1620574318884; 
 Sun, 09 May 2021 08:31:58 -0700 (PDT)
Received: from [192.168.1.11] (c-24-61-240-80.hsd1.ma.comcast.net.
 [24.61.240.80])
 by smtp.googlemail.com with ESMTPSA id s24sm9410431qtx.94.2021.05.09.08.31.57
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 09 May 2021 08:31:58 -0700 (PDT)
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
To: Eli Zaretskii <eliz@HIDDEN>
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <83h7jc8gep.fsf@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>
Message-ID: <7a86c15a-cc21-6df8-f1fa-c0359ce25c27@HIDDEN>
Date: Sun, 9 May 2021 11:31:57 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <83h7jc8gep.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
Cc: 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 5/9/21 4:23 AM, Eli Zaretskii wrote:
> So: what should be the effect of this "global" change of the "font
> size"?  Some thought-provoking questions:

Thanks.  Some wild guesses:

>  . should this affect only the faces whose fonts don't define their
>    own size, or should it affect _all_ fonts?

Probably all of them except the ones that specify an absolute height?

>  . should this really affect _all_ the buffers? e.g., what about the
>    minibuffer and the echo-area buffers?

Yes, certainly.

>  . should this affect all the frames or just the currently selected
>    frame? what about future frames?

I'm guessing all frames.

>  . should this affect the mode line?

Absolutely.

>  . should this affect tooltips?

Yes, to the extent that we have control over that.

>  . should this affect the fringes and their bitmaps?

That would be nice.

>  . should this affect the menu bar, the drop-down menus, and the GUI
>    dialogs?

That's extra credit; I guess it could be nice?

> We need a clear understanding of the feature before we implement it,
> IMO.

Indeed, although starting with an implementation and refining it over time could be good, too (to some extent I think the specifics matter less than having something available).  For example, just including any one of the short implementations into Emacs by default would work to solve the concrete issue that I'm talking about (with the pandemic we do screen-sharing all the time, and I hear "how do I resize the font in Emacs again?" more than once a week these days ^^).

A good approximation of what I would like that command to do is what menu-set-font does if you ignore the part about changing the face and only change the size part.  Something similar to doing text-scale-adjust in every buffer would also work, too (I've noticed that changing the :height attribute of the default face is slow, while text-scale-adjust is fast).  







Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 9 May 2021 15:19:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 09 11:19:05 2021
Received: from localhost ([127.0.0.1]:55824 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lflCz-0000dD-1x
	for submit <at> debbugs.gnu.org; Sun, 09 May 2021 11:19:05 -0400
Received: from mail-qk1-f175.google.com ([209.85.222.175]:33377)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cpitclaudel@HIDDEN>) id 1lflCu-0000co-NG
 for 48307 <at> debbugs.gnu.org; Sun, 09 May 2021 11:19:03 -0400
Received: by mail-qk1-f175.google.com with SMTP id f29so928947qka.0
 for <48307 <at> debbugs.gnu.org>; Sun, 09 May 2021 08:19:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:references:from:message-id:date:user-agent:mime-version
 :in-reply-to:content-language:content-transfer-encoding;
 bh=86EbnI6w8Q3yddgDZgQGVyoveKh9UHjJk7shn7BinM0=;
 b=jbrW2uauQqpj7yo2z/H1OWFOw1wNaVD87tXvmCdKm64keln/zHNlo4B0zEAiPCIrHk
 WUf8YmLsirKFbdha32JByXh1LnBDEqbEvfU64Vm7sTDJ44X5+jQDOhgEduGCeVeKg9hU
 fDiEzguBv7kqtVicyM5+6/kHaJLUxB5T7Hw/AHu03EgpGyTSzG5R87kMRr4/yeuI0ZWd
 mfUwBqnDI0uUOOqTBtGBtUxPkIyG7DH40s0rudCb8FHlTveN0YyUr6uAcpDvF9PV6tNK
 sGMNFLPwSF1yv4kFxWIKGwhKF3IU/7x6f0kO+GH/U9fY7Tv3Hb2adVy6eogJni7MGjfl
 uN0g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=86EbnI6w8Q3yddgDZgQGVyoveKh9UHjJk7shn7BinM0=;
 b=schydvbeRgJWPDRYjcb4YzMXWaD9lep8lunZTo3kxnrVN46fP2ahdp2Be3hy0NTXCa
 SSrNYeFZHwACsaXAoAheQNzx05d17ZJuCu0oOwvPb4xEQ3CqBNLnVaPZHf6ITgBN9VfW
 lnwSgqFk0eGtWHQWf9DTXfjhwIL6Dak2FlmtzgpxU11EmvLeDO94dttPVDD4jc+jhMSY
 qvGRGpKxxPbq5vhDvXtt6ft9IAMt7XfHEuyvFLpPB/ErSXj27mxqBs/miCHiyGmh3eMY
 6oVvkHve/JgUxCYZUIJCSecqEQ9F+YW5GH9qGAu5ppRxqkxAfbZ1uDyywM7KsMtx5NHr
 FSxA==
X-Gm-Message-State: AOAM533+8oaaflTLTtVXhesJImVHPDejhTJoYC8BNKa8NeM57KmZ1S76
 xN61LOjBjSPhN907TzFlvU32mW94DJI=
X-Google-Smtp-Source: ABdhPJxVVruhRZPOGC+3ATti3Nr22SZYDisI1CHTSgQckqxfk384gGC83KPrmmlbtg07+oHzk6oqCQ==
X-Received: by 2002:a37:5ca:: with SMTP id 193mr18577290qkf.356.1620573535091; 
 Sun, 09 May 2021 08:18:55 -0700 (PDT)
Received: from [192.168.1.11] (c-24-61-240-80.hsd1.ma.comcast.net.
 [24.61.240.80])
 by smtp.googlemail.com with ESMTPSA id x7sm9410371qts.42.2021.05.09.08.18.54
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 09 May 2021 08:18:54 -0700 (PDT)
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
To: martin rudalics <rudalics@HIDDEN>, 48307 <at> debbugs.gnu.org
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
 <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>
Message-ID: <333cb576-85c8-6da6-2312-293fa5c44865@HIDDEN>
Date: Sun, 9 May 2021 11:18:53 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48307
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 5/9/21 4:43 AM, martin rudalics wrote:
>> Currently mouse-wheel-text-scale is bound to C-<mouse-5> and
>> C-<mouse-4>; could we have an equivalent command for all buffers,
>> maybe on C-S-<mouse-5> and C-S-<mouse-4>?
> 
> I suppose you mean a command for all _frames_.  Any buffer-local text
> scaling would still override that.

Sure: I meant something that scales the font in every window (and possibly in every frame, too, indeed)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 9 May 2021 08:43:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 09 04:43:37 2021
Received: from localhost ([127.0.0.1]:55096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lff2H-0002K2-0C
	for submit <at> debbugs.gnu.org; Sun, 09 May 2021 04:43:37 -0400
Received: from mout.gmx.net ([212.227.17.20]:50585)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1lff2F-0002Jw-UQ
 for 48307 <at> debbugs.gnu.org; Sun, 09 May 2021 04:43:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1620549809;
 bh=edyc9dHRpu5sxqMohm12XN7ro9QDYnkqb1uIPTuIkWo=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=VURVyIyKGY/Gs7H5p47VUGWHYk6ktypJy+Rqw0CmPdNGurCFeVYSUv1RNNwkuknoZ
 ZCKGz95Ii2BrwXnkhxAK7dXdD+Q8cJmVk3eX4EiYnq4TbbNWWpTkQ7RVpzavxDMsvm
 vle0qUIH90HPfoNswirkQP2I99S1hSwrsHATkxQw=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([213.142.96.220]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1M7sDq-1lajLf1yXi-0053g6; Sun, 09
 May 2021 10:43:29 +0200
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
To: =?UTF-8?Q?Cl=c3=a9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>,
 48307 <at> debbugs.gnu.org
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <b4ad28df-795c-2977-78ae-1e3da8ca3101@HIDDEN>
Date: Sun, 9 May 2021 10:43:28 +0200
MIME-Version: 1.0
In-Reply-To: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:HxzceiYo1Oa9ei+SrZH0H8XfynUrONcicwb6hzLA6ImiQ/bM0Wx
 /erdeVrFJaJsrue8lMA2wQP7SrNOiWSr6j5Ki9x+1myWIov2RMVwTyvdvQG5HOITI0RLyMh
 djwI+Zf4FoCDU+SBazaGR5MBfvWC2S0xzV44URzmy+7xXAh9fobATGvRjCMjx8heVA/ZOQY
 PBPrY+L013ZKpPuKKxAxQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:ikO91/7JLIw=:uSEz5n66zk3ev1hC6T8j5q
 bTBvxbgDCJupbZZQsWCXpSm496fqAy8ablkwiXh6mDaKchwu5OVObIm5k7qXVWhTTl/+tNd2S
 dD+Rb3e+pHofy3/QEytrGnBRoB4IC46omtP6Ox/1Y6nLqLzKli9ICBgoB5WUWvNtg8AECaTB9
 z/mRYFnwU7yo568FGqUKr9bEN/xVei6IFAsVLtSemJWPVrUJh6msd0LIv/LxICEYP5JnBxc4X
 liMlW9chZ2E9F2m8mOYniynQG4nqDvFek3JJEuL8IsNBG9bNTpH+5+IzP+Dw1+7+j26HPlTQg
 wg+4CJAm+DGoPjo8Ubu7WJKJ2Xb+P/ELCl0RPuneegMMIJ6QZq1+gPQ1+4ACvNACItSTdApvO
 y2TXOg2gtH1Adzm8u2mmC0m8jtqPLVLmesYmF5Ss//NTUxHbWgXGc42l+Bl75bFYSfZwS1jNq
 8gje/XHhMMkO5J7JS1DrMGYJtV8CLygsno6G2N8Q6yhBvQr5dbEPwOfIqidSQNnPfhisHQ0Up
 jz5MqaeUeME5z3hb8F1CbA9AjFXR9VzDw3d7TNX1H5RFNx5cFB7Y8OM4Hetwbltph2/T9Etus
 dWL5KElLdP7IFoxjC8mPXsAamQTnlrTFz+GOYgP9/lSBjF69wUrEIcGOBCSp3ZGaC+9VvS1RT
 XvCqJqnpr3ZI85kVqtBIvIZLFp/C3WJuYMy249UJ8NHftfKtSnEoKpL2VZI8695rJY0qwo3y0
 KeVyjzGJ5tBw6Ahc7uC1oZrpc00mcumwwGNLosJ1NXHiQ0tqi+6FRLcCGnJlHGLl57AGwHdXu
 CSE7t2I3afMRAyGwF3dOEnEX+t+yhGuooSasdV/ivWq0ZAD137D6cMlwKdTOmXbyPAbRfV/NG
 ETeTlG5RsvrjJ4MTp12gYlV2QWD0BE4cfR0kY7B3u1bAk5e4zgSLVSIhQ8YX8zUrt1lnR9F19
 SQWHFYbuweZ18L6Jz4S0Xq84Ln67teBm1cdHVw0U+xIvvG15/Xh1pL9a98QpUfxX3GgFrrFFh
 V3Ub/K7slu1vP4I5u2hrVYsFOlPnk/ZMjjcVfoFHWPc7gfvNCH2KaXlcDrIGadk2tkOY1Yt0M
 bcHmgmWS2jio9dYaCAJe2U3A7dc6qtJrUUg0oSD9sS0glc5sdIISCE2O2jIXhyRZ4ujUaZM2x
 cDYHe72rLJVSjCvoTv3etKa7lUfQ9BEb9KrItIYL0rnkVylDp1tTLt3Ppnk1YLTNd1clw=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48307
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Currently mouse-wheel-text-scale is bound to C-<mouse-5> and
 > C-<mouse-4>; could we have an equivalent command for all buffers,
 > maybe on C-S-<mouse-5> and C-S-<mouse-4>?

I suppose you mean a command for all _frames_.  Any buffer-local text
scaling would still override that.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at 48307 <at> debbugs.gnu.org:


Received: (at 48307) by debbugs.gnu.org; 9 May 2021 08:23:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 09 04:23:18 2021
Received: from localhost ([127.0.0.1]:55002 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lfeic-00026c-Bj
	for submit <at> debbugs.gnu.org; Sun, 09 May 2021 04:23:18 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34052)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lfeib-00026U-1L
 for 48307 <at> debbugs.gnu.org; Sun, 09 May 2021 04:23:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56236)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lfeiV-0005aw-Ox; Sun, 09 May 2021 04:23:11 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3248
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1lfeiV-0008Iq-7w; Sun, 09 May 2021 04:23:11 -0400
Date: Sun, 09 May 2021 11:23:10 +0300
Message-Id: <83h7jc8gep.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?Q?Cl=C3=A9ment?= Pit-Claudel <cpitclaudel@HIDDEN>
In-Reply-To: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN> (message from
 =?utf-8?Q?Cl=C3=A9ment?= Pit-Claudel on Sun, 9 May 2021 03:09:45 -0400)
Subject: Re: bug#48307: Feature request: provide default keybindings to change
 the font size in all windows
References: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48307
Cc: 48307 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Clément Pit-Claudel <cpitclaudel@HIDDEN>
> Date: Sun, 9 May 2021 03:09:45 -0400
> 
> Emacs has keybindings to change the font size in the current buffer (C-x C-=, etc which use text-scale-adjust).  We don't have keybindings for commands to change the font size globally, and in fact we don't have commands for that purpose at all, AFAICT.
> 
> My students keep running into this issue, and it seems pretty common online, too:

It is not clear what should the requested feature do, and the links
you provided each talk about different aspects of the problem without
actually completely defining the requested functionality.

So: what should be the effect of this "global" change of the "font
size"?  Some thought-provoking questions:

 . should this affect only the faces whose fonts don't define their
   own size, or should it affect _all_ fonts?
 . should this really affect _all_ the buffers? e.g., what about the
   minibuffer and the echo-area buffers?
 . should this affect all the frames or just the currently selected
   frame? what about future frames?
 . should this affect the mode line?
 . should this affect tooltips?
 . should this affect the fringes and their bitmaps?
 . should this affect the menu bar, the drop-down menus, and the GUI
   dialogs?

We need a clear understanding of the feature before we implement it,
IMO.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 May 2021 07:09:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 09 03:09:56 2021
Received: from localhost ([127.0.0.1]:54674 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lfdZY-0007hp-56
	for submit <at> debbugs.gnu.org; Sun, 09 May 2021 03:09:55 -0400
Received: from lists.gnu.org ([209.51.188.17]:42490)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cpitclaudel@HIDDEN>) id 1lfdZW-0007hj-KF
 for submit <at> debbugs.gnu.org; Sun, 09 May 2021 03:09:51 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33910)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cpitclaudel@HIDDEN>)
 id 1lfdZW-0008EM-GC
 for bug-gnu-emacs@HIDDEN; Sun, 09 May 2021 03:09:50 -0400
Received: from mail-qk1-x72c.google.com ([2607:f8b0:4864:20::72c]:45711)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <cpitclaudel@HIDDEN>)
 id 1lfdZU-0003rY-Sg
 for bug-gnu-emacs@HIDDEN; Sun, 09 May 2021 03:09:50 -0400
Received: by mail-qk1-x72c.google.com with SMTP id 197so12631696qkl.12
 for <bug-gnu-emacs@HIDDEN>; Sun, 09 May 2021 00:09:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:from:subject:message-id:date:user-agent:mime-version
 :content-language:content-transfer-encoding;
 bh=OS2Cc6/i4npRMg7CbsYPPJtu82RtySFtWFf5AV36Qyg=;
 b=ArcesladxZchBGW2e0DCEsMQjdU/Vp6Cgzi5XzGvaGwZzD6Mb52jFM8LUJ68amCC0Y
 lx65ph4uMEk0jN8hfMJ8X9NTMhO2eGzAnpYkDpuH27jjvm2ShH8rO66rXFtpiYhng6Ma
 dP+ei9mT24lWSQh2IU3dhVLMwhYcArZwDJ9l9D+9zYgLDxYg2r7+BBQhBIUxuKpFUtwo
 JpFI85JxENw4wAbZoqlX14cGf45TteT84JFeDHFRcj+PPUh1N5BvvUHucfozVOR/qoJx
 Bze41Q8v5E6rrN5dTWm0eXZUogqMeqF6pOT+4dGPPMx6FF28X8NaukTpn87XTvfvpWaU
 Z1OQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:subject:message-id:date:user-agent
 :mime-version:content-language:content-transfer-encoding;
 bh=OS2Cc6/i4npRMg7CbsYPPJtu82RtySFtWFf5AV36Qyg=;
 b=K/zmC6KDslzj9JKWE1hidwWLP9dTwg/ZmpqgZwJ2JeiXcJtXQdSWQvWHQ4Zw5dg2Jf
 2kXaNqoj/HZUNc/89S9q6mWO/4guOYMbe4QSrrR3LrNHH0S9JBqOy9Rlg1vD4A0sQjcR
 GDccwQtypglQrvkS5TEVKAYW8FwnPWNkVNqKHSGCxMzRf1fLutXLoLnwGa+5J8heVRTY
 amanS1L/bX5ZbXq+q57nglMkzKjGenPxBnq7LpXfwOT5qPaBH1dA15L5KJf0T3wwjC/n
 m3GrfdmJKgxW3rBLg6nIhamoO758rJQ0ibUp9RYHicr9G4cJaOc7Vk3IYYBcNrjtVZte
 eGjQ==
X-Gm-Message-State: AOAM532SxO7L8YAKUy6oWfskna79ovxswgcDlDJ+2dj3Pd/Zw5sJ9JrN
 qekXKCj+0ulERLmkQPXYHl/EyyOoghI=
X-Google-Smtp-Source: ABdhPJz1k3YnPak55Pk89HpNBX1gRg/y7MdUD9fa7Dlg0iW3fo8gXc1fbZmgRRNNm1/yXkJNb0zY+A==
X-Received: by 2002:ae9:f30a:: with SMTP id p10mr17616818qkg.53.1620544187021; 
 Sun, 09 May 2021 00:09:47 -0700 (PDT)
Received: from [192.168.1.11] (c-24-61-240-80.hsd1.ma.comcast.net.
 [24.61.240.80])
 by smtp.googlemail.com with ESMTPSA id l4sm2386366qkp.48.2021.05.09.00.09.46
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 09 May 2021 00:09:46 -0700 (PDT)
To: bug-gnu-emacs <bug-gnu-emacs@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit-Claudel?= <cpitclaudel@HIDDEN>
Subject: Feature request: provide default keybindings to change the font size
 in all windows
Message-ID: <603bbc01-b1a2-b367-f54e-59a57475cbfe@HIDDEN>
Date: Sun, 9 May 2021 03:09:45 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::72c;
 envelope-from=cpitclaudel@HIDDEN; helo=mail-qk1-x72c.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi all,

Emacs has keybindings to change the font size in the current buffer (C-x C-=, etc which use text-scale-adjust).  We don't have keybindings for commands to change the font size globally, and in fact we don't have commands for that purpose at all, AFAICT.

My students keep running into this issue, and it seems pretty common online, too:
- https://stackoverflow.com/questions/18783227/emacs-zoom-in-out-globally
- https://stackoverflow.com/questions/24705984/increase-decrease-font-size-in-an-emacs-frame-not-just-buffer
- https://www.reddit.com/r/emacs/comments/dip6e6/zoom_in_zoom_out/

… and there are many libraries that reimplement solutions to this issue:
- https://www.emacswiki.org/emacs/download/zoom-frm.el
- https://practicalli.github.io/spacemacs/install-spacemacs/change-font.html
- https://github.com/purcell/default-text-scale
- https://www.emacswiki.org/emacs/GlobalTextScaleMode
- https://www.emacswiki.org/emacs/SetFonts#ZoomFrame

I'm sure many more people have custom code for this (I do).  Not all the implementations are good, and it would be very nice if such a feature were available out of the box.

Currently mouse-wheel-text-scale is bound to C-<mouse-5> and C-<mouse-4>; could we have an equivalent command for all buffers, maybe on C-S-<mouse-5> and C-S-<mouse-4>?

Clément.




Acknowledgement sent to Clément Pit-Claudel <cpitclaudel@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#48307; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 25 May 2021 19:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.